2004-05-05 10:19  hoffman

	* CMakeLists.txt, Source/cmCPluginAPI.h: ENH: move version to 2.1
	for cvs because 2.0 has been branched

2004-05-05 10:17  hoffman

	* CMakeLists.txt, Source/cmCPluginAPI.h,
	Utilities/Release/cmake_release.sh: ENH: move version numbers to
	cmake 2.0 for branch

2004-05-05 10:13  andy

	* Source/: cmCTest.cxx, cmake.cxx: ENH: Remove memory leak

2004-05-04 14:24  hoffman

	* Source/CMakeLists.txt, Tests/Complex/Executable/complex.cxx,
	Tests/Complex/Executable/complex.cxx,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Executable/complex.cxx: ENH: fix tests
	to work with in source builds

2004-05-04 14:18  martink

	* Source/cmCTest.cxx: support in source builds and arg passing

2004-05-04 11:24  andy

	* Modules/Platform/Windows-bcc32.cmake,
	Source/cmLocalUnixMakefileGenerator.cxx: ENH: Only mangle object
	files if CMAKE_MANGLE_OBJECT_FILE_NAMES is set. Only on borland for
	now.

2004-05-04 09:16  martink

	* Source/cmIfCommand.cxx: fix warning

2004-05-03 17:51  andy

	* Tests/SwigTest/CMakeLists.txt: ENH: Cleanup example a bit

2004-05-03 16:38  andy

	* Source/cmCTest.cxx: ENH: After running test clear results for
	memory checking

2004-05-03 16:36  andy

	* Source/cmCTest.cxx: ENH: Skip tests that do not have defects

2004-05-03 16:35  andy

	* Modules/: CheckTypeSize.c, CheckTypeSize.cmake: ENH: support
	STDDEF and cleanup

2004-05-03 15:33  martink

	* Source/cmIfCommand.cxx: minor backwards fix

2004-05-03 12:34  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix to make spaces
	in paths work for jump over with borland and nmake on second build

2004-05-03 12:02  andy

	* Tests/: LoadCommand/CMakeCommands/cmTestCommand.c,
	LoadCommandOneConfig/CMakeCommands/cmTestCommand.c: ENH: Remove
	warning

2004-05-03 10:10  king

	* Source/cmStringCommand.h: ENH: Documented use of \1 syntax in
	replace expression.

2004-05-03 08:52  hoffman

	* Tests/: LoadCommand/CMakeCommands/cmTestCommand.c,
	LoadCommandOneConfig/CMakeCommands/cmTestCommand.c: ENH: fix
	warnings in test

2004-05-02 11:50  hoffman

	* Tests/: LinkLineOrder/Two.c,
	LoadCommand/CMakeCommands/cmTestCommand.c,
	LoadCommandOneConfig/CMakeCommands/cmTestCommand.c: ENH: remove
	warnings in tests

2004-05-01 22:05  hoffman

	* Source/ctest.cxx: BUG: putenv syntax was wrong and caused a crash
	on the SGI

2004-05-01 10:08  martink

	* Source/: cmIfCommand.cxx, cmIfCommand.h: better if expression
	support

2004-05-01 10:07  martink

	* Modules/FindOpenGL.cmake: fix to find opengl on some osf systems

2004-05-01 09:57  andy

	* Source/cmCTest.cxx: ERR: Remove warning about shadow variables

2004-04-30 18:21  andy

	* Tests/: Complex/Library/testConly.c,
	ComplexOneConfig/Library/testConly.c,
	ComplexRelativePaths/Library/testConly.c,
	SubDir/ThirdSubDir/testfromauxsubdir.c: ENH: Remove warnings

2004-04-30 17:28  andy

	* Tests/Simple/simpleWe.cpp: ENH: Remove warning

2004-04-30 15:17  andy

	* Source/ctest.cxx: ENH: Add environment variable that Dart sets so
	that tests can know they are being tested from Dart/CTest

2004-04-30 14:27  hoffman

	* Tests/SwigTest/CMakeLists.txt: ENH: link in more than just python

2004-04-30 14:14  andy

	* Source/cmCTest.cxx: ENH: Report filename of the note

2004-04-30 13:41  andy

	* Modules/FindSWIG.cmake: ENH: More paths

2004-04-30 12:54  hoffman

	* Modules/FindSWIG.cmake: ENH: add another place to look for
	swig.exe

2004-04-30 12:52  hoffman

	* Modules/FindSWIG.cmake: ENH: try to find swig.exe in SWIG_DIR

2004-04-30 12:36  andy

	* Source/cmCTest.cxx: ENH: Add support for notes in Testing/Notes
	subdirectory. This way test can write notes that will be reported

2004-04-30 12:17  andy

	* Tests/SwigTest/: CMakeLists.txt, example.cxx, example.h,
	example.i, runme.php4, runme.pike, runme.pl, runme.py, runme.rb,
	runme.tcl, runme2.tcl: ENH: Here is test for swig module

2004-04-30 12:11  andy

	* Modules/: FindPHP4.cmake, FindPerlLibs.cmake, FindPike.cmake,
	FindRuby.cmake, FindSWIG.cmake, UseSWIG.cmake: ENH: Initial import
	of swig. Start working towards Bug #749 - Add swig support module
	to cmake

2004-04-30 11:36  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: remove duplicate
	depend on cache file and use of make variable in make target

2004-04-30 11:36  hoffman

	* Templates/TestDriver.cxx.in: ENH: remove unused variable

2004-04-30 10:32  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: remove warnings

2004-04-30 08:02  hoffman

	* Templates/CMakeLists.txt: BUG: add missing install file

2004-04-29 17:44  king

	* Source/kwsys/CMakeLists.txt: ENH: Added automatic adjustment of
	C++ flags to include -timplicit_local and -no_implicit_include for
	the Compaq compiler on OSF.

2004-04-29 17:41  andy

	* Source/cmMacroCommand.cxx, Source/cmMacroCommand.h,
	Tests/Complex/CMakeLists.txt,
	Tests/ComplexOneConfig/CMakeLists.txt,
	Tests/ComplexRelativePaths/CMakeLists.txt: ENH: Add ARGV and ARGN
	support to MACRO command. ARGV is the list of all arguments and
	ARGN is the list of all nonexpected arguments

2004-04-29 15:12  andy

	* Source/cmForEachCommand.cxx, Source/cmForEachCommand.h,
	Tests/StringFileTest/CMakeLists.txt: ENH: Add RANGE support to
	FOREACH

2004-04-29 14:51  andy

	* Source/: cmCTest.cxx, cmStandardIncludes.h: BUG: Add a safety
	check so that you cannot send cmOStringStream.str() to other stream
	and produce the funky hex number. This makes it impossible to
	compile such a code. Adding that exposed a whole bunch of places in
	CMake where streams were used wrongly

2004-04-29 13:25  andy

	* Source/kwsys/SystemTools.cxx: BUG: Most of time when asking if
	file exists, we actually want to read it... Should fix Bug #809 -
	FIND_INCLUDE should check readability

2004-04-29 13:13  hoffman

	* Source/MFCDialog/StdAfx.h: ENH: remove warning

2004-04-29 12:33  hoffman

	* Source/: cmGetTargetPropertyCommand.cxx,
	cmLocalUnixMakefileGenerator.cxx: ENH: remove warnings

2004-04-29 10:26  hoffman

	* Source/cmake.cxx: BUG: fix crash from bug id 806

2004-04-28 14:25  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: remove warning

2004-04-28 13:40  hoffman

	* Source/: cmAddExecutableCommand.h, MFCDialog/CMakeLists.txt: BUG:
	fix for bug 121 add some docs for MFC flag

2004-04-28 13:21  hoffman

	* Modules/Platform/Darwin.cmake,
	Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix for bug 116
	platform files can now specify directories that should not be added
	by CMAKE

2004-04-28 12:31  hoffman

	* Source/cmCreateTestSourceList.cxx,
	Source/cmCreateTestSourceList.h, Templates/TestDriver.cxx.in: ENH:
	make test driver more flexible by using a configured file instead
	of generating all the code. fixes bug 28

2004-04-28 10:52  andy

	* Source/cmake.cxx, Tests/CommandLineTest/CMakeLists.txt,
	Tests/CommandLineTest/PreLoad.cmake: ENH: Add support for
	automatically preloaded cmake file. Closes Bug #802 - Add auto
	preload file support in CMake

2004-04-28 10:15  andy

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: ENH: Encode object files with funny
	characters in the name. It should fix Bug #418 - Borland 5.5.1,
	Templates/*.cxx files with '+' chars used in execs

2004-04-28 10:09  hoffman

	* Tests/: Complex/VarTests.cmake, Complex/Executable/complex.cxx,
	ComplexOneConfig/VarTests.cmake,
	ComplexOneConfig/Executable/complex.cxx,
	ComplexRelativePaths/VarTests.cmake,
	ComplexRelativePaths/Executable/complex.cxx: ENH: add a test for
	EQUAL in if

2004-04-28 10:05  andy

	* Tests/SubDir/ThirdSubDir/: pair_p_int.int1.c,
	testfromauxsubdir.c: ENH: More special cases

2004-04-28 10:00  hoffman

	* Modules/: CheckIncludeFile.cmake, CheckIncludeFileCXX.cmake: ENH:
	fixes for optional flag arguments to check include macros

2004-04-28 09:59  hoffman

	* Source/cmIfCommand.cxx: BUG: fix logic in EQUAL if test

2004-04-28 09:52  hoffman

	* Modules/CheckIncludeFileCXX.cmake: BUG: fix for bug 80, check
	include cxx now has an optional argument that can is added to the
	cxx flags

2004-04-28 09:51  hoffman

	* Source/: cmIfCommand.cxx, cmIfCommand.h: ENH: add a numeric EQUAL
	to the IF statment, very useful for variable arguments in MACROS

2004-04-27 14:16  andy

	* Source/kwsys/: Base64.c, Base64.h.in, CMakeLists.txt,
	Configure.h.in, Configure.hxx.in, Copyright.txt, Directory.cxx,
	Directory.hxx.in, EncodeExecutable.c, Process.h.in, ProcessFwd9x.c,
	ProcessUNIX.c, ProcessWin32.c, README.txt, RegularExpression.cxx,
	RegularExpression.hxx.in, SystemTools.cxx, SystemTools.hxx.in,
	kwsysHeaderDump.pl, kwsysPlatformCxxTests.cmake,
	kwsysPlatformCxxTests.cxx, kwsysPrivate.h, kwsys_ios_fstream.h.in,
	kwsys_ios_iosfwd.h.in, kwsys_ios_iostream.h.in,
	kwsys_ios_sstream.h.in, kwsys_stl.h.in, test1.cxx, testIOS.cxx,
	testProcess.c: ENH: Move to VolView branch

2004-04-27 12:03  andy

	* Source/cmGetTargetPropertyCommand.cxx,
	Tests/CustomCommand/CMakeLists.txt: ENH: Add LOCATION to
	GET_TARGET_PROPERTY. Closes Bug #34 - Add to GET_TARGET_PROPERTY
	location of target

2004-04-27 12:02  andy

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h:
	ENH: GetSafeDefinition is now in cmMakefile

2004-04-27 11:30  andy

	* Source/: cmMakefile.cxx, cmMakefile.h: ENH: Add method to get
	definition even if it does not exists

2004-04-27 11:08  andy

	* Tests/CustomCommand/: generator.cxx, wrapper.cxx: ERR: Remove
	warnings from tests

2004-04-27 09:22  andy

	* Source/cmSourceFile.cxx, Tests/SubDir/CMakeLists.txt,
	Tests/SubDir/vcl_algorithm+vcl_pair+double.foo.c,
	Tests/SubDir/AnotherSubdir/pair+int.int.c,
	Tests/SubDir/AnotherSubdir/secondone.c,
	Tests/SubDir/AnotherSubdir/testfromsubdir.c,
	Tests/SubDir/ThirdSubDir/pair+int.int1.c,
	Tests/SubDir/ThirdSubDir/testfromauxsubdir.c,
	Tests/SubDir/ThirdSubDir/thirdone.c: BUG: Fix aus source dir and
	add better testing of it

2004-04-27 08:30  hoffman

	* Source/: cmLoadCommandCommand.cxx, cmMacroCommand.cxx: WRN:
	remove warnings

2004-04-26 18:51  andy

	* Source/cmCTest.cxx: ENH: Another one of those nasty hex numbers
	in the ctest output

2004-04-26 18:49  andy

	* Tests/SubDir/AnotherSubdir/: secondone.c, testfromsubdir.c: ENH:
	Add extra test files

2004-04-26 17:45  hoffman

	* Source/cmLoadCommandCommand.cxx: ENH: fix for bug id 27, add a
	signal handler for crashes in loaded commands

2004-04-26 17:32  andy

	* Source/CMakeLists.txt, Source/cmSourceFile.cxx,
	Tests/SubDir/CMakeLists.txt, Tests/SubDir/Executable/test.cxx: ENH:
	When source file is in subdirectory put object file in
	subdirectory. Fixes Bug #290 - Source files in subdirectories
	should produce object files in subdirectories

2004-04-26 13:42  andy

	* Modules/FindTCL.cmake: ENH: Add TCL_FOUND

2004-04-26 13:42  andy

	* Templates/: CMakeLists.txt, install-sh: ENH: With new install
	framework we don't need install-sh any more

2004-04-26 13:42  andy

	* Tests/SystemInformation/: CMakeLists.txt, DumpInformation.cxx:
	ENH:Add test for GET/SET_DIRECTORY_PROPERTY

2004-04-26 11:23  andy

	* Source/: cmake.cxx, cmake.h: BUG: Fix resolving of infinite loops
	while CMakeSetup/ccmake still running

2004-04-26 11:12  martink

	* Tests/: Complex/CMakeLists.txt, Complex/Executable/complex.cxx,
	ComplexOneConfig/CMakeLists.txt,
	ComplexOneConfig/Executable/complex.cxx,
	ComplexRelativePaths/CMakeLists.txt,
	ComplexRelativePaths/Executable/complex.cxx: added tests for var
	args with macros

2004-04-26 11:11  martink

	* Source/: cmMacroCommand.cxx, cmMacroCommand.h: macros now support
	varargs

2004-04-26 11:00  king

	* Modules/FindITK.cmake, Modules/FindVTK.cmake,
	Source/cmFindPackageCommand.cxx: BUG#682: Adding environment
	variable check to FIND_PACKAGE command.

2004-04-26 10:49  king

	* Source/cmFindPackageCommand.cxx: STYLE: Removed trailing
	whitespace.

2004-04-26 10:19  king

	* Modules/: CheckVariableExists.c, CheckVariableExists.c: BUG#502:
	Do not let optimizing compilers think the symbol exists.  Require
	the symbol by making the return value depend on it to force
	linking.

2004-04-23 16:26  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate: BUG: fix for bug 769
	CMAKE_STANDARD_LIBRARIES  now used in ides

2004-04-23 16:20  andy

	* Source/: cmCommands.cxx, cmGetDirectoryPropertyCommand.cxx,
	cmGetDirectoryPropertyCommand.h, cmMakefile.h,
	cmSetDirectoryPropertiesCommand.cxx,
	cmSetDirectoryPropertiesCommand.h: ENH: Add
	GET/SET_DIRECTORY_PROPERTY/PROPERTIES commands so that we can
	change include directories and get all sorts of things. Closes Bug
	#25 - Get_CMAKE_PROPERTIES

2004-04-23 13:12  hoffman

	* Modules/CMakeSystemSpecificInformation.cmake,
	Source/cmLocalVisualStudio7Generator.cxx: ENH: add verbose make
	abilility to visual studio 7

2004-04-23 12:52  hoffman

	* Source/CMakeLists.txt, Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSubdirCommand.cxx,
	Tests/PreOrder/CMakeLists.txt, Tests/PreOrder/simple.cxx,
	Tests/PreOrder/Library/CMakeLists.txt,
	Tests/PreOrder/Library/simpleLib.cxx: ENH: add SUBDIR PREORDER and
	fix clean for non-relative paths

2004-04-23 10:03  andy

	* Source/: cmAddExecutableCommand.cxx, cmAddExecutableCommand.h:
	ENH: Unify with other variables

2004-04-23 09:12  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: ENH: allow verbose
	makefile flag to remove nologo from all commands so you can see
	them in visual studio 6

2004-04-23 08:50  king

	* Source/cmCTest.cxx: ERR: Fixed unused variable assignment
	warning.

2004-04-22 18:04  andy

	* Source/cmCTest.cxx: ENH: Add DynamicAnalisys support. The old
	Purify is still available through --compatibility-mode

2004-04-22 17:23  hoffman

	* Modules/: FindwxWidgets.cmake, UsewxWidgets.cmake: BUG: fix for
	bug 618

2004-04-22 17:20  hoffman

	* Modules/FindGLUT.cmake: BUG: fix for bug 743

2004-04-22 17:08  hoffman

	* Modules/FindGTK.cmake: BUG: fix for bug 607

2004-04-22 16:58  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx,
	Templates/staticLibHeader.dsptemplate: ENH: add support for static
	library property STATIC_LIBRARY_FLAGS

2004-04-22 16:16  hoffman

	* Modules/FindDCMTK.cmake: ENH: contribution from Ian Scott,
	thanks.

2004-04-22 15:59  martink

	* Modules/FindOpenGL.cmake: update comments

2004-04-22 14:38  hoffman

	* Source/cmTarget.cxx: ENH: add a property for HAS_CXX to a target
	that will force the use of a c++ compiler in the linking of an
	executable that contains only c code

2004-04-22 14:32  andy

	* DashboardScripts/: andoria_80_swig_gcc.cmake,
	andoria_swig_gcc.cmake: ENH: Rename

2004-04-22 14:11  andy

	* Source/kwsys/SystemTools.cxx: ERR: Verify that getenv returned
	something before using it

2004-04-22 13:37  martink

	* Source/cmAddCustomCommandCommand.h: update docs

2004-04-22 13:24  hoffman

	* Source/: cmFindLibraryCommand.h, cmFindPathCommand.cxx,
	cmFindPathCommand.h, cmMakefile.cxx, kwsys/SystemTools.cxx,
	kwsys/SystemTools.hxx.in: BUG: fix for 301 CMAKE_LIBRARY_PATH and
	CMAKE_INCLUDE_PATH env vars now used in FIND_LIBRARY and FIND_PATH
	in addtion to and before PATH

2004-04-22 11:12  hoffman

	* Modules/FindwxWindows.cmake: BUG: fix bad if statements

2004-04-22 09:44  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG 178: make top level
	cmakelist file a source in ALL_BUILD

2004-04-21 17:54  andy

	* Source/cmGlobalVisualStudio71Generator.cxx: ERR: Fix install on
	VS71

2004-04-21 16:23  king

	* Source/: cmListFileLexer.c, cmListFileLexer.h,
	cmListFileLexer.in.l: ENH: Added cmListFileLexer_SetString method
	to allow a string to be parsed as input.

2004-04-21 16:07  hoffman

	* Tests/: SimpleInstall/CMakeLists.txt,
	SimpleInstallS2/CMakeLists.txt: add dep

2004-04-21 15:09  hoffman

	* Modules/FindwxWindows.cmake: ENH: fix for mingw

2004-04-21 11:42  andy

	* Source/cmFileCommand.cxx: BUG: Put all files to manifest

2004-04-21 11:36  king

	* Source/cmAddCustomTargetCommand.cxx: BUG: Fixed check of number
	of arguments.

2004-04-21 11:33  king

	* Modules/: FindITK.cmake, FindVTK.cmake: ENH: Terminate with a
	FATAL_ERROR if FIND_PACKAGE command was called with REQUIRED
	argument and package was not found.

2004-04-21 11:32  andy

	* Source/cmLocalGenerator.cxx: ENH: Do preinstall and postinstall
	script even if the target is not installed

2004-04-21 10:34  andy

	* Source/: cmakemain.cxx, ctest.cxx: ENH: Report error and exit
	when the current directory is not specified

2004-04-21 10:33  andy

	* Source/kwsys/SystemTools.cxx: BUG: Prevent crash when the current
	working directory cannot be established

2004-04-20 18:28  andy

	* Source/cmSystemTools.cxx: BUG: If the line ends without new-line
	character, Split should still return something

2004-04-20 10:52  martink

	* DashboardScripts/dash1_ParaView_vs71.cmake: changed to release
	static

2004-04-20 10:46  martink

	* DashboardScripts/: amber4_paraviewcomplete_gcc.cmake,
	dash1_ParaViewCompleteLRB_vs71.cmake,
	amber5_paraviewcomplete_gcc.cmake,
	straylight_60_paraviewcompleteR12_gcc.cmake,
	amber8_paraviewcomplete_gcc.cmake,
	shannara_ParaViewCompleteLRB_CC.cmake: removed old files

2004-04-19 17:21  andy

	* Source/cmCTest.cxx: RNH: Support NoDartCoverage in the binary
	directorory

2004-04-19 10:36  king

	* Source/: cmFindPackageCommand.cxx, cmFindPackageCommand.h:
	ENH#696: Adding REQUIRED option to FIND_PACKAGE command.  It will
	terminate the cmake configure step if the package is not found.

2004-04-18 14:41  andy

	* Source/: cmFileCommand.cxx, cmFileCommand.h,
	cmGlobalGenerator.cxx, cmMakefile.cxx, cmMakefile.h,
	cmWriteFileCommand.cxx, cmWriteFileCommand.h, cmake.cxx, cmake.h:
	ENH: Add check for infinite loops. Make sure that files written
	using WRITE_FILE and FILE WRITE are not used as input files. Fixes
	Bug #678 - WRITE_FILE and FILE(WRITE...) lead to infinite loops

2004-04-18 13:16  andy

	* Source/: cmLocalUnixMakefileGenerator.cxx, cmSourceFile.cxx: ENH:
	Add support for adding object files and sources. This way you can
	use external program such as assembler or fortran to generate
	object files. Also star of fixing: Bug #757 - add .o file as a
	source file

2004-04-16 14:55  martink

	* Source/cmCTest.cxx: better args handling for -I options

2004-04-16 14:52  martink

	* Source/: cmCTest.cxx, cmCTest.h: better args handling for -I
	option

2004-04-16 13:36  andy

	* Source/cmCTest.cxx: ENH: Better reporting of what tests failed
	and write a file with failed tests

2004-04-16 12:03  andy

	* DashboardScripts/andoria_80_swig_gcc.cmake: ENH: Add Swig

2004-04-16 09:50  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for bug 91

2004-04-15 16:11  andy

	* Source/CursesDialog/cmCursesStringWidget.cxx: ENH: Add support
	for HOME and END keys. Also fix Bug #666 - In CCMake when deleting
	something, it does not stop at the beginning of line

2004-04-15 15:46  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: Prevent deleting
	not existing variables and therefore prevent crash. Fixes: Bug #750
	- CCMake crashes when deleting all variables

2004-04-15 13:59  andy

	* Tests/: Complex/CMakeLists.txt, Complex/Executable/complex.cxx,
	Complex/Library/CMakeLists.txt, Complex/Library/file2.cxx,
	ComplexOneConfig/CMakeLists.txt,
	ComplexOneConfig/Executable/complex.cxx,
	ComplexOneConfig/Library/CMakeLists.txt,
	ComplexOneConfig/Library/file2.cxx,
	ComplexRelativePaths/CMakeLists.txt,
	ComplexRelativePaths/Executable/complex.cxx,
	ComplexRelativePaths/Library/CMakeLists.txt,
	ComplexRelativePaths/Library/file2.cxx: ENH: Add test for
	REMOVE_DEFINITION

2004-04-15 13:58  andy

	* Source/: cmCommands.cxx, cmMakefile.cxx, cmMakefile.h,
	cmRemoveDefinitionsCommand.cxx, cmRemoveDefinitionsCommand.h: ENH:
	ADD REMOVE_DEFINITION command. Fix feature request: Bug #182 - Add
	opposite to ADD_DEFINITIONS

2004-04-15 13:15  hoffman

	* Source/cmOptionCommand.cxx: BUG: fix for 282

2004-04-15 13:09  andy

	* Source/cmGlobalVisualStudio6Generator.cxx,
	Source/cmGlobalVisualStudio7Generator.cxx,
	Templates/CMakeLists.txt: ENH: Handle make install target on Visual
	Studio 6 and 7 and install templates

2004-04-15 12:07  andy

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: ENH: Ok, that is it. Remove old
	install and replace it with new

2004-04-15 11:55  hoffman

	* Modules/FindMFC.cmake: BUG: fix for bug 506

2004-04-15 11:38  hoffman

	* Source/cmSiteNameCommand.cxx: BUG: fix for bug 689

2004-04-15 08:22  hoffman

	* Modules/: CheckForPthreads.c, CheckFunctionExists.c,
	CheckTypeSize.c, CheckVariableExists.c, TestBigEndian.c: ENH: fix
	tests for non-ansi c on hp and remove warnings for ansi c

2004-04-14 17:02  hoffman

	* Modules/FindITK.cmake: BUG: fix for bug 608

2004-04-14 16:58  hoffman

	* Source/cmGlobalVisualStudio7Generator.cxx: BUG: fix external
	projects for vc7

2004-04-14 15:56  hoffman

	* Modules/: CheckFunctionExists.c, TestBigEndian.c: ENH: remove
	warnings from try compiles

2004-04-14 14:25  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Renamed
	--help-list-commands to --help-command-list and split --help
	[command] into separate --help and --help-command cmd options.

2004-04-14 13:40  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Added
	--help-list-commands option.

2004-04-14 08:55  hoffman

	* Source/cmCTest.cxx: ENH: remove warning

2004-04-13 18:27  hoffman

	* Source/cmCTest.cxx: ENH: fix warning

2004-04-13 16:32  hoffman

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: ENH: add the ability
	to run a limited sub-set of the tests

2004-04-13 09:28  andy

	* Source/CTest/Curl/multi.c: ERR: Fix warning

2004-04-12 21:01  hoffman

	* Modules/FindGTK.cmake: BUG: fix for bug 593

2004-04-12 11:28  martink

	* DashboardScripts/: destiny_ParaViewLRB_aCC.cmake,
	destiny_ParaView_aCC.cmake, destiny_ParaViewCompleteLRB_aCC.cmake:
	updates

2004-04-09 14:20  berk

	* DashboardScripts/shannara_ParaViewCompleteLRB_CC.cmake: updates

2004-04-09 13:04  martink

	* DashboardScripts/destiny_ParaViewLRB_aCC.cmake: fixes

2004-04-09 12:38  martink

	* DashboardScripts/destiny_ParaView_aCC.cmake: updates

2004-04-09 12:36  andy

	* DashboardScripts/: straylight_30_vtk_gcc.cmake,
	straylight_50_paraview_gcc.cmake,
	straylight_50_paraviewcomplete_gcc.cmake,
	straylight_60_paraviewcompleteR12_gcc.cmake: updates

2004-04-09 12:36  martink

	* DashboardScripts/straylight_60_ParaViewLRB_gcc.cmake: new release
	dashboards

2004-04-09 11:49  martink

	* DashboardScripts/: amber5_ParaViewLRB_gcc.cmake,
	dash1_ParaViewLRB_vs71.cmake, destiny_ParaViewLRB_aCC.cmake,
	shannara_ParaViewLRB_CC.cmake, straylight_60_ParaViewLRB_gcc.cmake:
	new release dashboards

2004-04-09 11:44  berk

	* DashboardScripts/: amber4_paraviewcomplete_gcc.cmake,
	amber5_paraviewcomplete_gcc.cmake: added into cvs

2004-04-09 09:53  andy

	* Source/cmCTest.cxx: BUG: Display string not some weird pointer

2004-04-09 08:37  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: add full path
	libraries to the depend information

2004-04-08 17:13  andy

	* Modules/MacOSXBundleInfo.plist.in,
	Source/cmAddExecutableCommand.cxx, Source/cmAddExecutableCommand.h:
	ENH: Improve Mac OSX bundle support

2004-04-07 12:07  martink

	* Source/cmLocalVisualStudio7Generator.cxx: fix problem with custom
	command

2004-04-07 10:04  martink

	* DashboardScripts/destiny_ParaViewCompleteLRB_aCC.cmake: updates

2004-04-07 10:02  martink

	* DashboardScripts/dash1_ParaViewCompleteLRB_vs71.cmake: updated

2004-04-07 09:58  hoffman

	* Source/cmTarget.cxx: ENH: remove warnings on sgi

2004-04-07 09:52  martink

	* DashboardScripts/: destiny_ParaViewComplete_aCC.cmake,
	destiny_ParaView_aCC.cmake: updates

2004-04-07 09:50  martink

	* DashboardScripts/: dash3_ParaViewComplete_vs60.cmake,
	dash3_vtk64_vs60Release.cmake, dash3_vtk_vs60continuous.cmake,
	dash3_ParaView_vs60.cmake: updated

2004-04-07 09:32  martink

	* DashboardScripts/: dash1_ParaViewCompleteLRB_vs71.cmake,
	dash1_ParaViewComplete_vs71.cmake, dash1_ParaView_vs71.cmake,
	dash1_ParaView_vs71continuous.cmake: updates

2004-04-05 10:35  king

	* DartConfig.cmake, DartConfig.cmake: ERR: Need to use latest
	testing configuration even on branch.

2004-04-02 13:21  king

	* Source/cmTarget.cxx: BUG: _LINK_TYPE cache variable should never
	be switched from optimized to debug or vice versa.

2004-04-02 09:43  hoffman

	* Source/CMakeLists.txt, Tests/Jump/Library/Shared/CMakeLists.txt:
	ENH: fix for apple

2004-04-02 08:09  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix warning and
	shadow variable

2004-04-01 16:07  martink

	* Source/cmCTest.cxx: fix for missing valid images

2004-04-01 15:28  king

	* Source/kwsys/ProcessFwd9x.c: ENH: Added comment for future work
	to make forwarding executable always statically linked.

2004-04-01 14:37  andy

	* Source/cmCTest.cxx: BUG: Fix bug on windows. You cannot cout
	std::string directly

2004-04-01 14:11  andy

	* Source/: cmCTest.cxx, CTest/cmCTestSubmit.cxx,
	CTest/cmCTestSubmit.h: ENH: Add logging of submitting

2004-04-01 09:59  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix non relative
	paths

2004-04-01 08:59  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix for non
	relative paths with spaces in the path

2004-03-31 17:31  martink

	* DashboardScripts/: destiny_ParaViewCompleteLRB_aCC.cmake,
	destiny_ParaViewComplete_aCC.cmake, destiny_ParaView_aCC.cmake,
	destiny_cmake_aCC-noclean.cmake, destiny_cmake_aCC.cmake,
	destiny_vtk_aCC-static.cmake, destiny_vtk_aCC.cmake: HP scripts

2004-03-31 17:31  berk

	* DashboardScripts/: shannara_ParaViewCompleteLRB_CC.cmake,
	shannara_cmake_CC-noclean.cmake, shannara_cmake_CC.cmake,
	shannara_cmake_gcc.cmake, shannara_paraview_CC.cmake,
	shannara_vtk_CC.cmake, shannara_xdmf_CC.cmake: Sun scripts

2004-03-31 16:54  andy

	* DashboardScripts/: straylight_00_cmake-optimized_gcc.cmake,
	straylight_00_cmakeLRB_gcc.cmake, straylight_00_cmake_gcc.cmake,
	straylight_30_vtk_gcc.cmake, straylight_40_xdmf_gcc.cmake,
	straylight_50_paraview_gcc.cmake,
	straylight_50_paraviewcomplete_gcc.cmake,
	straylight_60_paraviewcompleteR12_gcc.cmake: Commits before
	ParaView2

2004-03-31 16:44  king

	* Modules/FindTclsh.cmake: ENH: Added registry check for
	ActiveState Tcl 8.4.6.

2004-03-31 11:26  andy

	* Source/cmCTest.cxx: ENH: Reduce number of
	GetCurrentWorkingDirectory

2004-03-31 11:24  andy

	* Source/cmCTest.cxx: ENH: Change to the new directory

2004-03-31 10:01  hoffman

	* Source/: CMakeLists.txt, cmLocalGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h,
	cmake.cxx: ENH: make relative paths optional and default off, and
	add a test for them

2004-03-29 13:16  king

	* Source/MFCDialog/PropertyList.cpp: BUG#724: Merging 1.27->1.28
	changes to CMake 1.8 branch.

2004-03-29 13:15  king

	* Source/MFCDialog/PropertyList.cpp: BUG#724: Preserving current
	working directory during file selection.

2004-03-29 12:51  king

	* Source/cmConfigureFileCommand.cxx: BUG#485: Fixing on CMake 1.8
	branch.

2004-03-29 12:04  king

	* Source/: cmSystemTools.h, cmTryCompileCommand.cxx: BUG#679:
	Merging fix to CMake 1.8 branch.

2004-03-28 17:59  andy

	* Source/: cmFileCommand.cxx, cmLocalGenerator.cxx: ENH: When
	installing project, write manifest

2004-03-28 16:36  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Add a way to clean
	additional files

2004-03-28 16:00  andy

	* Source/: cmConfigureFileCommand.cxx, cmConfigureFileCommand.h,
	cmMakefile.cxx: ENH: If configure file fails do not create
	directory

2004-03-28 10:14  andy

	* Source/cmIncludeCommand.cxx: ERR: Remove debug

2004-03-28 10:14  andy

	* Source/cmLocalGenerator.cxx: BUG: Support paths with spaces

2004-03-28 09:46  andy

	* Source/: cmIncludeCommand.h, cmSetTargetPropertiesCommand.h: DOC:
	Fix comment

2004-03-27 20:59  andy

	* Source/cmLocalGenerator.cxx,
	Source/cmSetTargetPropertiesCommand.h,
	Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstall/PostInstall.cmake,
	Tests/SimpleInstall/PreInstall.cmake,
	Tests/SimpleInstallS2/CMakeLists.txt,
	Tests/SimpleInstallS2/PostInstall.cmake,
	Tests/SimpleInstallS2/PreInstall.cmake: ENH: Add pre and post
	install script support

2004-03-27 19:52  andy

	* Source/cmIncludeCommand.cxx, Source/cmIncludeCommand.h,
	Tests/LoadCommand/CMakeLists.txt,
	Tests/LoadCommandOneConfig/CMakeLists.txt: ENH: Add support for
	importing modules without specifying path

2004-03-27 19:52  andy

	* Source/cmFindPackageCommand.cxx: ERR: That slash is unnecessary

2004-03-27 13:20  starreveld

	* Modules/FindOpenGL.cmake: ERR: Shouldn't be adding xlibs to
	opengllibs on osx

2004-03-25 16:06  martink

	* Source/cmCTest.cxx: coverage change that will probably end in an
	infinite loop

2004-03-25 08:45  king

	* Source/: cmLinkLibrariesCommand.h,
	cmTargetLinkLibrariesCommand.h: ENH: Clarified documentation for
	LINK_LIBRARIES and TARGET_LINK_LIBRARIES.

2004-03-24 16:31  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Added support to
	library flags parser for -Wl and -R options.

2004-03-24 08:36  king

	* DashboardScripts/: hythloth_itk14_gcc-3.3.cmake,
	hythloth_itk16_gcc-3.3.cmake: ERR: Testing should be done with
	python 2.2

2004-03-23 15:02  king

	* Modules/Platform/Windows-cl.cmake: ERR: Fixed incorrect
	documentation for CMAKE_CXX_WARNING_LEVEL.  Submitted by David
	Cole.

2004-03-23 14:46  andy

	* DashboardScripts/: BuildRHLinuxAS_IGSTK_gcc.cmake,
	BuildRHLinuxAS_IGSTK_gcc_cont.cmake,
	BuildRHLinuxAS_IGSTK_gccstatic.cmake: Add IGSTK scripts

2004-03-20 20:37  andy

	* Source/cmCTest.cxx: ENH: Fix warning

2004-03-19 14:48  king

	* Source/cmTryCompileCommand.cxx: ENH: Clarified recursive
	TRY_COMPILE error message.

2004-03-19 09:34  andy

	* Source/cmCTest.cxx: ERR: Fix warnings about wrong format

2004-03-18 09:52  andy

	* Source/cmCTest.cxx: ERR: Fix build on broken C++ compiles with no
	!= operator for std::string

2004-03-17 11:30  andy

	* Source/: cmCTest.cxx, cmCTest.h: BUG: change directory before
	running test and remember test number

2004-03-17 09:42  berk

	* Source/: cmSystemTools.h, cmTryCompileCommand.cxx: BUG: When
	error occurs, try compiles should still work

2004-03-17 08:20  andy

	* Source/cmCTest.h: ERR: On some compilers structure inside class
	cannot reference private typdefs from the same class

2004-03-16 12:54  king

	* Source/cmExportLibraryDependencies.cxx: ERR: Added missing
	include for auto_ptr.

2004-03-15 14:54  andy

	* Source/kwsys/CMakeLists.txt: ENH: Always include KWSys header
	files directory

2004-03-15 10:44  king

	* Source/cmExportLibraryDependencies.cxx: BUG#675: If not
	appending, do copy-if-different on exported file.

2004-03-15 09:35  andy

	* Source/cmCTest.h: ERR: Fix build

2004-03-14 12:28  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add support for future tags

2004-03-14 11:23  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Count tests while they go.
	Also in the logs report more stuff like elapsed time etc.

2004-03-12 14:43  king

	* Source/kwsys/ProcessUNIX.c: ERR: SIGSEGV == SIGBUS on BeOS.

2004-03-10 14:33  hoffman

	* Source/: cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio71Generator.h: ENH: update vs71 generator to
	support excluded subdirs

2004-03-09 16:28  hoffman

	* Source/CMakeLists.txt, Source/cmEnableTestingCommand.cxx,
	Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	Source/cmGlobalVisualStudio6Generator.cxx,
	Source/cmGlobalVisualStudio6Generator.h,
	Source/cmGlobalVisualStudio7Generator.cxx,
	Source/cmGlobalVisualStudio7Generator.h,
	Source/cmLocalGenerator.cxx, Source/cmLocalGenerator.h,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSubdirCommand.cxx,
	Source/cmSubdirCommand.h, Tests/SubDir/Executable/test.cxx: ENH:
	add new subdirectory exclude from top option

2004-03-09 16:20  hoffman

	* Tests/SubDir/: CMakeLists.txt, Examples/CMakeLists.txt,
	Examples/example1/CMakeLists.txt, Examples/example1/example1.cxx,
	Examples/example2/CMakeLists.txt, Examples/example2/example2.cxx,
	Executable/CMakeLists.txt, Executable/test.cxx: ENH: create new
	test to test subdir exclude

2004-03-09 12:31  andy

	* Source/cmLocalVisualStudio7Generator.cxx: ENH: Properly build
	WIN32 executables

2004-03-09 07:50  andy

	* Source/: cmMakefile.cxx, cmMakefile.h: ENH: Try to remove warning

2004-03-08 22:24  andy

	* Source/cmInstallTargetsCommand.h: ENH: Add comment about
	RUNTIME_DIRECTORY

2004-03-08 19:05  andy

	* Source/: cmConfigureFileCommand.cxx, cmMakefile.cxx,
	cmMakefile.h: ENH: Move implementation of configure_file to
	cmMakefile, so that other classes can use it

2004-03-04 10:05  king

	* Source/cmStringCommand.cxx, Source/cmStringCommand.h,
	Tests/StringFileTest/CMakeLists.txt,
	Tests/StringFileTest/InputFile.h.in: ENH: Added STRING(CONFIGURE
	...) command.

2004-03-03 18:18  king

	* Source/: cmConfigureFileCommand.cxx, cmMakefile.cxx,
	cmMakefile.h: ENH: Moved variable and #cmakedefine replacement from
	cmConfigureFileCommand.cxx to a ConfigureString method on
	cmMakefile.  This will give other commands access to the
	configuration code.

2004-02-29 15:13  andy

	* Tests/COnly/CMakeLists.txt: ERR: Too much commits

2004-02-29 15:13  andy

	* Source/cmMakefile.cxx, Tests/COnly/CMakeLists.txt: ERR: Fix
	GetModulesFile

2004-02-29 14:25  andy

	* DashboardScripts/valhalla_vtk_borland.cmake: ENH: Valhalla
	borland is now using new framework

2004-02-29 14:23  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Handle backticks as
	a valid library

2004-02-29 09:53  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ERR: Cleanup and remove
	warning

2004-02-29 09:51  andy

	* Source/cmLocalCodeWarriorGenerator.cxx: ERR: Fix build on Mac

2004-02-28 18:59  andy

	* Modules/MacOSXBundleInfo.plist.in,
	Source/cmAddExecutableCommand.cxx, Source/cmCPluginAPI.cxx,
	Source/cmFindPackageCommand.cxx, Source/cmLocalGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmTarget.h: ENH: Styart working on
	bundles support and abstract WIN32_EXECUTABLE

2004-02-24 18:48  andy

	* Source/cmSystemTools.cxx: ERR: Fix crash. We should check output
	before appending to it

2004-02-24 18:40  andy

	* DashboardScripts/: straylight_00_cmake-optimized_gcc.cmake,
	straylight_00_cmake_gcc.cmake,
	straylight_50_paraviewcomplete_gcc.cmake,
	straylight_60_paraviewcompleteR12_gcc.cmake,
	straylight_80_swig_gcc.cmake: ENH: Some straylight additions

2004-02-24 10:05  andy

	* Source/: cmCTest.cxx, cmCTest.h: BUG: CVS update fix. If the CVS
	command was not set there was no indication that something went
	wrong. Now it will make sure it does. Also start working on
	multiple configuration scripts

2004-02-24 10:04  andy

	* Source/cmSystemTools.cxx: ENH: Put Process execution errors in
	output and honor verbosity

2004-02-23 09:56  andy

	* Source/: cmCTest.cxx, cmLocalGenerator.cxx: ENH: Improve coverage
	support and add more verbosity

2004-02-23 09:54  king

	* Source/kwsys/Directory.cxx: ERR: Merging 1.7->1.9 changes to
	CMake 1.8 branch.

2004-02-23 09:53  king

	* Source/MFCDialog/PathDialog.cpp: ERR: Merging 1.2 -> 1.3 warning
	fix to CMake 1.8 branch.

2004-02-23 09:52  king

	* Source/CTest/Curl/CMakeLists.txt: ERR: Merging warning fixes
	1.34->1.35 from main tree to CMake 1.8 branch.

2004-02-22 22:07  andy

	* Source/: cmCMakeMinimumRequired.h, cmConfigureFileCommand.h,
	cmElseCommand.h, cmEndIfCommand.h, cmExecProgramCommand.h,
	cmFindFileCommand.h, cmFindLibraryCommand.h, cmFindPathCommand.h,
	cmFindProgramCommand.h, cmGetFilenameComponentCommand.h,
	cmMakeDirectoryCommand.h, cmRemoveCommand.h,
	cmSeparateArgumentsCommand.h, cmWriteFileCommand.h: ENH: Make more
	commands scriptable

2004-02-22 22:06  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: Prevent crash when
	deleting the last cache item

2004-02-22 13:14  andy

	* Source/: cmCPluginAPI.cxx, cmFLTKWrapUICommand.cxx,
	cmGetCMakePropertyCommand.cxx, cmGetSourceFilePropertyCommand.cxx,
	cmLoadCacheCommand.h, cmOutputRequiredFilesCommand.h,
	cmQTWrapCPPCommand.h, cmQTWrapUICommand.h,
	cmSetSourceFilesPropertiesCommand.cxx, cmSourceFilesCommand.cxx,
	cmUseMangledMesaCommand.h, cmVTKMakeInstantiatorCommand.cxx,
	cmVTKWrapJavaCommand.h, cmVTKWrapPythonCommand.h,
	cmVTKWrapTclCommand.h, cmWrapExcludeFilesCommand.cxx: ENH: Cleanups

2004-02-20 14:46  andy

	* Source/cmake.cxx, Source/cmakemain.cxx,
	Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: ENH: Ok, when doing cmake -P
	you should not have to squish filename next to -P, There should be
	space between

2004-02-20 09:25  andy

	* Source/cmCTest.cxx: ENH: Handle wrong library on sun and no
	project on visual studio 7

2004-02-19 10:33  andy

	* Source/CMakeLists.txt: ENH: Comment out test

2004-02-19 10:32  andy

	* CMakeLists.txt, Source/CMakeLists.txt: ENH: Cleanup

2004-02-19 10:29  andy

	* Source/cmIfCommand.h: ENH: Make IF command scriptable

2004-02-19 10:28  king

	* Docs/cmake-mode.el: BUG: Fixed identification of ( and ) tokens
	to avoid finding them in string literals.

2004-02-19 09:59  king

	* DashboardScripts/hythloth_itk14_gcc-3.3.cmake: Switching to
	CableSwig from ITK 1.4 in the Utilities directory instead of using
	nightly CableSwig.  We are now longer requiring CableSwig to be
	backwards-compatible with previous ITK versions.

2004-02-19 09:44  martink

	* DashboardScripts/dash2_itk16app_vs70.cmake: InsightApplications
	1.6 with Visual Studio 7.0.

2004-02-19 09:44  martink

	* DashboardScripts/dash2_vtk42_vs70.cmake: VTK 4.2 nightly with
	Visual Studio 7.0.

2004-02-19 09:35  andy

	* Source/cmMacroCommand.h: ENH: Macro should be scriptable

2004-02-19 09:35  andy

	* Source/cmCTest.cxx: ERR: Do not exit when find bad custom files.

2004-02-17 08:35  hoffman

	* Source/cmDynamicLoader.cxx: BUG: don't crash when loading a
	module that does not exist

2004-02-16 10:57  martink

	* Source/MFCDialog/PathDialog.cpp: shut up unfixable warning

2004-02-16 10:48  hoffman

	* Source/: cmConfigure.cmake.h.in, cmDynamicLoader.cxx: ENH: use
	cmake variables for cmDynamicLoader to figure out library prefix
	and extensions

2004-02-16 09:50  hoffman

	* Modules/Platform/Windows-gcc.cmake, Source/cmDynamicLoader.cxx:
	BUG: fix mingw module load tests

2004-02-16 09:49  martink

	* Source/CTest/Curl/CMakeLists.txt: fix warnings

2004-02-14 16:55  hoffman

	* Modules/Platform/Windows-gcc.cmake: shared modules are not linked
	so do not use lib prefix

2004-02-13 10:51  hoffman

	* Modules/Platform/Windows-gcc.cmake, Source/kwsys/SystemTools.cxx:
	ENH: change mingw to use libfoo.dll instead of foo.dll since it can
	link to them

2004-02-12 21:44  andy

	* Source/cmFileCommand.cxx: ENH: Add DESTDIR support

2004-02-12 16:41  martink

	* DashboardScripts/dash3_ParaViewComplete_vs60.cmake: ENH: Add pv
	complete on vs60

2004-02-12 13:38  king

	* Source/kwsys/Directory.cxx: ERR: Fixed use of _findfirst for MSVC
	6.

2004-02-12 11:23  martink

	* Source/kwsys/Directory.cxx: fix incorrect signature for findfirst

2004-02-12 10:39  martink

	* DashboardScripts/dash8_vtk_icl80.cmake: VTK build on Intel C++
	8.0 Compiler for Windows.

2004-02-12 10:38  martink

	* DashboardScripts/dash8_cmake_icl80.cmake: Corrected compiler
	version.

2004-02-12 09:13  hoffman

	* Source/kwsys/SystemTools.cxx, Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: Fix install test fail on
	mingw

2004-02-12 08:58  andy

	* Source/kwsys/SystemTools.cxx: BUG: Like cygwin, mingw does not
	produce .lib file for shared libraries, so search for dll when
	searching for library

2004-02-11 10:56  andy

	* Source/cmCTest.cxx: ERR: Remove warning

2004-02-11 10:38  martink

	* DashboardScripts/dash8_cmake_icl80.cmake: CMake dashboard with
	Intel 8.0 Compiler for Windows.

2004-02-11 09:11  martink

	* DashboardScripts/: dash3_cmakeLRB_nmake60.cmake,
	dash3_cmakeLRB_vs60.cmake, dash3_cmake_nmake60.cmake,
	dash3_cmake_vs60.cmake, dash3_vtk64_vs60Release.cmake,
	dash3_vtkLR_vs60.cmake: Add dash3 dashboard scripts

2004-02-11 08:28  andy

	* Source/kwsys/SystemTools.cxx, Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: ENH: On Cygwin shared
	libraries have only .dll file no .lib file, so when finding library
	on cygwin, search also for .dll. Also fix SimpleInstall test on
	cygwin

2004-02-10 15:53  andy

	* Source/cmCTest.cxx: ERR: Use filepath followed by filename not
	another filepath

2004-02-10 15:51  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add logging of tests while
	running. This way you can actually see the output as it goes

2004-02-09 16:40  andy

	* Tests/: SimpleInstall/CMakeLists.txt,
	SimpleInstallS2/CMakeLists.txt: ENH: Some cleanup and try to fix
	Visual Studio builds

2004-02-09 15:34  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: -l or whatever
	should be at beginning of line.

2004-02-09 11:33  andy

	* Source/CMakeLists.txt, Tests/SimpleInstall/inst.cxx,
	Tests/SimpleInstallS2/inst.cxx: ENH: Some systems do not handle
	spaces in the path

2004-02-08 20:08  andy

	* Source/CMakeLists.txt, Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: ENH: Install stage2 to handle
	runtime problem

2004-02-08 13:23  andy

	* Source/cmCTest.cxx: ENH: Attempt to support tests in funky
	subdirectories

2004-02-08 12:04  andy

	* Source/CMakeLists.txt, Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: ENH: Add second part of
	SimpleInstall

2004-02-06 16:43  king

	* Source/cmGlob.cxx: BUG#480: Merging 1.10->1.11 changes to 1.8
	branch.

2004-02-06 15:26  andy

	* Source/cmGlob.cxx: ENH: When nor specifying full path, make sure
	it actually works, on broken filesystems fix case of files.

2004-02-06 15:18  andy

	* Source/cmFileCommand.cxx: ENH: Handle script mode

2004-02-06 13:47  andy

	* Source/: cmEndForEachCommand.h, cmForEachCommand.h,
	cmStringCommand.h: ENH: Make more commands scriptable

2004-02-06 10:49  andy

	* Modules/FindJNI.cmake: ENH: Better finding of JNI

2004-02-05 10:12  andy

	* Tests/: SimpleInstall/CMakeLists.txt,
	SimpleInstallS2/CMakeLists.txt: ERR: Fix test on windows with
	network paths

2004-02-04 09:42  berk

	* Tests/: SimpleInstall/foo.c, SimpleInstall/foo.h,
	SimpleInstall/inst.cxx, SimpleInstallS2/foo.c,
	SimpleInstallS2/foo.h, SimpleInstallS2/inst.cxx: ENH: Fix test on
	HP-UX

2004-02-03 11:23  andy

	* Source/cmFileCommand.cxx: ENH: Fix support for debug postfix

2004-02-03 10:53  andy

	* Source/: cmFileCommand.cxx, cmLocalGenerator.cxx, cmSetCommand.h:
	ENH: Add support for install postfix

2004-02-03 10:25  andy

	* Source/cmLocalGenerator.cxx: ENH: Cleanup output

2004-02-03 09:26  andy

	* Source/cmLocalUnixMakefileGenerator.cxx,
	Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstallS2/CMakeLists.txt: ENH: Fix ADD_DEPENDENCIES on
	Unix makefiles and fix SimpleInstall test not to link the module

2004-02-02 18:23  andy

	* Tests/: SimpleInstall/CMakeLists.txt,
	SimpleInstallS2/CMakeLists.txt: ENH: Make test work on windows

2004-02-02 18:23  andy

	* Source/cmCTest.cxx: ENH: Propagate build type

2004-02-01 16:48  andy

	* Tests/: SimpleInstall/lib2.h, SimpleInstall/lib3.h,
	SimpleInstallS2/lib2.h, SimpleInstallS2/lib3.h: ENH: Fix exports

2004-02-01 12:53  andy

	* Source/CMakeLists.txt, Tests/SimpleInstall/CMakeLists.txt,
	Tests/SimpleInstall/foo.c, Tests/SimpleInstall/foo.h,
	Tests/SimpleInstall/inst.cxx, Tests/SimpleInstall/lib1.cxx,
	Tests/SimpleInstall/lib1.h, Tests/SimpleInstall/lib2.cxx,
	Tests/SimpleInstall/lib2.h, Tests/SimpleInstall/lib3.cxx,
	Tests/SimpleInstall/lib3.h, Tests/SimpleInstallS2/CMakeLists.txt,
	Tests/SimpleInstallS2/foo.c, Tests/SimpleInstallS2/foo.h,
	Tests/SimpleInstallS2/inst.cxx, Tests/SimpleInstallS2/lib1.cxx,
	Tests/SimpleInstallS2/lib1.h, Tests/SimpleInstallS2/lib2.cxx,
	Tests/SimpleInstallS2/lib2.h, Tests/SimpleInstallS2/lib3.cxx,
	Tests/SimpleInstallS2/lib3.h: ENH: Add install test

2004-01-29 10:29  hoffman

	* Source/cmCTest.cxx: BUG: keep output

2004-01-29 09:01  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: remove depend on
	CMakeCache for rebuild_cache target to avoid double rebuild cache

2004-01-29 09:00  king

	* Source/CTest/Curl/getdate.c: ERR: Fixed prototypes of gmtime,
	localtime, and mktime.

2004-01-28 13:17  hoffman

	* Source/cmCTest.cxx: BUG: After running builtin ctest, go back to
	the original directory

2004-01-28 11:22  andy

	* Source/cmLocalGenerator.cxx: ERR: Remove cout

2004-01-28 10:59  king

	* Source/kwsys/ProcessWin32.c: BUG: Corrected detection of
	exceptional exit code.

2004-01-28 10:59  king

	* Source/kwsys/testProcess.c: ENH: Added exception string to
	abnormal termination report.

2004-01-28 09:47  martink

	* Source/cmCTest.cxx: Including exception string in test's error
	output.

2004-01-28 08:11  andy

	* Source/cmFileCommand.cxx: ERR: Remove warning about unused
	variable

2004-01-27 17:12  hoffman

	* Source/cmaketest.cxx: remove old file

2004-01-27 17:12  hoffman

	* Source/cmCTest.cxx: ENH: add a dynamic loader flush cache

2004-01-27 17:11  andy

	* Source/cmCTest.cxx: ENH: Only display the precontext or
	postcontext up to the next or previous warning or error

2004-01-27 14:51  hoffman

	* Source/cmSystemTools.cxx: BUG: fix FMM

2004-01-27 12:37  andy

	* Source/: cmFileCommand.cxx, cmInstallTargetsCommand.cxx,
	cmLocalGenerator.cxx, cmLocalGenerator.h, cmTarget.h,
	MFCDialog/CMakeLists.txt: ENH: Make install on windows seems to
	work now

2004-01-27 09:53  andy

	* Source/cmFileCommand.cxx: ERR: Fix build on Mingw. Looks like
	Mingw is more like visual studio... Thanks Fred Wheeler

2004-01-27 09:42  martink

	* Source/cmCTest.cxx: fix for backup restore

2004-01-27 09:05  andy

	* Source/cmFileCommand.cxx: ERR: And yet another set of constants
	for file permissions

2004-01-27 09:05  andy

	* Source/: cmStandardIncludes.h, cmSystemTools.h: ERR: Properly
	handle mode_t on borland

2004-01-26 17:52  andy

	* Source/cmStandardIncludes.h: ERR Fix borland

2004-01-26 16:29  andy

	* Source/cmLocalGenerator.cxx: BUG: Fix for spaces in path

2004-01-26 16:24  andy

	* Source/: cmFileCommand.cxx, cmLocalGenerator.cxx: ENH: Several
	windows bugs and fixes

2004-01-26 16:05  andy

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: Add unix style
	install in file command

2004-01-26 15:50  andy

	* Source/: cmConfigureFileCommand.cxx, cmSystemTools.cxx,
	cmSystemTools.h: ENH: Preserve permissions when copying files

2004-01-26 15:03  andy

	* Source/: cmStandardIncludes.h, cmSystemTools.cxx: ERR: Fix build
	problems on Visual Studio 6

2004-01-26 14:55  andy

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Add code for
	setting and getting permissions

2004-01-26 14:41  andy

	* Source/: cmCTest.cxx, cmSystemTools.cxx: ENH: Improve calling of
	RunSingle command and fix compile error

2004-01-26 14:00  hoffman

	* Source/cmSystemTools.cxx: ENH: forgot return value

2004-01-26 13:57  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add support for
	CTestCustom.ctest, which modifies some behavior of ctest

2004-01-26 13:32  hoffman

	* Source/: cmCTest.cxx, cmGlobalGenerator.cxx, cmSystemTools.cxx,
	cmSystemTools.h, cmake.cxx, cmake.h: BUG: fix put/get env problems

2004-01-26 13:32  hoffman

	* Source/kwsys/ProcessWin32.c: ENH: fix for build on cygwin mingw

2004-01-25 19:30  andy

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: ERR: Fix std::
	namespace

2004-01-25 19:25  andy

	* Source/: cmGlobalGenerator.cxx, cmLocalGenerator.cxx,
	cmLocalGenerator.h: ENH: Start adding new installation framework

2004-01-24 12:52  king

	* Tests/Jump/Executable/CMakeLists.txt: BUG: Due to backward
	ordering, Visual Studio GUIs need the link directories for the
	libraries the first time.

2004-01-23 15:17  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: .lib from a .dll
	should go in m_LibraryOutputPath not m_ExecutableOutputPath

2004-01-23 13:43  hoffman

	* Tests/Jump/Library/Shared/CMakeLists.txt: BUG: libdir was set
	wrong on windows

2004-01-23 13:43  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: jump over feature
	was not working for windows

2004-01-23 13:19  andy

	* DartConfig.cmake: ENH: Fix url

2004-01-23 13:01  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for debug
	flags into project files

2004-01-23 13:01  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: more fixes for
	relative path stuff

2004-01-23 12:46  andy

	* DartConfig.cmake: ENH: Add nightly reporting

2004-01-23 12:40  hoffman

	* Modules/CMakeDetermineCCompiler.cmake: ENH: use CFLAGS for
	testing for gnu

2004-01-23 11:26  andy

	* DartConfig.cmake, DartConfig.cmake: ENH: More continuous e-mail
	stuff

2004-01-23 11:22  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: convert the .o
	files to not have ./

2004-01-23 10:54  martink

	* DashboardScripts/dash2_cmake_vs70.cmake: Using
	backup-and-restore.

2004-01-23 10:36  martink

	* DashboardScripts/dash1_cmake_vs71.cmake: backup and restore
	support

2004-01-23 09:58  martink

	* DashboardScripts/dash2_itk16_vs70.cmake: Enabled wrapping.

2004-01-23 09:54  king

	* Source/: cmLocalGenerator.cxx, cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: BUG: Fix to build rule generation
	with relative paths.

2004-01-23 09:48  king

	* DartConfig.cmake: ENH: Improving CMake continuous dashboards. 
	Sending continuous email for all kinds of failures.

2004-01-23 09:44  martink

	* Source/: cmCTest.cxx, cmCTest.h: fixes to backup restore options

2004-01-23 08:53  king

	* Source/cmLocalGenerator.cxx: STYLE: Deleted trailing whitespace.

2004-01-23 08:51  king

	* Source/CMakeLists.txt: ERR: Fixed project name for Jump tests.

2004-01-22 18:22  king

	* DashboardScripts/: hythloth_itk16_gcc-3.3.cmake,
	hythloth_itk16app_gcc-3.3.cmake: Renamed "My Tests" to Tests.

2004-01-22 15:00  king

	* DashboardScripts/: hythloth_itk14_gcc-3.3.cmake,
	hythloth_itk14app_gcc-3.3.cmake: Moved MyTests directory to Tests.

2004-01-22 14:50  king

	* DashboardScripts/: hythloth_itk16_gcc-3.3.cmake,
	hythloth_itk16app_gcc-3.3.cmake: Insight 1.6 dashboard

2004-01-22 14:44  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c: ERR: Fixed function
	prototypes with zero arguments to be C-style.

2004-01-22 14:35  king

	* DashboardScripts/: hythloth_itk14_gcc-3.3.cmake,
	hythloth_itk14app_gcc-3.3.cmake: Added Tcl/Python wrapping to
	nightly.

2004-01-22 14:01  king

	* DashboardScripts/: hythloth_itk14_gcc-3.3.cmake,
	hythloth_itk14app_gcc-3.3.cmake: Changed from experimental to
	nightly.

2004-01-22 14:00  king

	* DashboardScripts/: hythloth_itk14_gcc-3.3.cmake,
	hythloth_itk14app_gcc-3.3.cmake: Insight 1.4 dashboard

2004-01-22 11:16  andy

	* Source/kwsys/ProcessUNIX.c: BUG: If working directory does not
	exists, exit

2004-01-22 11:10  andy

	* Source/cmCTest.cxx: BUG: If at least one test fails, the percent
	cannot be greater than 99

2004-01-22 10:54  king

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: BUG: Fix jump-over-and-build for
	missing libraries when the relative path to the library is
	different between the source and destination of the jump.

2004-01-22 10:51  king

	* Tests/Jump/Library/: CMakeLists.txt, jumpShared.cxx,
	jumpStatic.cxx, Shared/CMakeLists.txt, Shared/jumpShared.cxx,
	Static/CMakeLists.txt, Static/jumpStatic.cxx: ENH: Improved test to
	have a different relative path name for libraries between the
	Executable and Library directories.

2004-01-22 10:36  king

	* Source/CMakeLists.txt: ENH: Added JumpWithLibOut and JumpNoLibOut
	to test whether jumping over to build a missing library works.

2004-01-22 10:30  king

	* Source/: cmake.cxx, kwsys/SystemTools.cxx: BUG:
	CopyFileIfDifferent should return success if the files did not
	differ or if the copy succeeded.  It should return failure only if
	the files were different and the copy failed.

2004-01-22 10:23  king

	* Tests/Jump/Library/CMakeLists.txt: ERR: Fixed post-build rule to
	copy shared library correctly.

2004-01-22 09:56  king

	* Tests/Jump/: CMakeLists.txt, Executable/CMakeLists.txt,
	Executable/jumpExecutable.cxx, Library/CMakeLists.txt,
	Library/jumpShared.cxx, Library/jumpStatic.cxx: ENH: Adding test
	for jumping over and building a missing library.

2004-01-22 08:57  martink

	* DashboardScripts/: destiny_cmake_aCC-noclean.cmake,
	destiny_cmake_aCC.cmake, destiny_ParaView_aCC.cmake,
	destiny_Xdmf_aCC.cmake, destiny_vtk_aCC-static.cmake,
	destiny_vtk_aCC.cmake: ENH: Initial import

2004-01-22 08:28  martink

	* DashboardScripts/destiny_ParaViewCompleteLRB_aCC.cmake: ENH:
	Initial import

2004-01-21 18:39  andy

	* Modules/CMakeDefaultMakeRuleVariables.cmake: ENH: This will
	probably break some obscure version of gcc, but until then,
	everybody doing profiling will be happy

2004-01-21 15:55  king

	* Source/cmSystemTools.cxx: BUG: ::Stdout method should flush cout
	after writing data.

2004-01-21 15:12  king

	* Modules/CMakeTestCCompiler.cmake: BUG#530: Merging 1.9 -> 1.10
	changes to CMake 1.8 branch.

2004-01-21 15:11  king

	* Modules/CMakeTestCCompiler.cmake: BUG#530: Using #error to report
	a nice error message if the C compiler is set to a C++ compiler.

2004-01-21 15:08  king

	* Modules/TestBigEndian.c: BUG: Use return statement instead of
	exit.

2004-01-21 15:07  martink

	* Source/kwsys/ProcessUNIX.c: merge from the main tree

2004-01-21 14:43  king

	* Source/cmCTest.cxx: BUG: empty method on std string is a test,
	and does not set the string to empty.

2004-01-21 14:27  hoffman

	* Source/cmCTest.cxx: BUG: fix leak

2004-01-21 14:06  king

	* Source/cmCTest.cxx: BUG: Fixed buffer size in MakeXMLSafe.

2004-01-21 13:38  andy

	* Source/kwsys/ProcessUNIX.c: BUG: Fix valgrind error. If working
	directory is not set do not do chdir

2004-01-21 10:51  martink

	* DashboardScripts/dash2_itk16_vs70.cmake: ENH: Adding ITK 1.6
	release branch dashboard.

2004-01-21 09:49  hoffman

	* Source/cmCTest.cxx: BUG: if a test is not found, it should fail

2004-01-21 09:25  hoffman

	* Source/cmCTest.cxx: ENH: make sure tests that are not run fail,
	and make sure that it does not try to run directories with the same
	name as tests

2004-01-20 14:36  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: bug fix for IBM
	broken xlC 6.0.0.4 compiler

2004-01-20 14:35  hoffman

	* Source/cmSystemTools.cxx: ENH: dont do relative paths when
	nothing is relative

2004-01-20 14:12  berk

	* DashboardScripts/: shannara_cmake_CC-noclean.cmake,
	shannara_cmake_gcc.cmake, shannara_paraview_CC.cmake: ENH: Add more
	scripts

2004-01-20 11:54  martink

	* DashboardScripts/: dash1_ParaViewCompleteLRB_vs71.cmake,
	dash1_ParaViewComplete_vs71.cmake: updates

2004-01-19 09:30  king

	* Source/kwsys/testProcess.c: ERR: Fixed unused argument warning.

2004-01-19 09:30  king

	* Source/kwsys/CMakeLists.txt: ERR: Must include Dart module after
	PROJECT command.

2004-01-17 12:47  king

	* Source/kwsys/CMakeLists.txt: ENH: Added Dart testing
	configuration.

2004-01-17 12:46  king

	* Source/kwsys/testProcess.c: ENH: Added a recursive process
	execution test.

2004-01-16 14:00  martink

	* Source/cmCTest.cxx: fix so that ctest is run even with bad cmake
	result

2004-01-16 09:51  king

	* Source/CTest/Curl/setup.h: ERR: Disabling some borland warnings.

2004-01-15 17:07  andy

	* Source/cmCTest.cxx: ENH: Handle spaces in the dart output of test

2004-01-15 14:04  king

	* Modules/Platform/Windows-bcc32.cmake: BUG#518: Merging 1.30->1.31
	changes to CMake 1.8 branch.

2004-01-15 13:57  andy

	* Modules/Platform/Windows-bcc32.cmake: ENH: Fix typos about
	copying exe flags to shared flags and to modules. Bug #518 - On
	borland, initial flags for bulding module are wrong

2004-01-15 08:50  king

	* Source/cmSystemTools.cxx: ENH: Added more error state checks to
	RunSingleCommand.

2004-01-14 15:02  berk

	* DashboardScripts/: amber7_vtk_gcc.cmake,
	amber8_paraviewcomplete_gcc.cmake: [no log message]

2004-01-14 11:22  berk

	* DashboardScripts/shannara_paraview_CC.cmake: ENH: Add paraview
	dashboard

2004-01-14 08:50  berk

	* DashboardScripts/: shannara_cmake_CC.cmake,
	shannara_vtk_CC.cmake, shannara_xdmf_CC.cmake: ENH: Add shannara

2004-01-13 17:04  berk

	* DashboardScripts/: amber4_vtk_gcc.cmake, amber7_vtk_gcc.cmake:
	Moved VTK dashboard to amber7

2004-01-13 17:02  berk

	* DashboardScripts/amber8_paraviewcomplete_gcc.cmake: Continuous
	dashboard script

2004-01-13 12:28  andy

	* Source/cmCTest.cxx: ERR: Do not ignore argument after nocmake

2004-01-13 11:22  hoffman

	* Source/: cmCTest.cxx, cmCTest.h: ENH: add no cmake option

2004-01-13 09:05  king

	* Modules/CMakeDetermineCCompiler.cmake: BUG: Merging 1.23->1.25
	changes to 1.8 branch for correct setting of MINGW flag on cygwin
	with -mno-cygwin flag.

2004-01-13 09:01  king

	* Modules/FindTclsh.cmake: Merging 1.6->1.7 changes to 1.8 branch
	to improve automatic finding of Tcl.

2004-01-13 09:01  king

	* Modules/FindTCL.cmake: Merging 1.30->1.31 changes to 1.8 branch
	to improve automatic finding of Tcl.

2004-01-13 09:00  hoffman

	* Modules/CMakeDetermineCCompiler.cmake: BUG: use the flags when
	testing for type of gnu compiler

2004-01-12 16:16  hoffman

	* Source/kwsys/SystemTools.cxx: BUG: try to get access to work on
	borland

2004-01-12 13:53  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: use access over stat for
	performance

2004-01-12 13:30  andy

	* Source/: cmCTest.cxx, kwsys/SystemTools.cxx: ENH: Only look for
	executable until found

2004-01-12 11:07  hoffman

	* Source/MFCDialog/PropertyList.cpp: BUG: make sure property list
	is cleared between cache loadings

2004-01-09 16:38  berk

	* DashboardScripts/: amber4_paraviewcomplete_gcc.cmake,
	amber4_vtk_gcc.cmake: Scripts for cluster dashboards

2004-01-09 15:57  barre

	* Modules/: FindTCL.cmake, FindTclsh.cmake: ENH: make it a bit
	smarter at finding stuff: now you need only to set *ONE* of
	(TCL|TK)_INCLUDE_PATH, (TCL|TK)_LIBRARY, TCL_TCLSH and the rest
	will be found.

2004-01-09 14:14  hoffman

	* Source/cmCTest.cxx: ENH: clean up the output some more

2004-01-09 14:05  hoffman

	* Source/cmCTest.cxx: ENH: clean up output

2004-01-09 13:35  hoffman

	* Source/: cmCTest.cxx, cmCTest.h: ENH: add an ability to specify a
	build run directory

2004-01-09 12:35  hoffman

	* Source/cmCTest.cxx: ENH: clean up output

2004-01-09 12:28  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: add a local target
	for libraries as well as executables

2004-01-09 11:44  martink

	* DashboardScripts/dash1_ParaViewCompleteLRB_vs71.cmake: updates

2004-01-09 11:28  martink

	* DashboardScripts/: dash2_cmakeLRB_nmake70.cmake,
	dash2_cmake_nmake70.cmake, dash2_cmake_vs70continuous.cmake,
	dash2_vtk64_nmake70.cmake, dash2_vtkLR_vs70.cmake: more scripts

2004-01-09 11:24  king

	* Source/CTest/Curl/ldap.c: ERR: Merged warning fixes (revision 1.6
	-> 1.7) to CMake 1.8 release branch.

2004-01-09 11:23  king

	* CMakeLists.txt, Modules/CMakeDetermineSystem.cmake,
	Modules/CMakeFindFrameworks.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake, Modules/Dart.cmake,
	Modules/FindOpenGL.cmake, Modules/FindPythonLibs.cmake,
	Modules/FindQt.cmake, Modules/FindTCL.cmake,
	Modules/Platform/Windows-cl.cmake, Source/cmCTest.cxx,
	Source/cmCreateTestSourceList.cxx,
	Source/cmGlobalCodeWarriorGenerator.cxx,
	Source/cmGlobalGenerator.cxx,
	Source/cmGlobalVisualStudio6Generator.cxx,
	Source/cmGlobalVisualStudio71Generator.cxx,
	Source/cmGlobalVisualStudio7Generator.cxx,
	Source/cmLinkLibrariesCommand.cxx,
	Source/cmLocalCodeWarriorGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx,
	Source/cmOptionCommand.cxx, Source/cmQTWrapCPPCommand.cxx,
	Source/cmSiteNameCommand.cxx, Source/cmStringCommand.cxx,
	Source/cmTarget.cxx, Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTryCompileCommand.cxx, Source/cmTryCompileCommand.h,
	Source/kwsys/SystemTools.cxx, Utilities/Release/cmake_release.sh,
	Utilities/Release/config_Linux,
	Utilities/Release/cygwin-package.sh.in: ENH: Merged Release-1-8-2
	-> Release-1-8-3 changes to CMake-LatestRelease branch.

2004-01-09 10:43  andy

	* DashboardScripts/: straylight_50_paraview_gcc.cmake,
	straylight_50_paraviewcomplete_gcc.cmake: ENH: Increase timeout to
	make testdemo pass

2004-01-09 10:13  king

	* Source/cmCTest.cxx: BUG: Updated warning regex to match in more
	cases.

2004-01-09 08:54  hoffman

	* Source/cmCTest.cxx: BUG: if the build fails then the test fails

2004-01-09 07:22  hoffman

	* Source/CMakeLists.txt: BUG: fix arguments to wxwindows test

2004-01-08 15:54  hoffman

	* Source/MFCDialog/CMakeCommandLineInfo.cpp: BUG: make sure
	relative paths in command line options are expanded

2004-01-08 10:55  andy

	* DashboardScripts/: straylight_00_cmakeLRB_gcc.cmake,
	straylight_00_cmake_gcc.cmake, straylight_30_vtk_gcc.cmake,
	straylight_40_xdmf_gcc.cmake, straylight_50_paraview_gcc.cmake,
	straylight_50_paraviewcomplete_gcc.cmake: ENH: Straylight scripts

2004-01-08 09:59  hoffman

	* Source/: cmCTest.cxx, cmGlobalGenerator.cxx, cmake.cxx: BUG: make
	sure null terminator is in the right place for putenv static char
	array

2004-01-08 09:23  king

	* Source/cmake.cxx: BUG: Fix environment variable setting.

2004-01-08 09:19  king

	* Source/cmGlobalGenerator.cxx: BUG: Fix environment variable
	setting.

2004-01-08 08:19  hoffman

	* Source/: cmCTest.cxx, cmCTest.cxx: ENH: remove warning

2004-01-07 16:24  hoffman

	* Source/cmCTest.cxx: temp remove of optimization internal ctest
	use putenv causing trouble on cygwin

2004-01-07 16:15  hoffman

	* Source/cmCTest.cxx: ENH: print errors when they are there

2004-01-07 14:22  hoffman

	* Source/cmCTest.cxx: BUG: initialize ivar

2004-01-07 13:46  berk

	* DashboardScripts/shannara_cmake_CC.cmake: new script

2004-01-07 13:46  berk

	* DashboardScripts/common.cmake: space fix

2004-01-07 13:27  martink

	* Source/cmCreateTestSourceList.cxx: merge fix from main tree

2004-01-07 13:20  hoffman

	* Source/cmCTest.cxx: BUG: fix command line parser bug

2004-01-07 12:50  hoffman

	* Source/cmCTest.cxx: ENH: remove warning

2004-01-07 11:31  hoffman

	* Source/cmCTest.cxx: ENH: remove warnings

2004-01-07 11:24  hoffman

	* Source/: CMakeLists.txt, cmCTest.cxx, cmCTest.h,
	cmSystemTools.cxx, cmSystemTools.h, cmWin32ProcessExecution.cxx,
	cmake.cxx, ctest.cxx: ENH: add new feature to ctest so that it can
	cmake, build and run a test executable

2004-01-07 09:22  king

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG: Fixed crash in
	extern MSVC project support.

2004-01-07 09:22  hoffman

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG: fix crash in
	external dsp include

2004-01-07 09:10  king

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG: Fixed crash in
	extern MSVC project support.

2004-01-07 09:08  hoffman

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG: fix crash

2004-01-07 09:07  king

	* Source/cmCTest.cxx: BUG: Added missing Generator attributes to
	submitted XML files.

2004-01-07 08:37  martink

	* Modules/Dart.cmake: merge change from main tree

2004-01-06 19:13  andy

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: ENH: Improve notes
	support (now you can specify them with the rest of the command
	line), improve reading of configuration file (now it actually
	rereads configuration file after running
	update/configure/build...). Remember the model
	(nightly/experimental) across runs

2004-01-06 16:56  king

	* Source/kwsys/: kwsys_std.h.in, kwsys_std_fstream.h.in,
	kwsys_std_iosfwd.h.in, kwsys_std_iostream.h.in,
	kwsys_std_sstream.h.in: ENH: Removing empty source file now that
	makefile dependencies should have updated.

2004-01-06 16:18  hoffman

	* Source/: cmLocalGenerator.cxx, cmLocalUnixMakefileGenerator.cxx:
	ENH: fix for hp make and relative paths never have targets with a
	./ at the start of the name

2004-01-06 15:06  king

	* Utilities/Release/config_Linux: Fixed build for new machine.

2004-01-06 13:21  king

	* Utilities/Release/config_Linux: ENH: Updated configuration for
	new build location.

2004-01-05 16:29  martink

	* Source/cmGlob.cxx: fix for glob command

2004-01-05 15:30  king

	* Source/cmFindPackageCommand.cxx: BUG: Fixed typo in error
	message.

2004-01-05 13:20  king

	* Utilities/Release/cmake_release.sh: ENH: Updated TAG for 1.8.3
	release.

2004-01-05 13:19  king

	* CMakeLists.txt, CMakeSystemConfig.txt.in,
	CMakeWindowsSystemConfig.txt, bootstrap,
	Modules/CMakeCCompiler.cmake.in,
	Modules/CMakeDetermineCCompiler.cmake,
	Modules/CMakeDetermineCXXCompiler.cmake,
	Modules/CMakeDetermineJavaCompiler.cmake,
	Modules/CMakeImportBuildSettings.cmake, Modules/CMakeLists.txt,
	Modules/CMakeSystemSpecificInformation.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake, Modules/CMakeTestGNU.c,
	Modules/CheckTypeSize.cmake, Modules/CheckVariableExists.cmake,
	Modules/Dart.cmake, Modules/FindGTK.cmake, Modules/FindJNI.cmake,
	Modules/FindJava.cmake, Modules/FindLATEX.cmake,
	Modules/FindPythonLibs.cmake, Modules/FindTCL.cmake,
	Modules/FindTclsh.cmake, Modules/FindThreads.cmake,
	Modules/FindWish.cmake, Modules/FindwxWindows.cmake,
	Modules/TestForANSIForScope.cmake,
	Modules/TestForSTDNamespace.cmake, Modules/Platform/AIX.cmake,
	Modules/Platform/BSDOS.cmake, Modules/Platform/Darwin.cmake,
	Modules/Platform/FreeBSD.cmake, Modules/Platform/HP-UX.cmake,
	Modules/Platform/IRIX.cmake, Modules/Platform/IRIX64.cmake,
	Modules/Platform/MP-RAS.cmake, Modules/Platform/NetBSD.cmake,
	Modules/Platform/OSF1.cmake, Modules/Platform/OpenBSD.cmake,
	Modules/Platform/RISCos.cmake, Modules/Platform/SCO_SV.cmake,
	Modules/Platform/SINIX.cmake, Modules/Platform/SunOS.cmake,
	Modules/Platform/True64.cmake, Modules/Platform/ULTRIX.cmake,
	Modules/Platform/UNIX_SV.cmake, Modules/Platform/UnixWare.cmake,
	Modules/Platform/Windows-bcc32.cmake,
	Modules/Platform/Windows-cl.cmake,
	Modules/Platform/Windows-gcc.cmake, Modules/Platform/Windows.cmake,
	Modules/Platform/Xenix.cmake, Modules/Platform/gcc.cmake,
	Source/CMakeLists.txt, Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddTestCommand.cxx, Source/cmCPluginAPI.h,
	Source/cmCTest.cxx, Source/cmCTest.h, Source/cmCacheManager.cxx,
	Source/cmCommands.cxx, Source/cmDynamicLoader.cxx,
	Source/cmFindFileCommand.h, Source/cmFindLibraryCommand.h,
	Source/cmFindPathCommand.h, Source/cmFindProgramCommand.h,
	Source/cmGlobalBorlandMakefileGenerator.cxx,
	Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	Source/cmGlobalNMakeMakefileGenerator.cxx,
	Source/cmGlobalUnixMakefileGenerator.cxx,
	Source/cmGlobalVisualStudio6Generator.cxx,
	Source/cmGlobalVisualStudio7Generator.cxx,
	Source/cmLoadCommandCommand.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.h,
	Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx, Source/cmMakeDepend.cxx,
	Source/cmMakefile.cxx, Source/cmQTWrapCPPCommand.cxx,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTryCompileCommand.h, Source/cmWin32ProcessExecution.cxx,
	Source/cmake.cxx, Source/cmakemain.cxx, Source/cmakewizard.cxx,
	Source/cmakewizard.h, Source/CTest/cmCTestSubmit.cxx,
	Source/CTest/Curl/telnet.c, Source/CTest/Curl/Testing/ftpupload.c,
	Source/CursesDialog/ccmake.cxx, Source/MFCDialog/CMakeSetup.cpp,
	Source/WXDialog/CMakeLists.txt, Source/kwsys/ProcessUNIX.c,
	Source/kwsys/ProcessWin32.c, Source/kwsys/SystemTools.cxx,
	Templates/EXEWinHeader.dsptemplate,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/Complex/Executable/complex.cxx,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/complex.cxx,
	Tests/Complex/Library/CMakeLists.txt,
	Tests/ComplexOneConfig/Library/CMakeLists.txt,
	Tests/ComplexRelativePaths/Library/CMakeLists.txt,
	Utilities/CMakeLists.txt, Utilities/Release/cmake_release.sh,
	Utilities/Release/config_AIX,
	Utilities/Release/config_CYGWIN_NT-5.1,
	Utilities/Release/config_Darwin, Utilities/Release/config_HP-UX,
	Utilities/Release/config_IRIX64, Utilities/Release/config_Linux,
	Utilities/Release/config_OSF1, Utilities/Release/config_SunOS,
	Utilities/Release/cygwin-package.sh.in: ENH: Merging CMake
	Release-1-8-2 to CMake-LatestRelease.

2004-01-05 12:58  king

	* Source/cmLocalVisualStudio6Generator.cxx: BUG#416: Merging
	1.49->1.50 changes to 1.8 branch.

2004-01-05 12:53  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fix for long lines with
	post build rules

2004-01-05 11:22  king

	* Source/cmQTWrapCPPCommand.cxx: BUG#421: Merging 1.16->1.17
	changes to 1.8 branch.

2004-01-05 11:13  andy

	* Source/cmQTWrapCPPCommand.cxx, Tests/Wrapping/CMakeLists.txt,
	Tests/Wrapping/vtkTestMoc.h: BUG: Fix dependency to input file for
	QT_WRAP_CPP. Bug #421 - QT_WRAP_CPP

2004-01-05 11:02  king

	* Source/kwsys/kwsysPlatformCxxTests.cmake: ERR: Removed use of
	FILE command and using WRITE_FILE instead.  We would still like
	CMake 1.6 to be able to build CMake CVS, and kwsys is used.

2004-01-05 10:26  hoffman

	* Source/MFCDialog/PropertyList.cpp: ENH: reduce flicker

2004-01-02 17:24  hoffman

	* Source/MFCDialog/: CMakeSetup.rc, CMakeSetupDialog.cpp,
	PropertyList.cpp, PropertyList.h: ENH: fix bug with advanced items
	loosing edit and do a better job sorting

2004-01-02 10:29  martink

	* DashboardScripts/: dash2_cmakeLRB_nmake70.cmake,
	dash2_cmakeLRB_vs70.cmake, dash2_cmake_nmake70.cmake,
	dash2_cmake_vs70.cmake: dash2 scripts

2004-01-02 10:23  martink

	* Modules/Dart.cmake: fix for multiple nexted projects

2004-01-02 10:03  martink

	* DashboardScripts/: dash1_vtkLR_vs71.cmake, dash1_vtk_vs71.cmake:
	updates

2003-12-31 08:56  andy

	* bootstrap: ERR: Fix bootstrap for the changes in kwsys

2003-12-30 17:15  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in,
	kwsysPlatformCxxTests.cxx, kwsys_ios_fstream.h.in,
	kwsys_ios_iosfwd.h.in, kwsys_ios_iostream.h.in,
	kwsys_ios_sstream.h.in: ENH: Renamed KWSYS_IOS_HAVE_* macros to
	KWSYS_IOS_USE_* to be more readable in the C++ sources.

2003-12-30 16:23  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c,
	test1.cxx: ENH: Added GetExceptionString method to provide an error
	description when GetState returns Exception.

2003-12-30 14:33  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Removed stray
	debugging statement left from merge.

2003-12-30 13:40  king

	* Source/kwsys/SystemTools.cxx: ERR: Use of kwsys_stl was merged
	from main tree.  The CMake 1.8 branch still uses kwsys_std.

2003-12-30 13:39  king

	* Source/kwsys/SystemTools.cxx: BUG: Merging 1.30->1.31 changes to
	CMake 1.8 branch.

2003-12-30 13:38  king

	* Source/kwsys/SystemTools.cxx: BUG: CollapseFullPath was calling
	SplitProgramPath before changing the working directory to in_base.

2003-12-30 10:26  king

	* Source/cmSystemTools.cxx: BUG: Do not call
	cmsysProcess_GetErrorString unless GetState returns State_Error.

2003-12-30 08:41  hoffman

	* Source/: cmLocalGenerator.cxx, cmLocalUnixMakefileGenerator.cxx:
	BUG: borland make treats ./target and target as different also
	convert to outputpathrelative may get passed a quoted path

2003-12-30 07:55  andy

	* Source/cmCTest.cxx: ENH: Remove warnings about unused variables

2003-12-29 16:35  martink

	* Source/cmEnableTestingCommand.h: sets variable now

2003-12-29 16:27  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: only generate test
	target when enabled

2003-12-29 16:27  martink

	* Source/cmEnableTestingCommand.cxx: sets variable now

2003-12-29 16:19  king

	* Modules/: CMakeFindFrameworks.cmake, FindPythonLibs.cmake,
	FindTCL.cmake: BUG#423: Merged fix to 1.8 branch.

2003-12-29 16:18  king

	* Modules/: CMakeFindFrameworks.cmake, FindPythonLibs.cmake,
	FindTCL.cmake: BUG#423: Fixed search for frameworks on OSX.

2003-12-29 16:15  king

	* Source/cmSiteNameCommand.cxx: BUG#407: Merged fix to 1.8 branch.

2003-12-29 16:10  andy

	* Source/cmSiteNameCommand.cxx: ENH: Do not use nslookup. All we
	really care is hostname. If somebody wants something fancy, just
	set it yourself. Fixes Bug #407 - nslookup is being deprecated for
	Red Hat and Fedora distributions

2003-12-29 15:37  king

	* Source/cmOptionCommand.cxx: BUG#408: Merged fix to 1.8 branch.

2003-12-29 15:26  andy

	* Source/cmOptionCommand.cxx: ERR: Fix problems with OPTION and -D
	on command line. Fix Bug #408 - Using -D without a type does not
	always work

2003-12-29 15:15  king

	* Modules/CMakeDetermineSystem.cmake: BUG#426: Merged fix to 1.8
	branch.

2003-12-29 15:14  king

	* Modules/FindQt.cmake: BUG#425: Merged fix to 1.8 branch.

2003-12-29 14:55  hoffman

	* Source/: cmLocalGenerator.cxx, cmLocalUnixMakefileGenerator.cxx:
	BUG: use ./ infront of the current directory

2003-12-29 14:26  andy

	* Modules/CMakeDetermineSystem.cmake: ERR: On systems where uname
	does not support -p, try -m. Fixes Bug #426 -
	CMAKE_SYSTEM_PROCESSOR unknown and inconsistent

2003-12-29 14:19  andy

	* Modules/FindQt.cmake: ENH: Add QT_ASSISTANTCLIENT_LIBRARY
	support. Fixes Bug #425 - Suggsted mod to FindQt.cmake to handle
	qassistantclient.lib

2003-12-29 13:41  king

	* Source/cmGlobalGenerator.cxx: BUG#427: Merged fix to 1.8 branch.

2003-12-29 13:37  king

	* Source/: cmGlobalCodeWarriorGenerator.cxx,
	cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx, cmLinkLibrariesCommand.cxx,
	cmLocalCodeWarriorGenerator.cxx, cmLocalUnixMakefileGenerator.cxx,
	cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx, cmTarget.cxx,
	cmTargetLinkLibrariesCommand.cxx: BUG#445: Merging fix to 1.8
	branch.

2003-12-29 13:32  king

	* Source/cmStringCommand.cxx: BUG#452: Merging 1.10->1.11 changes
	to 1.8 branch.

2003-12-29 13:31  king

	* Source/cmStringCommand.cxx: BUG#452: Fix to argument checking for
	TOUPPER and TOLOWER subcommands.

2003-12-29 13:26  king

	* Modules/FindOpenGL.cmake: BUG: Added missing include path to
	search.

2003-12-29 13:14  king

	* Source/kwsys/SystemTools.cxx: ERR: Removed ftime ambiguity
	created by poor C++ standard headers provided by Borland 5.5.

2003-12-26 16:41  andy

	* Source/CTest/Curl/: ftp.c, hostip.h: ERR: Remove warnings on HP

2003-12-26 16:28  andy

	* Source/CTest/Curl/inet_pton.c: file inet_pton.c was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_negotiate.c: file http_negotiate.c was
	initially added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_digest.h: file http_digest.h was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_negotiate.h: file http_negotiate.h was
	initially added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/: CMakeLists.txt, arpa_telnet.h, base64.c,
	base64.h, ca-bundle.h, config.h.in, connect.c, connect.h,
	content_encoding.c, content_encoding.h, cookie.c, cookie.h, dict.c,
	dict.h, easy.c, escape.c, escape.h, file.c, file.h, formdata.c,
	formdata.h, ftp.c, ftp.h, getdate.c, getenv.c, getinfo.c,
	getinfo.h, hash.c, hash.h, hostip.c, hostip.h, http.c, http.h,
	http_chunks.c, http_chunks.h, http_digest.c, http_digest.h,
	http_negotiate.c, http_negotiate.h, http_ntlm.c, http_ntlm.h,
	if2ip.c, if2ip.h, inet_pton.c, inet_pton.h, krb4.c, krb4.h, ldap.c,
	ldap.h, llist.c, llist.h, md5.c, md5.h, memdebug.c, memdebug.h,
	mprintf.c, multi.c, netrc.c, netrc.h, progress.c, progress.h,
	security.c, security.h, sendf.c, sendf.h, setup.h, share.c,
	share.h, speedcheck.c, speedcheck.h, ssluse.c, ssluse.h,
	strequal.c, strequal.h, strtok.c, strtok.h, telnet.c, telnet.h,
	timeval.c, timeval.h, transfer.c, transfer.h, url.c, url.h,
	urldata.h, version.c, curl/curl.h, curl/easy.h, curl/mprintf.h,
	curl/multi.h, curl/stdcheaders.h, curl/types.h: ENH: Update to Curl
	7.10.8

2003-12-26 16:28  andy

	* Source/CTest/Curl/md5.h: file md5.h was initially added on branch
	Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/md5.c: file md5.c was initially added on branch
	Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_ntlm.h: file http_ntlm.h was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/inet_pton.h: file inet_pton.h was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_ntlm.c: file http_ntlm.c was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/http_digest.c: file http_digest.c was initially
	added on branch Curl-7-10-8.

2003-12-26 16:28  andy

	* Source/CTest/Curl/share.c: file share.c was initially added on
	branch Curl-7-10-8.

2003-12-26 15:02  andy

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: ENH: Add option to
	submit notes. Implements Bug #465 - Add notes support to CTest

2003-12-26 15:00  andy

	* Source/: cmSystemTools.cxx, cmSystemTools.h: BUG: For
	consistency, use cmStdString. Also, there was a bug in SplitString
	which make it lose the first character.

2003-12-24 15:02  andy

	* Source/cmLocalGenerator.cxx: BUG: On Windows network paths do not
	really work as regular paths, so when the binary directory is on
	the network, we will not support relative paths

2003-12-24 13:17  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: use cd pwd trick
	for path for libnames

2003-12-24 10:51  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: use full paths via
	pwd for -L paths on unix shells

2003-12-24 10:07  kmorel

	* Source/kwsys/kwsys_ios_iosfwd.h.in: Fixed a problem where
	ifstream was not the same as kwsys_ios::ifstream on MSVC 6.0.

2003-12-24 09:19  andy

	* Source/cmCTest.cxx: ENH: Fix coverage to actually work and add
	support for .NoDartCoverage

2003-12-23 15:01  hoffman

	* Source/: cmLocalGenerator.cxx, cmTryCompileCommand.cxx,
	cmake.cxx, cmake.h: BUG: keep more of the case information

2003-12-23 13:31  hoffman

	* Source/cmLocalGenerator.cxx: BUG: fix for vtk build

2003-12-23 11:03  king

	* bootstrap: ENH: Merging changes from KWSys-IOS-bp to
	KWSys-IOS-b2t-1-mp to main tree.  This corresponds to the same
	merge in KWSys.  Fixes for bootstrapping on cygwin are also
	included.

2003-12-23 11:03  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in, Directory.cxx,
	RegularExpression.cxx, RegularExpression.hxx.in, SystemTools.cxx,
	SystemTools.hxx.in, kwsysPlatformCxxTests.cmake,
	kwsysPlatformCxxTests.cxx, kwsys_ios_fstream.h.in,
	kwsys_ios_iosfwd.h.in, kwsys_ios_iostream.h.in,
	kwsys_ios_sstream.h.in, kwsys_std.h.in, kwsys_std_fstream.h.in,
	kwsys_std_iosfwd.h.in, kwsys_std_iostream.h.in,
	kwsys_std_sstream.h.in, kwsys_stl.h.in, test1.cxx, testIOS.cxx:
	ENH: Merging changes from KWSys-IOS-bp to KWSys-IOS-b2t-1-mp to
	main tree.  This introduces separate kwsys_ios and kwsys_stl macros
	needed to support all platforms.

2003-12-23 10:44  king

	* bootstrap: BUG: Fixed 3rd C++ test to use endl correctly.  Fixed
	incorrect spelling of appropriate.

2003-12-23 10:39  andy

	* bootstrap: ENH: Some cleanups and attempt to fix cygwin problem

2003-12-23 10:16  andy

	* bootstrap: ENH: Some cleanups, add settings comment to kwsys
	header files. Add proper dependency to kwsys headers

2003-12-23 09:53  king

	* bootstrap: BUG: Fixed use of KWSYS_IOS_HAVE_SSTREAM test result
	for cmConfigure.

2003-12-23 09:31  king

	* bootstrap: BUG: Moved use of KWSYS_IOS test results to after the
	tests are performed.  Also cleaned up ordering of some tests.

2003-12-23 09:17  andy

	* bootstrap: ENH: support new KWSYS with IOS

2003-12-22 16:21  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx, cmSystemTools.cxx: ENH: add
	relative paths to visual studio 6 and 7 project files

2003-12-22 15:16  hoffman

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h:
	ENH: move relative path to parent generator class

2003-12-22 14:17  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: make new relative
	rpath work with spaces

2003-12-22 13:59  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: use fullpaths based
	on the actual current directory

2003-12-22 13:15  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: use a full path for
	rpath

2003-12-22 12:24  hoffman

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h, cmSystemTools.cxx, cmSystemTools.h,
	cmake.cxx: ENH: add support for relative paths in makefiles

2003-12-22 11:20  king

	* Source/kwsys/: CMakeLists.txt, kwsysPlatformCxxTests.cxx: ENH:
	All platform tests are now in kwsysPlatformCxxTests.cxx.  This
	makes the listfile code much more readable.

2003-12-20 13:32  king

	* Source/kwsys/: CMakeLists.txt, testIOS.cxx: ENH: Added testIOS
	for kwsys_ios testing.

2003-12-20 13:32  king

	* Source/kwsys/testIOS.cxx: file testIOS.cxx was initially added on
	branch KWSys-IOS.

2003-12-20 13:31  king

	* Source/kwsys/kwsys_ios_sstream.h.in: ERR: Fixed istringstream to
	work with MSVC 6 old streams.

2003-12-20 12:44  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in,
	kwsysPlatformCxxTests.cxx, kwsys_ios_fstream.h.in,
	kwsys_ios_iosfwd.h.in, kwsys_ios_iostream.h.in,
	kwsys_ios_sstream.h.in: ENH: Shortened and grouped IOS and STL
	feature macro names.

2003-12-19 16:56  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in, Directory.cxx,
	RegularExpression.cxx, RegularExpression.hxx.in, SystemTools.cxx,
	SystemTools.hxx.in, kwsysPlatformCxxTests.cmake,
	kwsysPlatformCxxTests.cxx, kwsys_ios_fstream.h.in,
	kwsys_ios_iosfwd.h.in, kwsys_ios_iostream.h.in,
	kwsys_ios_sstream.h.in, kwsys_std.h.in, kwsys_std_fstream.h.in,
	kwsys_std_iosfwd.h.in, kwsys_std_iostream.h.in,
	kwsys_std_sstream.h.in, kwsys_stl.h.in, test1.cxx: ENH: Split
	kwsys_std into kwsys_ios and kwsys_stl in order to avoid std
	namespace pollution and support more platforms.

2003-12-19 16:56  king

	* Source/kwsys/kwsys_ios_sstream.h.in: file kwsys_ios_sstream.h.in
	was initially added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsys_ios_iosfwd.h.in: file kwsys_ios_iosfwd.h.in
	was initially added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsys_ios_fstream.h.in: file kwsys_ios_fstream.h.in
	was initially added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsys_ios_iostream.h.in: file
	kwsys_ios_iostream.h.in was initially added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsys_stl.h.in: file kwsys_stl.h.in was initially
	added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsysPlatformCxxTests.cxx: file
	kwsysPlatformCxxTests.cxx was initially added on branch KWSys-IOS.

2003-12-19 16:56  king

	* Source/kwsys/kwsysPlatformCxxTests.cmake: file
	kwsysPlatformCxxTests.cmake was initially added on branch
	KWSys-IOS.

2003-12-18 18:04  andy

	* Source/cmCTest.cxx: ENH: Even better. Only replace when path
	longer than 20 characters. Also replace parent directory. That way
	it will replace for related projects.

2003-12-18 17:42  andy

	* Source/cmCTest.cxx: ENH: Attempt to cleanup the build output

2003-12-18 17:36  martink

	* Source/cmCTest.cxx: bug fix

2003-12-18 13:40  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ERR: Remove debug

2003-12-18 13:17  andy

	* Source/: cmGlobalCodeWarriorGenerator.cxx,
	cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx,
	cmLocalCodeWarriorGenerator.cxx, cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: Fix Bug #445 - Same library
	in multiple projects can cause problems

2003-12-18 13:04  andy

	* Source/: cmLinkLibrariesCommand.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmTarget.cxx,
	cmTargetLinkLibrariesCommand.cxx: BUG: Fix Bug #445 - Same library
	in multiple projects can cause problems

2003-12-18 09:59  martink

	* DashboardScripts/: dash1_cmakeLRB_nmake71.cmake,
	dash1_cmakeLRB_vs71.cmake, dash1_cmake_nmake71.cmake,
	dash1_cmake_vs71.cmake, dash1_cmake_vs71Release.cmake,
	dash1_vtkLR_vs71.cmake, dash1_vtkLR_vs71Release.cmake,
	dash1_vtk_vs71.cmake: updates

2003-12-17 10:54  martink

	* DashboardScripts/tigana_cmake_gcc.cmake: a tigana dashboard

2003-12-17 09:42  andy

	* Modules/Dart.cmake: ENH: Mark things as advanced

2003-12-17 09:40  andy

	* Source/cmCTest.cxx: ERR: Remove debug

2003-12-17 09:25  andy

	* Source/cmCTest.cxx: ENH: Add more error regular expressions

2003-12-17 08:49  king

	* Source/: cmTryCompileCommand.cxx, cmTryCompileCommand.h: BUG#439:
	Merging fix to 1.8 branch.

2003-12-17 08:45  king

	* Modules/Platform/Windows-cl.cmake: BUG#438: Merging fix to 1.8
	branch.

2003-12-17 08:36  martink

	* Source/cmCTest.cxx: better ctest driver and return codes

2003-12-17 08:30  king

	* Source/kwsys/SystemTools.hxx.in: ERR: std -> kwsys_std.

2003-12-17 08:21  martink

	* Modules/Platform/Windows-cl.cmake: fix in quoting

2003-12-16 17:30  andy

	* Source/cmCTest.cxx: ENH: Purify support should work now.

2003-12-16 17:20  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c: ENH:
	Added SetPipeShared method to allow stdout and stderr pipes to be
	shared with the parent process.

2003-12-16 16:27  martink

	* DashboardScripts/common.cmake: fix to unix path

2003-12-16 16:19  andy

	* Source/cmCTest.cxx: ENH: Add suppression file support for
	valgrind

2003-12-16 16:19  andy

	* Modules/: Dart.cmake, DartConfiguration.tcl.in: ENH: Add
	suppression file

2003-12-16 15:55  king

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: Added
	GetEnv method.

2003-12-16 15:38  king

	* Source/kwsys/CMakeLists.txt: ENH: Updated copyright.

2003-12-16 15:37  king

	* Source/kwsys/CMakeLists.txt: ERR: SystemTools now depends on
	Directory.

2003-12-16 14:43  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Several cleanups and
	attempt to do purify support

2003-12-16 14:26  martink

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: is there any
	chance thiswill work on all platforms hmmm added removeAdirectory

2003-12-16 13:18  andy

	* Source/cmCTest.cxx: ENH: Cleanup output

2003-12-15 18:44  andy

	* Source/cmCTest.cxx: ERR: Fix coverage on gcc 2.95

2003-12-15 18:32  andy

	* Source/cmCTest.cxx: ERR: Ok, think before commit... This fixes
	two build problems. The missing brace and the std::string signature
	is different on gcc 2.95 and gcc 3.3.

2003-12-15 18:03  andy

	* Source/cmCTest.cxx: ERR: Inner loop used the same counter as
	outer. Broke coverage code

2003-12-15 17:28  andy

	* Source/: cmCTest.cxx, cmCTest.h: ERR: STD fixes

2003-12-15 17:25  andy

	* Modules/Dart.cmake, Modules/DartConfiguration.tcl.in,
	Source/cmCTest.cxx, Source/cmCTest.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/ctest.cxx,
	Source/CTest/cmCTestSubmit.cxx, Source/CTest/cmCTestSubmit.h,
	Source/CursesDialog/cmCursesPathWidget.cxx: ENH: Add initial memory
	check support which works for Valgrind

2003-12-15 16:30  king

	* Source/kwsys/: Base64.c, Base64.h.in, Configure.h.in,
	Configure.hxx.in, Copyright.txt, Directory.cxx, Directory.hxx.in,
	EncodeExecutable.c, Process.h.in, ProcessFwd9x.c, ProcessUNIX.c,
	ProcessWin32.c, RegularExpression.cxx, RegularExpression.hxx.in,
	SystemTools.cxx, SystemTools.hxx.in, kwsysHeaderDump.pl,
	kwsysPrivate.h, kwsys_std.h.in, kwsys_std_fstream.h.in,
	kwsys_std_iosfwd.h.in, kwsys_std_iostream.h.in,
	kwsys_std_sstream.h.in, test1.cxx, testProcess.c: ENH: Updated
	copyright.

2003-12-15 12:56  martink

	* Source/cmCreateTestSourceList.cxx: fix compiler warning

2003-12-15 12:02  hoffman

	* Source/cmCTest.cxx: ENH: fix for gcc 3.1

2003-12-14 13:48  king

	* Source/kwsys/ProcessWin32.c: STYLE: Fixed typo on comment.

2003-12-14 13:47  king

	* Source/kwsys/ProcessWin32.c: ENH: Using CreateFile with
	FILE_FLAG_DELETE_ON_CLOSE to automatically delete the Win9x
	forwarding executable even if the parent process crashes.

2003-12-14 13:44  king

	* Source/kwsys/kwsysPrivate.h: ENH: Added KWSYS_NAMESPACE_STRING
	macro.

2003-12-14 13:03  king

	* Source/kwsys/Configure.h.in: BUG: Fixed dllimport.

2003-12-13 14:19  king

	* Source/kwsys/ProcessUNIX.c: ERR: Added include of sys/stat.h for
	open functions mode bits.

2003-12-13 14:13  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c: ENH:
	Added SetPipeFile method to allow the process pipeline stdin,
	stdout, and stderr to be redirected from/to files.

2003-12-13 10:36  king

	* Source/kwsys/: ProcessUNIX.c, ProcessWin32.c: ENH: Code is now
	robust to New method returning NULL.

2003-12-12 15:42  king

	* Modules/Platform/IRIX64.cmake: ENH: Added
	CMAKE_SHARED_LIBRARY_SONAME_C_FLAG and
	CMAKE_SHARED_LIBRARY_SONAME_CXX_FLAG settings to enable shared
	library version support for SGI.

2003-12-12 14:44  king

	* Modules/Platform/HP-UX.cmake: ENH: Added
	CMAKE_SHARED_LIBRARY_SONAME_FLAG setting to enable shared library
	version support for HP-UX.

2003-12-12 14:34  king

	* Modules/CMakeDefaultMakeRuleVariables.cmake,
	Modules/Platform/SunOS.cmake,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Modules/Platform/Linux.cmake: ENH: Using separate
	CMAKE_SHARED_LIBRARY_SONAME flags for C and CXX.

2003-12-12 14:20  king

	* Modules/Platform/SunOS.cmake: ENH: Added
	CMAKE_SHARED_LIBRARY_SONAME_FLAG setting to enable shared library
	version support for SunOS.

2003-12-12 09:12  hoffman

	* Modules/: CMakeCCompiler.cmake.in, CMakeCXXCompiler.cmake.in,
	CMakeDetermineCCompiler.cmake, CMakeDetermineCXXCompiler.cmake:
	ENH: reduce the number of times gnu is tested for

2003-12-12 08:19  martink

	* DashboardScripts/: common.cmake, dash1_cmakeLRB_nmake71.cmake,
	dash1_cmakeLRB_vs71.cmake, dash1_cmake_nmake71.cmake: updates

2003-12-12 08:09  martink

	* Source/cmCTest.cxx: now can do extra updates

2003-12-11 15:38  hoffman

	* Source/cmGlobalGenerator.cxx: BUG:427 trycompile target must be
	exe

2003-12-11 10:11  hoffman

	* Source/cmTryCompileCommand.cxx: BUG: need a dummy first argument
	to cmake

2003-12-11 08:57  martink

	* Source/: cmTryCompileCommand.cxx, cmTryCompileCommand.h: fix to
	the signature and argument parsing

2003-12-10 19:47  andy

	* Source/: cmake.cxx, cmakemain.cxx: ENH: Argument for script mode
	is -P (process) and take out the automatic script mode

2003-12-10 08:55  hoffman

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: BUG: roll back change for variable
	used in path

2003-12-09 16:44  martink

	* DashboardScripts/: dash1_cmakeLRB_nmake71.cmake,
	dash1_cmakeLRB_vs71.cmake, dash1_cmake_nmake71.cmake,
	dash1_cmake_vs71.cmake, dash1_cmake_vs71Release.cmake: updates

2003-12-09 14:33  king

	* Modules/FindOpenGL.cmake: ENH: Adding /usr/include/w32api for
	OpenGL header search.

2003-12-09 11:44  king

	* Source/kwsys/SystemTools.cxx: BUG: File comparison on windows
	must test the volume serial number as well as the file index.

2003-12-09 10:33  martink

	* DartConfig.cmake: move start time up one hour

2003-12-09 10:25  martink

	* DashboardScripts/: dash1_cmakeLRB_nmake71.cmake,
	dash1_cmakeLRB_vs2003.cmake, dash1_cmakeLRB_vs2003nmake.cmake,
	dash1_cmakeLRB_vs71.cmake, dash1_cmake_nmake71.cmake,
	dash1_cmake_vs2003.cmake, dash1_cmake_vs2003nmake.cmake,
	dash1_cmake_vs71.cmake: some name changes

2003-12-09 09:16  king

	* Source/: cmListFileLexer.c, cmListFileLexer.in.l: ERR: Removed
	YY_BREAK statements after return statements because they are
	unreachable.

2003-12-09 09:11  king

	* Source/: cmListFileLexer.c, cmListFileLexer.in.l: ERR: Added
	missing static keyword to cmListFileLexerSetToken and
	cmListFileLexerAppend definitions.

2003-12-09 08:32  hoffman

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: ENH: use variables for output paths

2003-12-09 08:22  martink

	* Source/cmCTest.cxx: some updates to handle inline cache files and
	environment variables

2003-12-09 08:21  martink

	* DashboardScripts/: manticore_cmake_vc2003.cache,
	manticore_cmake_vc2003.cmake: remove old files

2003-12-09 08:19  martink

	* DashboardScripts/: dash1_cmakeLRB_vs2003.cache,
	dash1_cmakeLRB_vs2003.cmake, dash1_cmakeLRB_vs2003nmake.cache,
	dash1_cmakeLRB_vs2003nmake.cmake: new single file approach

2003-12-09 08:16  martink

	* DashboardScripts/: dash1_cmake_vs2003.cache,
	dash1_cmake_vs2003.cmake, dash1_cmake_vs2003.cmake,
	dash1_cmake_vs2003nmake.cache, dash1_cmake_vs2003nmake.cmake: new
	single file approach

2003-12-08 18:05  king

	* Source/cmSystemTools.cxx: BUG: Reimplemented ExpandListArguments
	to properly handle escaped backslashes that occur right before
	semicolons.  This is important for lists of paths ending in
	backslashes on windows.

2003-12-08 16:26  martink

	* DashboardScripts/: dash1_cmakeLRB_vs2003.cache,
	dash1_cmakeLRB_vs2003.cmake, dash1_cmakeLRB_vs2003nmake.cache,
	dash1_cmakeLRB_vs2003nmake.cmake, dash1_cmake_vs2003nmake.cache,
	dash1_cmake_vs2003nmake.cmake: some configuration scripts

2003-12-08 16:10  martink

	* Source/cmSystemTools.cxx: bug fix to escaped semicolons in
	arguments

2003-12-08 15:05  king

	* Source/cmListFileLexer.in.l: ERR: Fixed comment about how to run
	flex to reflect new name of this file.

2003-12-08 14:20  king

	* Source/: cmListFileLexer.in.l, cmListFileLexer.l: ERR: Renaming
	cmListFileLexer.l to cmListFileLexer.in.l to avoid make programs
	trying to run lex automatically whn building cmListFileLexer.c.

2003-12-08 14:11  andy

	* bootstrap: ENH: Fix bootstrap to handle lex parser

2003-12-08 13:40  king

	* Source/: cmListFileLexer.c, cmListFileLexer.l: ERR: We must
	define YY_NO_UNISTD_H to build on windows.

2003-12-08 13:36  king

	* Source/: CMakeLists.txt, cmListFileCache.cxx, cmListFileCache.h,
	cmListFileLexer.c, cmListFileLexer.h, cmListFileLexer.l: ENH: Using
	lex-based tokenizer and a simple recursive-descent parser in place
	of the old hand-coded parser for CMake listfiles.

2003-12-08 11:35  king

	* Source/kwsys/CMakeLists.txt: STYLE: Removed trailing whitespace.

2003-12-08 11:31  king

	* Source/cmake.cxx: ENH: Improved error messages when source tree
	does not have a CMakeLists.txt file.  No matter how many cases we
	check, there always seems to be a user that finds a case that gives
	a confusing error message...

2003-12-08 11:23  andy

	* Modules/Dart.cmake, Modules/DartConfiguration.tcl.in,
	Source/cmCTest.cxx: ENH: Improve coverage on systems with multiple
	gcov commands

2003-12-07 14:09  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c: ENH:
	Cleaned up pipe numbering.

2003-12-05 16:39  king

	* Source/cmCTest.cxx: ENH: Using cmListFileCache to read the
	DartTestfile instead of duplicating the parse loop.

2003-12-05 14:51  king

	* Source/kwsys/kwsys_std.h.in: ERR: Need to include Configure.hxx
	to get kwsys_std definition.

2003-12-05 11:53  king

	* Source/: cmCTest.cxx, cmSystemTools.cxx, kwsys/Process.h.in,
	kwsys/ProcessUNIX.c, kwsys/ProcessWin32.c, kwsys/test1.cxx,
	kwsys/testProcess.c: ENH: Removed pipe selection argument from
	WaitForData method in kwsysProcess.  This greatly simplifies its
	use.

2003-12-05 11:37  king

	* Source/kwsys/: Process.h.in, ProcessFwd9x.c, ProcessWin32.c:
	STYLE: Removed trailing whitespace.

2003-12-05 11:19  king

	* Source/kwsys/ProcessWin32.c: BUG: Process startup-info struct
	dwFlags were being set incorrectly due to a change in statement
	order.

2003-12-05 10:45  king

	* Docs/cmake-mode.el: ENH: New indentation implementation to
	support multi-line strings.

2003-12-04 14:34  king

	* Docs/cmake-mode.el: STYLE: Removed trailing whitespace.

2003-12-04 13:56  king

	* Source/kwsys/ProcessUNIX.c: ERR: Added missing static storage
	class specifier for kwsysProcessCreate.

2003-12-03 14:16  martink

	* DashboardScripts/: common.cmake, dash1_cmake_vs2003.cache,
	dash1_cmake_vs2003.cmake: in progress

2003-12-03 14:16  martink

	* Source/cmCTest.cxx: some fixes to test harnes

2003-12-03 13:37  king

	* Source/kwsys/ProcessUNIX.c: ERR: Some platforms define stdin,
	stdout, and stderr as macros.  Renaming these symbols to StdIn,
	StdOut, and StdErr.

2003-12-03 09:20  king

	* Source/kwsys/: Process.h.in, ProcessFwd9x.c, ProcessUNIX.c,
	ProcessWin32.c: ENH: Merged changes from KWSys-MultiProcess-bp to
	KWSys-MultiProcess-b2t-1-mp to main tree.  This introduces support
	for process pipelines.

2003-12-03 09:12  king

	* Source/kwsys/Process.h.in: ERR: Added missing macro definition
	for kwsysProcess_AddCommand.

2003-12-02 17:23  king

	* Utilities/Release/cmake_release.sh: ENH: Added documentation
	about location of cmCPluginAPI.h in cygwin package.

2003-12-02 17:16  king

	* Utilities/Release/cygwin-package.sh.in: BUG: No longer need to
	copy Copyright.txt into doc directory.	It is done by the cmake
	installation.

2003-12-02 17:14  king

	* Utilities/Release/cygwin-package.sh.in: BUG: Need to pass
	datadir/docdir/mandir to bootstrap script instead of writing in the
	cache.

2003-12-02 16:57  king

	* Utilities/Release/cygwin-package.sh.in: ENH: Cygwin now uses
	/usr/share/doc instead of /usr/doc.

2003-12-02 16:57  king

	* CMakeLists.txt, Utilities/Release/cmake_release.sh: ENH: Updating
	version number to 1.8.3.

2003-12-02 16:50  martink

	* Source/cmCTest.cxx: better error handling

2003-12-02 11:55  martink

	* DashboardScripts/: manticore_cmake_vc2003.cache,
	manticore_cmake_vc2003.cmake: first pass

2003-12-01 19:25  martink

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: a start on the
	dashboard driver

2003-12-01 13:07  king

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	BUG#411: Merged fix to 1.8 branch.

2003-12-01 13:06  king

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	BUG#411: Re-ordering statements so errors show up in
	CMakeError.log.

2003-11-28 15:37  king

	* Source/kwsys/ProcessWin32.c: ENH: Cleaned up implementation of
	stderr and win9x forwarding executable error pipe.

2003-11-28 14:21  king

	* Source/kwsys/ProcessWin32.c: ENH: Removing special termination
	pipe from Windows implementation.  It does not need it because
	WaitForMultipleObjects can wait with a timeout for the process to
	terminate.  This is not the case in UNIX because waitpid has no
	timeout, so we need the termination pipe there.

2003-11-28 14:08  king

	* Source/kwsys/ProcessWin32.c: BUG: Removed stray debugging code
	that caused win9x mode to always be used.

2003-11-28 14:02  king

	* Source/kwsys/ProcessWin32.c: ENH: Added special termination pipe
	to allow timeout to work for processes that close their output
	pipes.

2003-11-28 13:07  king

	* Source/kwsys/ProcessWin32.c: ENH: Error messages from the
	forwarding executable are now read completely even if they are
	reported in multiple blocks.

2003-11-28 12:58  king

	* Source/kwsys/ProcessWin32.c: BUG: Fixed error message when
	process control structure initialization runs out of memory.

2003-11-28 12:52  king

	* Source/kwsys/ProcessWin32.c: ERR: Removed useless if(command) in
	AddString.

2003-11-28 12:47  king

	* Source/kwsys/ProcessWin32.c: ENH: Renamed CMPE_* to KWSYSPE_* for
	consistency with ProcessUNIX.c.

2003-11-28 12:42  king

	* Source/kwsys/ProcessUNIX.c: BUG: When a child fails to exec, we
	need to read the entire error message, not just the first block.

2003-11-28 12:31  king

	* Source/kwsys/ProcessUNIX.c: ENH: UNIX implementation of process
	pipeline.

2003-11-28 10:08  king

	* Source/kwsys/ProcessUNIX.c: ENH: Implemented SetCommand and
	AddCommand for multiple process support.

2003-11-28 09:48  king

	* Source/kwsys/: ProcessUNIX.c, ProcessUNIX.c: STYLE: Removed
	trailing whitespace.

2003-11-27 23:08  king

	* Source/kwsys/: Process.h.in, ProcessFwd9x.c, ProcessWin32.c: ENH:
	Windows implementation of process pipeline.

2003-11-27 10:28  king

	* Source/cmake.cxx: BUG: cmake_symlink_library should return the
	accumulated result, not just 0.

2003-11-26 17:59  king

	* Modules/Platform/Linux.cmake: ENH: Adding implementation of
	shared library version support on UNIX.  This addresses the feature
	request described in bug#32.

2003-11-26 17:52  king

	* Modules/CMakeDefaultMakeRuleVariables.cmake: ENH: Adding
	implementation of shared library version support on UNIX.  This
	addresses the feature request described in bug#32.

2003-11-26 17:38  king

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: ENH: Adding implementation of
	shared library version support on UNIX.  This addresses the feature
	request described in bug#32.

2003-11-26 17:34  king

	* Source/cmake.cxx: BUG: The cmake_symlink_library command needs to
	remove existing files before creating links.

2003-11-26 16:38  king

	* Source/cmake.cxx: ENH: Added undocumented cmake_symlink_library
	to help with building versioned shared libraries.

2003-11-26 16:15  hoffman

	* Source/: cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx: remove more warnings

2003-11-26 16:12  hoffman

	* Source/: cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio6Generator.h,
	cmGlobalVisualStudio7Generator.cxx,
	cmGlobalVisualStudio7Generator.h: remove warnings

2003-11-26 16:11  king

	* Source/cmSystemTools.cxx: ERR: Fixed unused parameter warnings.

2003-11-26 16:04  hoffman

	* Source/: cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio71Generator.h,
	cmGlobalVisualStudio7Generator.cxx: ENH: fix some warnings

2003-11-26 14:52  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Added
	CreateSymlink method.

2003-11-26 14:30  hoffman

	* Source/MFCDialog/PropertyList.cpp: ENH: remove removecache entry
	call

2003-11-26 14:29  hoffman

	* Source/: cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio6Generator.h,
	cmGlobalVisualStudio7Generator.cxx,
	cmGlobalVisualStudio7Generator.h, cmMakefile.cxx, cmMakefile.h:
	ENH: generate a sln and dsw file for each sub project in a project

2003-11-26 11:41  king

	* Source/: cmCTest.cxx, cmSystemTools.cxx: BUG: Do not use
	std::string to accumulate output.  Use std::vector instead.  This
	is much better at memory management.

2003-11-25 16:14  king

	* Utilities/Release/cmake_release.sh: STYLE: Removed trailing
	whitepsace.

2003-11-24 15:51  king

	* Utilities/Release/cmake_release.sh: BUG: osx_install should make
	the Resources directory before copying files into it.

2003-11-24 14:04  king

	* Modules/FindPythonLibs.cmake: BUG#266: Merging 1.16->1.18 changes
	to 1.8 branch.

2003-11-24 14:01  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#393: Merging
	1.40->1.41 changes to 1.8 branch.

2003-11-21 14:13  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#393: Adding XML
	escaping for additional per-source compile flags.

2003-11-21 13:12  hoffman

	* Modules/FindPythonLibs.cmake: BUG: remove junk code

2003-11-20 15:41  king

	* Modules/FindPythonLibs.cmake: BUG#266: Added cygwin names for the
	library.  Module now documents output as PYTHON_LIBRARIES instead
	of PYTHON_LIBRARY.

2003-11-20 15:31  king

	* Modules/FindPythonLibs.cmake: STYLE: Removed trailing whitespace.

2003-11-20 15:30  king

	* Modules/Platform/: AIX.cmake, BSDOS.cmake, Darwin.cmake,
	FreeBSD.cmake, HP-UX.cmake, IRIX.cmake, IRIX64.cmake, MP-RAS.cmake,
	NetBSD.cmake, OSF1.cmake, OpenBSD.cmake, RISCos.cmake,
	SCO_SV.cmake, SINIX.cmake, SunOS.cmake, True64.cmake, ULTRIX.cmake,
	UNIX_SV.cmake, UnixWare.cmake, Windows-gcc.cmake, Xenix.cmake,
	gcc.cmake: BUG#383: Merged fix to 1.8 branch.

2003-11-14 10:44  hoffman

	* Modules/Platform/: AIX.cmake, BSDOS.cmake, Darwin.cmake,
	FreeBSD.cmake, HP-UX.cmake, IRIX.cmake, IRIX64.cmake, MP-RAS.cmake,
	NetBSD.cmake, OSF1.cmake, OpenBSD.cmake, RISCos.cmake,
	SCO_SV.cmake, SINIX.cmake, SunOS.cmake, True64.cmake, ULTRIX.cmake,
	UNIX_SV.cmake, UnixWare.cmake, Windows-gcc.cmake, Xenix.cmake,
	gcc.cmake: BUG: fix for bug 383 gcc flags are now always set if the
	compiler is gnu

2003-11-13 15:54  king

	* Source/cmAddCustomTargetCommand.cxx: BUG#321: Merged 1.13->1.14
	changes to 1.8 branch.

2003-11-13 14:45  martink

	* Source/cmAddCustomTargetCommand.cxx: fixed argument parsing

2003-11-13 13:52  king

	* Source/: cmFindFileCommand.h, cmFindLibraryCommand.h,
	cmFindPathCommand.h, cmFindProgramCommand.h: ENH: Documentation
	improvements from main tree.

2003-11-13 13:51  king

	* Source/: cmFindFileCommand.h, cmFindLibraryCommand.h,
	cmFindPathCommand.h, cmFindProgramCommand.h: ENH: Documentation
	improvements.

2003-11-13 12:43  king

	* Modules/FindGTK.cmake: BUG#299: Merged 1.8->1.9 changes to 1.8
	branch.

2003-11-12 17:44  king

	* Modules/FindGTK.cmake: BUG#299: GTK_gmodule_LIBRARY is optional
	just like GTK_gthread_LIBRARY.

2003-11-12 16:53  king

	* Modules/TestForANSIForScope.cmake: BUG#374: Merging 1.10->1.11
	changes to 1.8 branch.

2003-11-12 16:53  king

	* Modules/TestForSTDNamespace.cmake: BUG#374: Merging 1.9->1.10
	changes to 1.8 branch.

2003-11-12 16:51  king

	* Modules/: TestForANSIForScope.cmake, TestForSTDNamespace.cmake:
	BUG#374: Adding OUTPUT_VARIABLE OUTPUT to TRY_COMPILE commands.

2003-11-12 14:57  king

	* Source/cmMakeDepend.cxx: BUG#373: Merging 1.39->1.40 to 1.8
	branch.

2003-11-12 14:20  hoffman

	* Source/cmMakeDepend.cxx: BUG: fix for bug 373 make depend problem

2003-11-12 14:17  king

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG#371: Merging
	1.19->1.20 changes to 1.8 branch.

2003-11-12 14:17  king

	* Source/cmGlobalVisualStudio7Generator.cxx: BUG#371: Merging
	1.17->1.18 changes to 1.8 branch.

2003-11-12 14:06  andy

	* Source/: cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx: ENH: Bug #371 - Add build
	configuration for try compiles using cmake variable

2003-11-12 10:03  king

	* Modules/Dart.cmake: BUG#199: Merging 1.45->1.46 changes to 1.8
	branch.

2003-11-12 10:00  king

	* Modules/Dart.cmake: BUG#199: If
	DART_EXPERIMENTAL_USE_PROJECT_NAME is set, the PROJECT_NAME will be
	included in the name of the Experimental and ExperimentalSubmit
	targets.

2003-11-11 12:53  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#363: Merged
	1.39->1.40 changes to 1.8 branch.

2003-11-11 12:51  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for 363,
	VCMIDLTool not used for idl files

2003-11-11 12:51  king

	* Source/cmCTest.cxx: BUG#344: Merged 1.66->1.67 to 1.8 branch.

2003-11-11 12:36  andy

	* Source/cmCTest.cxx: BUG: Handle -C properly for executables that
	are not in the project; Fix Bug #344 - ctest -C Debug

2003-11-11 11:42  king

	* Source/cmCTest.h: BUG#259: Merging 1.16->1.18 changes to 1.8
	branch.

2003-11-11 11:42  king

	* Source/cmCTest.cxx: BUG#259: Merging 1.62->1.63 and 1.64->1.66
	changes to 1.8 branch.

2003-11-11 11:41  king

	* Source/cmAddTestCommand.cxx: BUG#259: Merging 1.18->1.20 changes
	to 1.8 branch.

2003-11-06 16:38  andy

	* Source/cmCTest.cxx: ENH: Add warning exception for VTK type
	warning blocking

2003-11-05 15:02  andy

	* Utilities/Doxygen/doxyfile.in: ENH: Handle kwsys properly

2003-11-05 15:02  andy

	* Utilities/Doxygen/CMakeLists.txt: ENH: Cleanup. We do not really
	need to use vtk for documentation. We only need utilities/doxygen
	directory

2003-11-05 13:03  king

	* Modules/Platform/Windows-bcc32.cmake,
	Source/cmGlobalBorlandMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx: BUG#346: Merging fix from
	main tree to 1.8 branch.

2003-11-05 11:18  hoffman

	* Modules/Platform/Windows-bcc32.cmake,
	Source/cmGlobalBorlandMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix for bug 346,
	borland should now support dash in the path

2003-11-05 10:46  king

	* Source/cmCTest.cxx: BUG#259: Fix for spaces in paths to
	executable added to previous fixes for this bug.

2003-11-05 10:13  king

	* Modules/: FindTclsh.cmake, FindWish.cmake: BUG#322: Merging fix
	from main tree to 1.8 branch.

2003-11-04 12:50  king

	* Source/cmCTest.cxx: BUG#323: Merging fix from main tree to 1.8
	branch.

2003-11-04 11:19  hoffman

	* Source/cmCTest.cxx: BUG: fix for bug 323

2003-11-04 09:45  king

	* Source/cmMakefile.cxx: BUG: Merging changes from revision 1.236
	to 1.237 to 1.8 branch.

2003-11-04 09:44  king

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: Merging changes
	from revisions 1.41 to 1.47 to 1.8 branch.

2003-11-04 09:36  king

	* Modules/: FindTclsh.cmake, FindWish.cmake: ENH: Adding registry
	entries to search path.

2003-11-04 09:06  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG#318: Merging fix
	from main tree to 1.8 branch.

2003-11-04 09:03  king

	* Source/CTest/: cmCTestSubmit.cxx, Curl/Testing/ftpupload.c:
	BUG#320: Merging fix from main tree to 1.8 branch.

2003-11-04 09:01  king

	* Source/cmQTWrapCPPCommand.cxx: BUG#319: Merging fix from main
	tree (1.15->1.16) to 1.8 branch.

2003-11-04 09:00  king

	* Source/kwsys/: ProcessWin32.c, RegularExpression.cxx: ERR:
	Removed extra variable assignments.

2003-11-04 08:56  king

	* Source/kwsys/ProcessWin32.c: BUG: Removed CloseHandle in case of
	error in DuplicateHandle.  According to documentation,
	DuplicateHandle will close the source handle regardless of error
	condition.

2003-11-04 08:50  king

	* Source/cmAddTestCommand.cxx: BUG: Cannot add extra escapes for
	backslashes because it makes the behavior inconsistent with
	previous versions of cmake.

2003-11-03 16:59  andy

	* Source/CTest/: cmCTestSubmit.cxx, Curl/Testing/ftpupload.c: BUG:
	This fixes problem when submitting bugs on Mac: Bug #320 - When
	st_size in stat is 64 bit ctest does not submit

2003-11-03 15:57  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx, cmMakefile.cxx: BUG:
	hack fix for problem of MS vs 6 and custom target commands

2003-11-03 15:53  andy

	* Source/cmQTWrapCPPCommand.cxx: BUG: Fix Bug #319 - Change in
	QT_WRAP_CPP's behaviour

2003-11-03 15:38  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Cleanup parsing of argument
	to help fix Bug #259 - CMake does not quote correctly in
	DartTestfile.txt

2003-11-03 15:19  king

	* Source/cmAddTestCommand.cxx: BUG#259: ADD_TEST command generated
	in DartTestfile.txt now quotes/escapes all arguments.

2003-11-03 11:01  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: fix for debug libs
	not using output path

2003-10-31 17:22  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG#318:
	cmake.check_depends now collects all dependencies for cmake.depends
	and then uses a single rule.

2003-10-31 17:05  king

	* Modules/Platform/Windows-cl.cmake: BUG#317: Merging 1.23->1.24
	changes to 1.8 branch.

2003-10-31 17:01  king

	* Templates/EXEWinHeader.dsptemplate: BUG#316: Merged 1.15->1.16
	changes from main tree to 1.8 branch.

2003-10-31 16:56  hoffman

	* Modules/Platform/Windows-cl.cmake: BUG: fix for bug# 317

2003-10-31 16:55  andy

	* Source/cmLocalVisualStudio6Generator.cxx,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate, Tests/COnly/CMakeLists.txt:
	ENH: Attempt to add debug library postfix for visual studio 6

2003-10-31 16:53  hoffman

	* Templates/EXEWinHeader.dsptemplate: Fix for BUG: 316

2003-10-31 12:55  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: Merged all changes
	from main tree up to revision 1.39.

2003-10-31 09:31  andy

	* Source/cmCTest.cxx: ENH: Report when having conflicts

2003-10-30 16:12  king

	* Source/: cmake.cxx, cmake.cxx: BUG#313: Improving error message
	when no CMakeLists.txt file is found in the source tree.

2003-10-30 14:27  king

	* Source/cmAddTestCommand.cxx: BUG: Backing out previous change
	until a deeper problem can be investigated.

2003-10-30 14:00  king

	* Source/cmAddTestCommand.cxx: BUG#259: Do not double quote
	arguments if they are already quoted when writing DartTestfile.txt.

2003-10-30 13:47  king

	* Source/cmTryCompileCommand.h: BUG#163: Merging 1.12->1.13 changes
	to 1.8 branch for 1.8.2 release.

2003-10-30 13:46  king

	* Source/cmTryCompileCommand.h: BUG#163: Added documentation of
	OUTPUT_VARIABLE argument.

2003-10-30 13:35  king

	* Modules/FindLATEX.cmake: BUG#262: Merging fix from main tree
	1.8->1.9 to 1.8 branch for 1.8.2 release.

2003-10-30 13:33  king

	* Modules/FindLATEX.cmake: BUG#262: Marking DVIPDF_CONVERTER as
	advanced.

2003-10-30 13:18  king

	* Source/cmake.cxx: BUG#311: Merging 1.141->1.142 changes to 1.8
	branch for 1.8.2 release.

2003-10-30 13:16  king

	* Source/cmCTest.cxx: BUG#310: Merging 1.60->1.61 from main tree to
	1.8 branch.

2003-10-30 10:05  andy

	* Source/cmCTest.cxx: BUG: Fix Bug #310 - CTest sends wrong time to
	cvs on Windows

2003-10-29 19:48  andy

	* Source/: cmake.cxx, cmakemain.cxx, cmSystemTools.cxx,
	cmSystemTools.h: ENH: Ok, no more argument needed for script mode

2003-10-29 09:56  andy

	* Source/cmGlobalGenerator.cxx: ENH: More scripting changes

2003-10-29 09:43  andy

	* Source/: cmake.cxx, cmake.h, cmMakefile.cxx, cmakemain.cxx: ENH:
	Start includding the scripting support

2003-10-29 08:58  andy

	* Source/: cmCommand.h, cmMessageCommand.h, cmIncludeCommand.h:
	ENH: Start includding the scripting support

2003-10-28 15:26  andy

	* Source/cmake.cxx: ENH: Command should also be quoted

2003-10-28 13:22  king

	* Source/: cmGlobalBorlandMakefileGenerator.cxx,
	cmGlobalNMakeMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h:
	BUG#303: Merged fix from main tree to 1.8 branch for 1.8.2 release.

2003-10-28 13:19  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#200: Merged fix to
	1.8 branch for 1.8.2 release.

2003-10-28 11:55  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: add preprocessor
	flags to resource compiler

2003-10-28 11:06  hoffman

	* Source/: cmGlobalBorlandMakefileGenerator.cxx,
	cmGlobalNMakeMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h:
	BUG: fix for bug 303 pass makeflags to sub makes

2003-10-25 18:21  andy

	* Utilities/Doxygen/doxyfile.in: ENH: Add all subdirectories

2003-10-17 16:19  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: make sure -M flags
	are not duplicated and are only set in the xml

2003-10-17 16:10  king

	* Modules/CMakeDetermineCXXCompiler.cmake: BUG#276: Merge fix for
	spaces in path from main tree.

2003-10-17 16:09  king

	* Modules/CMakeDetermineCXXCompiler.cmake: BUG: Fixed same
	spaces-in-paths problem for CMakeTestGNU.c as in
	CMakeDetermineCCompiler.cmake.

2003-10-17 16:08  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for unicode
	and for /D -D

2003-10-17 07:45  andy

	* Source/WXDialog/cmWXMainFrame.cxx: ENH: Fix problem with wx 2.4

2003-10-16 19:16  andy

	* Tests/UseWX/: CMakeLists.txt, WX.cxx: ENH: We do not really need
	streams. Also fix the test on windows

2003-10-16 19:15  andy

	* Source/CMakeLists.txt: ENH: Enable test on windows

2003-10-16 17:51  king

	* Modules/Platform/Windows-cl.cmake: BUG#78: Merged fix from main
	tree (1.22->1.23).

2003-10-16 13:42  king

	* CMakeLists.txt, Utilities/Release/cmake_release.sh: ENH: Updating
	version number for 1.8.2 release.

2003-10-16 13:09  king

	* Modules/: CMakeDetermineJavaCompiler.cmake, FindJNI.cmake,
	FindJava.cmake, FindTCL.cmake: BUG#281: Merging fix from main tree.
	 See bug report for revision changes.

2003-10-16 13:06  king

	* Source/cmCTest.cxx: BUG#278: Merging fix from main tree
	(1.59->1.60) to 1.8 branch for 1.8.2 release.

2003-10-16 11:05  barre

	* Modules/: CMakeDetermineJavaCompiler.cmake, FindJNI.cmake,
	FindJava.cmake, FindTCL.cmake: FIX: for Windows users, it seems
	logical to favor native win32 installation before Cygwin ones.
	Otherwise you can end up with bad mixes (part of the java tools
	were picked from the SDK, part from Cygwin)

2003-10-16 10:32  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: ENH: allow UNICODE to be
	specifed in the cxx flags and if not default to MBCS

2003-10-16 10:10  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: ENH: allow users to
	change to unicode

2003-10-16 07:49  andy

	* Source/cmCTest.cxx: ENH: Handle all white spaces, fix problem on
	cygwin

2003-10-15 23:42  hoffman

	* Modules/Platform/Windows-cl.cmake,
	Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for bug 78
	should be on 1.8 branch

2003-10-15 10:19  king

	* Modules/Platform/Darwin.cmake: BUG#277: Fix from main tree 1.5 ->
	1.6 merged to 1.8 branch.  Will be included in 1.8.2 release.

2003-10-15 10:14  king

	* Modules/Platform/Darwin.cmake: ERR: Old -flat_namespace
	-undefined suppress flags for CMAKE_SHARED_MODULE_CREATE_C_FLAGS
	should be included when CMAKE_BACKWARDS_COMPATIBILITY is 1.6 or
	lower.

2003-10-15 10:06  king

	* bootstrap: BUG#168: Merged fix for HP-UX ansi C flags as second
	part of the fix for this bug to 1.8 branch.  1.24 -> 1.25.

2003-10-15 10:01  king

	* Source/kwsys/SystemTools.cxx: BUG#263: Merged search path
	ordering fix from main tree to CMake 1.8 branch.  1.22 -> 1.24.

2003-10-15 09:56  king

	* Source/cmTargetLinkLibrariesCommand.cxx: BUG#201: Merged warning
	suppression support from main tree to 1.8 branch.  1.16->1.17.

2003-10-15 09:53  king

	* Modules/CheckTypeSize.cmake: Documentation fix from main tree. 
	1.11->1.12.

2003-10-15 09:52  king

	* Modules/CheckVariableExists.cmake: BUG: Merged trivial fix from
	main tree.  1.10 -> 1.11.

2003-10-15 09:49  king

	* Modules/CMakeDetermineCCompiler.cmake: BUG#263: Merged fix for
	system paths in ar and ranlib find commands to 1.8 branch.  Will be
	included in 1.8.2

2003-10-15 09:26  king

	* Source/cmQTWrapCPPCommand.cxx: BUG#186: Merged fix from trunk to
	branch.

2003-10-15 09:18  king

	* Modules/CMakeDetermineCCompiler.cmake: BUG#276: Merge fix for
	spaces in path from main tree.

2003-10-14 22:30  king

	* Modules/CMakeDetermineCCompiler.cmake: BUG: Fix for spaces in
	path when loading CMakeTestGNU.c.

2003-10-13 16:04  andy

	* Source/CMakeLists.txt, Tests/UseWX/CMakeLists.txt,
	Tests/UseWX/WX.cxx: ENH: Add test for FindwxWindows. Thanks to:
	Mathieu Malaterre

2003-10-13 15:27  andy

	* Modules/CheckTypeSize.cmake: ENH: Documentation fix

2003-10-13 11:58  king

	* Modules/Platform/Windows-cl.cmake: BUG#269: Fix for spaces in
	paths.	Will be included in 1.8.2 release.

2003-10-13 11:32  andy

	* Modules/Platform/Windows-cl.cmake: ERR: allow spaces in the path

2003-10-11 08:12  king

	* Modules/CheckVariableExists.cmake: BUG: Message describing
	variable was using result variable.

2003-10-09 15:52  hoffman

	* Modules/CMakeDetermineCCompiler.cmake,
	Source/kwsys/SystemTools.cxx: ENH: put the system path after the
	paths specified on to the FIND command

2003-10-07 13:45  king

	* Utilities/Release/cmake_release.sh: Updated cygwin dependencies.

2003-10-07 09:50  king

	* Utilities/Release/config_CYGWIN_NT-5.1: GCC 2.95 is no longer
	available on cygwin.

2003-10-02 14:50  andy

	* Source/cmTargetLinkLibrariesCommand.cxx: ENH: Add
	CMAKE_IGNORE_DEPENDENCIES_ORDERING to prevent warnings about
	dependency problems

2003-09-26 11:27  king

	* Modules/CMakeImportBuildSettings.cmake: BUG: Comparison of build
	tool should be case-insensitive.

2003-09-26 11:15  king

	* Modules/CMakeImportBuildSettings.cmake: BUG: Comparison of build
	tool should be case-insensitive.

2003-09-24 17:51  andy

	* Source/cmQTWrapUICommand.cxx: ENH: Fix comment

2003-09-24 17:51  andy

	* Tests/Wrapping/CMakeLists.txt: ENH: Better testing

2003-09-24 17:50  andy

	* Source/cmQTWrapCPPCommand.cxx: BUG: Fix Bug #186 - QT_WRAP_UI
	uses the path twice

2003-09-24 11:10  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#191: Merging fix
	into 1.8 branch for inclusion in 1.8.2 release.

2003-09-24 11:03  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: Check for whether
	to use CMAKE_EXE_LINKER_FLAGS should look both for EXECUTABLE and
	WIN32_EXECUTABLE targets.

2003-09-23 13:58  king

	* Source/cmCTest.cxx: BUG#185: Merged fix from main tree to 1.8
	branch.  Change will be included in 1.8.2 release.

2003-09-23 13:49  andy

	* Source/cmCTest.cxx: ENH: Add missing newline Bug #185 - CTest
	exceptions output is missing new line

2003-09-18 11:05  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: remove /tmp_mnt in collapse
	full path

2003-09-15 15:58  king

	* bootstrap: BUG: Need to check for -Ae flag on HP-UX cc compiler. 
	Needed for ANSI C compilation.

2003-09-02 13:49  king

	* bootstrap: BUG#168: Using C compiler to build .c files during
	bootstrap instead of C++ compiler.

2003-09-02 13:27  king

	* bootstrap: BUG: Must use C compiler to compile C files during
	bootstrap, not C++ compiler.

2003-08-29 09:38  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: Merged more fixes from main
	tree.

2003-08-28 16:22  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: make sure exe output path
	is used for dep hack stuff

2003-08-28 16:10  martink

	* Source/cmLocalVisualStudio6Generator.cxx: bad evil nasty ken

2003-08-28 16:06  martink

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: fix to executable depends for
	custom commands

2003-08-28 15:02  king

	* Utilities/Release/config_IRIX64: ERR: Don't need separate -n32
	and -64 binaries.

2003-08-28 14:58  hoffman

	* Tests/: Complex/Library/CMakeLists.txt,
	ComplexOneConfig/Library/CMakeLists.txt,
	ComplexRelativePaths/Library/CMakeLists.txt: BUG: remove
	bundle_loader stuff it did not work with spaces in the path and is
	not needed for this test

2003-08-28 14:55  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: Merged fix for bug with
	custom commands depending on executables from main tree.

2003-08-28 14:52  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: fix bug with custom
	commands depending on executables

2003-08-28 14:03  king

	* CMakeLists.txt, Utilities/Release/cmake_release.sh: ENH: Updated
	for 1.8.1 release number.

2003-08-27 20:35  starreveld

	* Modules/Platform/Darwin.cmake,
	Tests/Complex/Library/CMakeLists.txt,
	Tests/ComplexOneConfig/Library/CMakeLists.txt,
	Tests/ComplexRelativePaths/Library/CMakeLists.txt: ENH: remove the
	-flat_namespace and -undefined suppress hacks from ENH:
	CMAKE_SHARED_MODULE_CREATE_C_FLAGS ENH: and fix the complex example
	to specify a -bundle loader for the ENH: shared module that it
	builds.

2003-08-27 17:45  hoffman

	* Source/cmWin32ProcessExecution.cxx: ENH: remove warnings from use
	of NULL

2003-08-27 17:31  king

	* Source/CTest/Curl/ldap.c: ERR: Using union-based "cast" of
	DynaGetFunction result to avoid warnings about strict aliasing.

2003-08-27 16:50  king

	* CMakeLists.txt, CMakeSystemConfig.txt.in,
	CMakeWindowsSystemConfig.txt, bootstrap,
	Modules/CMakeCCompiler.cmake.in,
	Modules/CMakeDetermineCCompiler.cmake,
	Modules/CMakeSystemSpecificInformation.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake, Modules/CMakeTestGNU.c,
	Modules/FindThreads.cmake, Modules/FindwxWindows.cmake,
	Modules/Platform/Windows-bcc32.cmake,
	Modules/Platform/Windows-cl.cmake,
	Modules/Platform/Windows-gcc.cmake, Modules/Platform/Windows.cmake,
	Source/CMakeLists.txt, Source/TODO, Source/cmCacheManager.cxx,
	Source/cmCommands.cxx, Source/cmDynamicLoader.cxx,
	Source/cmGlobalBorlandMakefileGenerator.cxx,
	Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	Source/cmGlobalNMakeMakefileGenerator.cxx,
	Source/cmGlobalUnixMakefileGenerator.cxx,
	Source/cmLoadCommandCommand.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmWin32ProcessExecution.cxx,
	Source/cmake.cxx, Source/CTest/Curl/telnet.c,
	Source/kwsys/SystemTools.cxx,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/Complex/Executable/complex.cxx,
	Tests/Complex/Library/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexOneConfig/Library/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Library/CMakeLists.txt,
	Utilities/CMakeLists.txt: ENH: Merging changes from trunk into 1.8
	branch.
	
	1.) MinGW support (beta) 2.) make VERBOSE=1 3.) FindThreads.cmake
	fix 4.) FindwxWindows.cmake fix 5.)
	CMakeSystemSpecificInformation.cmake typo fix 6.) bootstrap
	spaces-in-path fix

2003-08-27 16:42  hoffman

	* Modules/Platform/Windows-gcc.cmake,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/Complex/Executable/complex.cxx,
	Tests/Complex/Library/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexOneConfig/Library/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Library/CMakeLists.txt: ENH: MinGW build
	now passes all the tests

2003-08-27 16:08  king

	* Utilities/Release/: cmake_release.sh, config_AIX, config_Darwin,
	config_HP-UX, config_IRIX64, config_Linux, config_OSF1,
	config_SunOS, cygwin-package.sh.in: Merging release script changes
	from 1.8 branch to main tree.

2003-08-27 16:02  king

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	ERR: Fixed typo in comment.

2003-08-27 08:29  king

	* Source/cmake.cxx: ERR: Fixed placement of code introduced by a
	patch from main tree.  Somehow it ended up on the wrong lines.

2003-08-26 17:13  king

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Added support for
	"make VERBOSE=1" to run one-time verbose make runs without changing
	CMAKE_VERBOSE_MAKEFILE.

2003-08-26 15:08  king

	* Source/: cmake.cxx, cmakemain.cxx, cmakewizard.cxx,
	cmakewizard.h: BUG#164: Fixed crash of cmake -i when CMAKE_ROOT
	cannot be found.  Made resulting error message cleaner.

2003-08-26 15:06  king

	* Source/: cmake.cxx, cmakemain.cxx, cmakewizard.cxx,
	cmakewizard.h: BUG: Fixed crash of cmake -i when CMAKE_ROOT cannot
	be found.  Made resulting error message cleaner.

2003-08-22 12:53  king

	* CMakeLists.txt, Source/CMakeLists.txt, Utilities/CMakeLists.txt:
	ENH: Moved decision to build MFCDialog up to top level.  It is used
	in both the Source and Utilities directories.

2003-08-22 11:56  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: remove ifdef code
	and use makefile definitions

2003-08-22 11:56  hoffman

	* Modules/Platform/Windows-gcc.cmake: ENH: add configure file for
	gcc under windows

2003-08-22 09:52  andy

	* bootstrap, Modules/FindThreads.cmake: ERR: Reorganize to try to
	fix the -pthread problem on some systems

2003-08-21 16:22  hoffman

	* Modules/CMakeCCompiler.cmake.in,
	Modules/CMakeDetermineCCompiler.cmake,
	Modules/CMakeSystemSpecificInformation.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake, Modules/CMakeTestGNU.c,
	Modules/Platform/Windows-bcc32.cmake,
	Modules/Platform/Windows-cl.cmake, Modules/Platform/Windows.cmake,
	Source/CMakeLists.txt, Source/cmDynamicLoader.cxx,
	Source/cmGlobalBorlandMakefileGenerator.cxx,
	Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	Source/cmGlobalNMakeMakefileGenerator.cxx,
	Source/cmGlobalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmWin32ProcessExecution.cxx,
	Source/cmake.cxx, Source/CTest/Curl/telnet.c,
	Source/kwsys/SystemTools.cxx: ENH: add the unix makefile generator
	as an option from the windows GUI, this builds with mingw, cygwin,
	and combinations of make cl, bcc32

2003-08-21 13:26  andy

	* Modules/FindwxWindows.cmake: ERR: If WX_CONFIG_LIBS are , then
	you get weird cmake error. This should fix it

2003-08-21 09:23  hoffman

	* Source/TODO: [no log message]

2003-08-20 12:59  king

	* Source/: cmakemain.cxx, CursesDialog/ccmake.cxx,
	MFCDialog/CMakeSetup.cpp, cmakemain.cxx, CursesDialog/ccmake.cxx,
	MFCDialog/CMakeSetup.cpp: ENH: Added documentation of specifying an
	existing build tree as an argument.

2003-08-19 11:02  andy

	* Source/cmLoadCommandCommand.cxx: ERR: Fix crash of cmake on
	broken load commands

2003-08-19 10:50  king

	* Modules/Platform/: IRIX64.cmake, IRIX64.cmake: ENH: Improved
	default choice of -64 compiler/linker flags based on how cmake was
	built.

2003-08-19 10:29  andy

	* Source/cmLoadCommandCommand.cxx: BUG: LastError can return 0, so
	handle that case

2003-08-19 09:41  king

	* bootstrap: BUG: Merged cmake_make_processor error message to 1.8
	branch.

2003-08-19 09:40  king

	* Source/: cmCTest.cxx, cmCTest.h: BUG: Merged fixes for bugs 146,
	152, and 153 to 1.8 branch.

2003-08-19 09:39  king

	* Source/cmCacheManager.cxx: BUG#154: Merged fix to 1.8 branch.

2003-08-19 09:39  king

	* Source/cmake.cxx: ERR: Fixed warnings.

2003-08-19 09:33  king

	* Source/kwsys/SystemTools.cxx: ERR: Merged warning fix from main
	tree to CMake 1.8 branch.

2003-08-19 09:32  king

	* Source/kwsys/ProcessUNIX.c: ProcessUNIX.c

2003-08-19 09:32  king

	* Source/kwsys/ProcessWin32.c: BUG: Merged error message fix to
	CMake 1.8 branch.

2003-08-19 09:27  king

	* Modules/FindLATEX.cmake: BUG#156: Fixed typo psd2pdf -> ps2pdf. 
	Will be included in 1.8.1 release.

2003-08-19 09:12  king

	* Utilities/Release/: cmake_release.sh, config_IRIX64: Added
	LDFLAGS support.

2003-08-19 09:06  king

	* Utilities/Release/config_IRIX64: ENH: Added configuration of both
	-64 and -n32 builds.

2003-08-19 09:05  king

	* Utilities/Release/cmake_release.sh: ENH: Added support for
	configuration of install tree.

2003-08-19 08:53  andy

	* Modules/FindLATEX.cmake: BUG: Fix Bug #156 - ps2pdf is not found
	on linux

2003-08-18 14:31  andy

	* Source/: cmCTest.cxx, cmCTest.h: BUG: Report failed as failed...

2003-08-18 14:06  andy

	* Source/cmake.cxx: ENH: Remove unused variable

2003-08-18 14:05  andy

	* Source/cmCacheManager.cxx: BUG: Fixed Bug #154 - Uninitialized
	type initialized value cache variables should return value

2003-08-18 11:30  andy

	* Source/: cmCTest.cxx, cmCTest.h: BUG: Fix Bug #153 - CTest does
	not detect tests that are not found and Bug #153 - CTest does not
	detect tests that are not found

2003-08-17 12:24  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: remove warning and unneeded
	cast

2003-08-15 08:41  andy

	* Source/cmCTest.cxx: BUG: Fix test reporting

2003-08-14 13:34  andy

	* Source/cmCTest.cxx: ENH: Fix verbose output, fix error message,
	and fix the exit code check

2003-08-14 09:09  hoffman

	* Source/cmake.cxx: ENH: remove a warning

2003-08-13 18:17  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Better error reporting

2003-08-13 18:08  king

	* Source/kwsys/ProcessWin32.c: ENH: Made error message consistent
	between win9x and non-win9x version of error reporting.

2003-08-13 14:21  king

	* Source/kwsys/ProcessUNIX.c: ENH: Treating SIGBUS as a fault by
	default.

2003-08-12 18:55  king

	* Source/CTest/Curl/CMakeLists.txt: ERR: Reverting dlopen changes. 
	We don't need them.

2003-08-12 17:24  king

	* Source/cmSystemTools.cxx: BUG: Do not hide console when run from
	ctest.

2003-08-12 17:18  andy

	* Source/cmSystemTools.cxx: ENH: Fix hidden console for ctest

2003-08-12 17:17  king

	* Utilities/Release/cmake_release.sh: Redoing 1.8.0.

2003-08-12 16:37  king

	* Utilities/Release/cmake_release.sh: Disable use of libdl by curl.

2003-08-12 16:37  king

	* Source/CTest/Curl/CMakeLists.txt: ENH: Re-enabling test for
	dlopen.  Only release scripts need to force these values off.

2003-08-12 16:35  king

	* Utilities/Release/: config_AIX, config_Darwin, config_HP-UX,
	config_IRIX64, config_Linux, config_OSF1, config_SunOS: ENH: Using
	write_standard_cache to shorten config files.

2003-08-12 16:35  king

	* Utilities/Release/cmake_release.sh: ENH: Unix builds should not
	use reentrant versions of network calls.

2003-08-12 11:14  king

	* Source/CTest/Curl/CMakeLists.txt: BUG: Need to force HAVE_LIBDL
	and HAVE_DLOPEN to 0 to support old cache files.

2003-08-11 18:24  king

	* Utilities/Release/config_Darwin: ENH: Updated for new wx version.

2003-08-11 18:21  king

	* Utilities/Release/cmake_release.sh: BUG: CMake.app directory is
	now in bin, not Source.

2003-08-11 18:14  king

	* Utilities/Release/cygwin-package.sh.in: BUG: Tests are run by
	bin/ctest instead of Source/ctest.

2003-08-11 17:58  king

	* Utilities/Release/: cmake_release.sh, config_IRIX64,
	config_Linux: ENH: Added support for parallel build during release.

2003-08-11 17:53  andy

	* bootstrap: ENH: Add error message for make missing

2003-08-11 17:41  king

	* Utilities/Release/cmake_release.sh: BUG: Test for build needs to
	look for bin/ccmake, not Source/ccmake.

2003-08-11 17:35  king

	* Utilities/Release/: cmake_release.sh, config_Darwin,
	config_HP-UX, config_IRIX64, config_SunOS: Merge from 1.8 branch.

2003-08-11 17:35  king

	* Source/CTest/Curl/CMakeLists.txt: ENH: Removing dependence on dl
	library since we don't actually use ldap.

2003-08-11 17:35  king

	* Source/WXDialog/CMakeLists.txt: BUG: Need to check both
	CMAKE_WXWINDOWS_WXCONFIG_EXECUTABLE and CMAKE_WX_CONFIG.

2003-08-11 17:34  king

	* Source/cmCommands.cxx: BUG: Bootstrapping with wxWindows support
	needs SEPARATE_ARGUMENTS command.

2003-08-11 17:34  king

	* Modules/CMakeLists.txt: ENH: Installing readme.txt in Modules
	directory to be consistent with windows.

2003-08-11 17:10  king

	* Source/WXDialog/CMakeLists.txt: BUG: Need to use
	CMAKE_WXWINDOWS_WXCONFIG_EXECUTABLE in place of CMAKE_WX_CONFIG if
	it is set.

2003-08-11 16:55  king

	* Utilities/Release/config_Darwin: Fixed wx location.

2003-08-11 16:43  king

	* Source/cmCommands.cxx: BUG: Bootstrapping with wxWindows support
	requires SEPARATE_ARGUMENTS command in bootstrapped executable.

2003-08-11 16:34  king

	* Source/CTest/Curl/CMakeLists.txt: ERR: Removing unnecessary
	dependence on libdl.

2003-08-11 16:31  king

	* Utilities/Release/config_HP-UX: ENH: Cleaned up link of dld.

2003-08-11 16:31  king

	* Utilities/Release/config_SunOS: ENH: Switching to system
	compiler.

2003-08-11 15:27  king

	* Utilities/Release/cmake_release.sh: Using bootstrap instead of
	configure.

2003-08-11 15:22  king

	* Utilities/Release/cmake_release.sh: ENH: Allow config files to
	specify a make.

2003-08-11 15:21  king

	* Utilities/Release/config_IRIX64: ENH: Enabling parallel build.

2003-08-11 15:16  king

	* Utilities/Release/cmake_release.sh: BUG: Location of ctest has
	changed to bin, not Source.

2003-08-11 15:15  king

	* Utilities/Release/config_Darwin: Updated for new FindwxWindows.

2003-08-11 15:07  king

	* Utilities/Release/cmake_release.sh: Update from 1.8 branch.

2003-08-11 15:06  king

	* Utilities/Release/config_Darwin: Updated for new location of
	wxWindows.

2003-08-11 15:02  king

	* Utilities/Release/config_Darwin: Updated for new location of
	wxWindows.

2003-08-11 15:01  king

	* Utilities/Release/cmake_release.sh: ENH: Updated for new FTP
	directory structure.

2003-08-11 14:56  king

	* Modules/CMakeLists.txt: ENH: Installing readme.txt in modules to
	be consistent with windows.

2003-08-11 14:44  martink

	* Source/: cmMakefile.cxx, cmMakefile.cxx: added beta release
	support

2003-08-11 14:41  martink

	* CMakeLists.txt, Source/cmCPluginAPI.h: version 19

2003-08-11 14:37  martink

	* CMakeLists.txt, Source/cmCPluginAPI.h,
	Utilities/Release/cmake_release.sh: added version

2003-08-11 12:20  andy

	* Source/ctest.cxx: ENH: Add documentation for -D and add missing
	targets

2003-08-11 12:18  andy

	* Source/: cmCTest.cxx, CTest/cmCTestSubmit.cxx: ENH: Cleanup the
	output

2003-08-11 12:17  andy

	* Modules/Dart.cmake: ENH: Take Purify out because it is not
	implemented yet

2003-08-11 09:47  andy

	* Source/cmCTest.cxx: ENH: Remove debug

2003-08-10 18:30  martink

	* Source/: cmAbstractFilesCommand.h, cmAddCustomCommandCommand.h,
	cmAddCustomTargetCommand.h, cmAddDefinitionsCommand.h,
	cmAddDependenciesCommand.h, cmAddExecutableCommand.h,
	cmAddLibraryCommand.h, cmAddTestCommand.h,
	cmAuxSourceDirectoryCommand.h, cmBuildCommand.h,
	cmBuildNameCommand.h, cmCMakeMinimumRequired.cxx,
	cmCMakeMinimumRequired.h, cmCTest.cxx, cmCacheManager.cxx,
	cmCommand.h, cmConfigureFileCommand.h, cmCreateTestSourceList.h,
	cmEnableTestingCommand.h, cmEndForEachCommand.h,
	cmExecProgramCommand.h, cmExportLibraryDependencies.h,
	cmFLTKWrapUICommand.h, cmFileCommand.h, cmFindFileCommand.cxx,
	cmFindFileCommand.h, cmFindLibraryCommand.h,
	cmFindPackageCommand.h, cmFindPathCommand.h,
	cmFindProgramCommand.cxx, cmFindProgramCommand.h,
	cmForEachCommand.h, cmGetCMakePropertyCommand.h,
	cmGetSourceFilePropertyCommand.h, cmGetTargetPropertyCommand.h,
	cmGlob.cxx, cmITKWrapTclCommand.h, cmIfCommand.h,
	cmIncludeCommand.h, cmIncludeDirectoryCommand.h,
	cmIncludeExternalMSProjectCommand.h,
	cmIncludeRegularExpressionCommand.h, cmInstallFilesCommand.h,
	cmInstallProgramsCommand.h, cmInstallTargetsCommand.h,
	cmLinkDirectoriesCommand.h, cmLinkLibrariesCommand.h,
	cmLoadCommandCommand.h, cmLocalUnixMakefileGenerator.cxx,
	cmMacroCommand.h, cmMakeDirectoryCommand.h, cmMakefile.cxx,
	cmMakefile.h, cmMarkAsAdvancedCommand.h, cmMessageCommand.h,
	cmOptionCommand.h, cmOutputRequiredFilesCommand.h,
	cmProjectCommand.h, cmQTWrapCPPCommand.h, cmQTWrapUICommand.h,
	cmRemoveCommand.h, cmSeparateArgumentsCommand.h, cmSetCommand.h,
	cmSetSourceFilesPropertiesCommand.h,
	cmSetTargetPropertiesCommand.h, cmSiteNameCommand.h,
	cmSourceFile.h, cmSourceFilesCommand.h,
	cmSourceFilesRemoveCommand.h, cmSourceGroupCommand.h,
	cmStringCommand.h, cmSubdirCommand.h, cmSubdirDependsCommand.h,
	cmSystemTools.cxx, cmTarget.h, cmTargetLinkLibrariesCommand.h,
	cmTryCompileCommand.h, cmTryRunCommand.h,
	cmUseMangledMesaCommand.h, cmUtilitySourceCommand.h,
	cmVTKMakeInstantiatorCommand.h, cmVTKWrapJavaCommand.h,
	cmVTKWrapPythonCommand.h, cmVTKWrapTclCommand.h,
	cmVariableRequiresCommand.h, cmWin32ProcessExecution.cxx,
	cmWrapExcludeFilesCommand.h, cmWriteFileCommand.h, cmake.cxx,
	cmake.h, cmakewizard.cxx, cmakewizard.h: removed redundent includes

2003-08-10 16:01  martink

	* Source/: cmMakeDepend.cxx, cmMakeDepend.h, cmSourceFile.cxx:
	removed duplicate includes

2003-08-10 16:00  martink

	* Source/cmMakefile.cxx: removed duplicate include

2003-08-09 19:37  andy

	* Source/cmCTest.cxx: ERR: Rename some variables to remove shadow
	warning

2003-08-08 18:28  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add regression images
	support

2003-08-08 17:10  andy

	* Source/cmCTest.cxx: ENH: Better output and use RunMakeCommand for
	configure

2003-08-08 11:59  andy

	* Modules/: CMakeDetermineCCompiler.cmake,
	CMakeDetermineCXXCompiler.cmake, CMakeDetermineSystem.cmake,
	CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake,
	CMakeVS6FindMake.cmake, CMakeVS71FindMake.cmake,
	CMakeVS7FindMake.cmake, CheckFunctionExists.cmake,
	CheckIncludeFile.cmake, CheckIncludeFileCXX.cmake,
	CheckIncludeFiles.cmake, CheckLibraryExists.cmake,
	CheckTypeSize.cmake, CheckVariableExists.cmake, FindHTMLHelp.cmake,
	FindMFC.cmake, TestBigEndian.cmake, TestCXXAcceptsFlag.cmake,
	TestForANSIForScope.cmake, TestForSTDNamespace.cmake: ENH: Cleanups
	and add missing CMakeOutput.log and CMakeError.log appending. Close
	Bug #136 - Verify that all modules that do try compile produce
	CMakeError.log and CMakeOutput.log

2003-08-08 11:19  martink

	* Source/cmStandardIncludes.h: added stdio

2003-08-08 10:40  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fid post build iue on
	vs6 utility targets

2003-08-08 10:20  andy

	* Tests/SystemInformation/DumpInformation.cxx: EHN: Also display
	Configure.h and Configure.hxx from cmsys

2003-08-08 10:07  andy

	* Source/cmMakefile.cxx: ENH: When fixing cache value with
	uninitialized type, collapse full paths for PATH and FILEPATH.
	Closes Bug #82 - Specifying relative path when entering path can
	break things

2003-08-08 09:26  andy

	* Source/cmMakefile.cxx: ENH: Handle untyped but initialized values
	for boolean AddCacheDefinition. Closes Bug #118 - Specifying cache
	entries with -D should not need the type

2003-08-08 09:22  andy

	* Source/: cmCacheManager.cxx, cmCacheManager.h: ENH: Get accessor
	for cache value as boolean

2003-08-08 09:17  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: remove shadowed variable

2003-08-08 09:14  king

	* Source/cmFindPackageCommand.cxx: ERR: Fixed use of != operator
	for std::string on old broken compilers.

2003-08-08 08:48  andy

	* Source/cmakemain.cxx: ENH: Add help for cmake -E

2003-08-08 08:48  andy

	* Source/cmCTest.cxx: ENH: Flush the output file, to make more nice
	output for tail -f

2003-08-07 19:23  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add displaying of dots when
	building project. Also, file is now written as the output is
	produced, so, tail -f works, baby...

2003-08-07 19:00  andy

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Abstract
	parsing of arguments so that I can use it in other places

2003-08-07 18:44  andy

	* Source/cmaketest.cxx: ENH: More verbose

2003-08-07 17:51  andy

	* Source/CTest/Curl/arpa_telnet.h: ENH: Bold attempt to remove
	warning

2003-08-07 17:47  andy

	* Source/CTest/Curl/hostip.h: ENH: Bold attempt to remove warning

2003-08-07 17:43  king

	* Source/ctest.cxx: ENH: Clarification of help dumped when no
	arguments are given and no test file is found.

2003-08-07 16:54  hoffman

	* Tests/: Complex/CMakeLists.txt, ComplexOneConfig/CMakeLists.txt,
	ComplexRelativePaths/CMakeLists.txt: BUG: fix the test

2003-08-07 16:50  king

	* Source/cmFindPackageCommand.cxx: ENH: Added compatability for
	capitalization of _DIR and _FOUND variables in cmake 1.6.

2003-08-07 16:32  andy

	* Modules/FindLATEX.cmake: ENH: Add PDFLaTeX and LaTeX2HTML. Closes
	Bug #132 - Add pdflatex and html2latex to FindLATEX.cmake

2003-08-07 16:26  andy

	* Source/: cmVariableWatch.cxx, cmVariableWatch.h: ENH: Add remove
	watch

2003-08-07 16:25  andy

	* CMakeLists.txt, Source/CMakeLists.txt: ENH: Fix dependencies for
	curses dialog

2003-08-07 16:11  king

	* Source/cmake.cxx: BUG: Fixed typo in error message.

2003-08-07 16:09  andy

	* CMakeLists.txt, Source/CMakeLists.txt,
	Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTargetLinkLibrariesCommand.h, Source/CTest/CMakeLists.txt:
	ENH: Report an error when ADD_LIBRARY and TARGET_LINK_LIBRARIES are
	in the wrong order and fix CMakeLists files to actually work

2003-08-07 16:04  hoffman

	* Tests/Complex/CMakeLists.txt,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt,
	Source/cmIncludeExternalMSProjectCommand.cxx: ENH: improve coverage

2003-08-07 15:39  andy

	* Source/kwsys/ProcessWin32.c: ENH: Cast into apropriate type to
	remove warning

2003-08-07 14:37  andy

	* Source/cmQTWrapUICommand.cxx: ENH: Use the new signature

2003-08-07 14:37  andy

	* Tests/Wrapping/CMakeLists.txt: ENH: More verbose test

2003-08-07 14:10  hoffman

	* Modules/Platform/Windows-cl.cmake: BUG: fix for main in a library
	on windows with nmake

2003-08-07 11:53  king

	* Source/cmLocalUnixMakefileGenerator.h: ENH: Added convenience
	signature to OutputMakeRule.

2003-08-07 11:42  king

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Makefiles now have
	rules to do a global generate if the CMake listfiles have changed. 
	Necessary for when try-compiles are added to a listfile.

2003-08-07 09:19  hoffman

	* Modules/FindMPI.cmake, Source/cmLocalVisualStudio7Generator.cxx:
	BUG: fix for bugs 125 - 128, and a fix for the bug introduced by
	the bug fix for but 92.  & was being replaced with &amp, but after
	double quote was replaced with &quot causing it to be &amp;quot. 
	Also add more search paths for mpi

2003-08-06 19:19  andy

	* Source/cmMakefile.cxx: ENH: oops, initialize variable

2003-08-06 18:54  andy

	* Source/cmGetCMakePropertyCommand.cxx,
	Source/cmGetCMakePropertyCommand.h, Source/cmMacroCommand.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Tests/SystemInformation/CMakeLists.txt,
	Tests/SystemInformation/DumpInformation.cxx: ENH: Add option to
	retrieve list of macros. Close Bug #25 - Get_CMAKE_PROPERTIES

2003-08-06 18:43  king

	* Source/cmDocumentation.cxx: BUG: Don't use -V as a version
	option.  It conflicts with ctest.

2003-08-06 18:41  king

	* Source/cmake.cxx: ENH: Removed old argument processing code that
	never does anything.

2003-08-06 18:39  king

	* Source/: cmakewizard.cxx, CursesDialog/cmCursesMainForm.cxx:
	BUG#129: Fixed load/save of CMakeCache.txt when it is not in the
	current directory.

2003-08-06 17:58  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: If
	CMAKE_EDIT_COMMAND is not specified, use cmake -i

2003-08-06 17:52  andy

	* bootstrap: ENH: Add rebuild_cache

2003-08-06 17:32  andy

	* Modules/FindThreads.cmake: ENH: On apple use -lpthreads

2003-08-06 15:22  king

	* Source/: cmInstallFilesCommand.h, cmInstallProgramsCommand.h:
	ENH: Tweaked whitespace in documentation of command.

2003-08-06 15:18  king

	* Source/cmAddCustomCommandCommand.h: ENH: Tweaked whitespace in
	documentation of command.

2003-08-06 15:12  king

	* Source/CursesDialog/ccmake.cxx: ENH: Added SEE ALSO support for
	generated unix manpage.

2003-08-06 15:10  king

	* Source/CMakeLists.txt: BUG: We don't want to install cmaketest on
	UNIX or windows.  It is for internal CMake testing only.  We should
	probably fold its functionality into ctest anyway.

2003-08-06 15:03  king

	* Source/ctest.cxx, Utilities/CMakeLists.txt: ENH: Added
	documentation for ctest.

2003-08-06 14:49  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h, cmakemain.cxx,
	CursesDialog/ccmake.cxx, MFCDialog/CMakeSetup.cpp: ENH: Added
	configuration of name of executable in man page header and version
	banner.

2003-08-06 13:48  king

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: If a directory is
	specified on the command line that is not an existing build tree,
	we should still use any -G option that was given to set the
	generator.

2003-08-06 13:48  king

	* Source/cmSystemTools.cxx: ENH: Hide windows for processes run by
	RunSingleCommand.

2003-08-06 13:41  king

	* Source/kwsys/SystemTools.cxx: Fixed indentation

2003-08-06 12:52  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: do not output make
	install rules on windows because they do not work

2003-08-06 11:51  king

	* Source/cmaketest.cxx: BUG: Fixed spacing error in message.

2003-08-06 10:42  king

	* Source/CMakeLists.txt: ENH: Install test is now enabled when
	CMAKE_INSTALL_PREFIX is CMake_BINARY_DIR/Tests/TestInstall/Prefix
	to keep test in one directory.

2003-08-06 10:39  king

	* Source/CMakeLists.txt, Tests/TestInstall.sh.in: ENH: Added
	Install test.  It is enabled when the CMAKE_INSTALL_PREFIX is
	CMake_BINARY_DIR/InstallTest.

2003-08-06 10:15  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Fix install problem

2003-08-06 09:27  king

	* Source/kwsys/ProcessWin32.c: BUG: Need to provide stdin to child
	processes.

2003-08-05 18:25  king

	* Tests/CommandLineTest/CMakeLists.txt: ENH: Added test of
	--copyright and --version arguments for coverage.

2003-08-05 18:22  king

	* Tests/CommandLineTest/CMakeLists.txt: ENH: Added test of --help
	[command] form of help option for coverage.

2003-08-05 18:10  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Added
	support to --help to print help for a single command.

2003-08-05 17:39  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Fixed
	implementation of long dependency list support.  The proxy target
	must have a corresponding file to work correctly.  Instead of using
	a proxy target, we now just list one line for each dependency and
	then print one copy of the build rule at the end.

2003-08-05 16:51  king

	* Source/cmake.cxx: ENH: Clarified source directory mismatch
	message.

2003-08-05 16:36  king

	* Source/: cmake.cxx, cmake.h: ENH#61: cmake and ccmake now support
	passing the path to a CMakeCache.txt file as an argument.  Its
	settings will be loaded.

2003-08-05 16:04  king

	* Source/cmLocalVisualStudio7Generator.cxx: BUG#92 - Added XML
	escaping for <, >, and &.

2003-08-05 15:20  andy

	* Tests/SystemInformation/DumpInformation.cxx: BUG: Open as ascii
	to remove extra new lines

2003-08-05 15:10  king

	* Source/kwsys/: ProcessFwd9x.c, ProcessWin32.c: ENH: Added
	show/hide window support.

2003-08-05 14:27  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c: ENH:
	Added SetOption/GetOption methods for platform-specific options.

2003-08-05 13:53  king

	* Source/kwsys/ProcessUNIX.c: BUG: Can't close stdin.

2003-08-05 11:34  king

	* Source/kwsys/ProcessUNIX.c: BUG: Added missing
	zero-initialization of struct sigaction.

2003-08-05 09:55  martink

	* Modules/: CMakeTestNMakeCLVersion.c, Platform/Windows-cl.cmake:
	added test for whether pdbtype should be used for nmake

2003-08-05 09:07  king

	* Source/kwsys/ProcessUNIX.c: BUG: GetErrorString should return
	ErrorMessage buffer, not the pipe buffer.

2003-08-05 09:07  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: minor fix

2003-08-05 08:49  martink

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.h: added outputEcho method and fixed
	make help for nmake and borland

2003-08-04 17:08  king

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	ERR: Fixed typeo tests->test.

2003-08-04 15:35  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: added make help target
	first cut

2003-08-04 14:34  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: fix for debug libs on
	UNIX

2003-08-04 11:48  andy

	* Source/cmSystemTools.cxx: ENH: Improve paths on windows

2003-08-04 07:55  andy

	* Source/cmSystemTools.cxx: ENH: Fix escaping on windows

2003-08-04 07:12  andy

	* Source/cmSystemTools.cxx: ENH: Fix argument parsing on UNIX with
	spaces

2003-08-03 22:41  andy

	* Source/cmSiteNameCommand.cxx: ENH: Use new RunCommand

2003-08-03 22:36  andy

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Use new RunCommand

2003-08-03 22:34  andy

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h,
	cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx, cmake.cxx, cmaketest.cxx: ENH:
	Use the new RunCommand

2003-08-03 22:33  andy

	* Source/: cmBuildNameCommand.cxx, cmTryRunCommand.cxx,
	cmSiteNameCommand.cxx: ENH: Use the new signature

2003-08-03 22:32  andy

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Add back the
	kwsysProcess RunCommand, now is in parallel

2003-08-03 20:47  andy

	* Source/cmGetCMakePropertyCommand.cxx,
	Source/cmGetCMakePropertyCommand.h, Source/cmake.h,
	Tests/SystemInformation/CMakeLists.txt,
	Tests/SystemInformation/DumpInformation.cxx: ENH: Add accessor for
	the list of commands

2003-08-02 09:33  andy

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmMakefile.cxx:
	BUG: Fix problem with uninitialized variables

2003-08-01 19:13  andy

	* Modules/FindQt.cmake, Tests/Wrapping/CMakeLists.txt: ENH: Make it
	work for QT 2.3 non commercial on windows

2003-08-01 18:53  andy

	* Source/cmQTWrapUICommand.cxx: ENH: Make out of source work on
	Windows

2003-08-01 18:52  andy

	* Tests/Wrapping/CMakeLists.txt: ENH: Add more debug

2003-08-01 18:52  andy

	* Source/CMakeLists.txt: ENH: Fix test for Visual Studio

2003-08-01 17:11  andy

	* Modules/FindThreads.cmake: ENH: MAke it work on FreeBSD

2003-08-01 16:48  andy

	* Modules/: CheckForPthreads.c, FindThreads.cmake: ENH: Do better
	test for pthreads

2003-08-01 16:48  andy

	* Modules/FindQt.cmake: ENH: Fix indentation

2003-08-01 16:47  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ERR: Remove debug

2003-08-01 15:41  hoffman

	* Tests/: Complex/Executable/complex.file.cxx,
	ComplexOneConfig/Executable/complex.file.cxx,
	ComplexRelativePaths/Executable/complex.file.cxx: add missing file

2003-08-01 15:33  king

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Dependency lists
	are now split into multiple make lines to allow longer lists on
	limited make programs.

2003-08-01 15:33  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Add support for
	-pthread

2003-08-01 15:27  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Adding link flags
	to an executable that links to shared libraries must be done for
	both EXECUTABLE and WIN32_EXECUTABLE targets.

2003-08-01 14:34  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt: BUG (85):
	allow . to be in the name of an executable

2003-08-01 14:10  andy

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmMakefile.cxx,
	cmake.cxx: ENH: Allow specifying cmake variables on the command
	line without specifying the type Bug #118 - Specifying cache
	entries with -D should not need the type

2003-08-01 14:10  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: all Makefiles now have
	both full path to exe and short version

2003-08-01 13:54  martink

	* Source/cmUtilitySourceCommand.cxx: fix for utility command
	without EXECUTABLE_OUTPUT_PATH

2003-08-01 13:24  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Syntax cleanup

2003-08-01 13:13  hoffman

	* Source/: cmGlobalNMakeMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h:
	ENH: allow lib prefix for to stay for nmake and borland make as it
	is not a system prefix

2003-08-01 13:00  martink

	* CMakeLists.txt: change lib path back to empty

2003-08-01 12:49  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Fix echo's to use
	@echo. This way verbose mode does not print twice: Bug #45 - add @
	from echo commands

2003-08-01 11:58  martink

	* CMakeLists.txt: made more options advanced

2003-08-01 11:58  martink

	* Source/CTest/Curl/CMakeLists.txt: made option advanced

2003-08-01 09:18  andy

	* Tests/Wrapping/CMakeLists.txt: ERR: Only link qt to qt executable

2003-08-01 09:11  martink

	* Source/cmExportLibraryDependencies.cxx: fix for bug # 101

2003-08-01 08:47  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp: more reverting back

2003-07-31 16:43  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: when creating rule
	files remove the IntDir

2003-07-31 16:30  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp: fix for spaces

2003-07-31 15:32  hoffman

	* Source/cmTarget.cxx: ENH: add support for OBJECT_DEPENDS for
	visual studio

2003-07-31 14:46  martink

	* Source/cmMakefile.cxx: bug fix for bug # 117

2003-07-31 13:15  andy

	* Modules/FindwxWindows.cmake: made a minor bugfix on my
	FindwxWindows.cmake.  I capsulated the regular expression matching
	for the libdrs with another IF (line 355).  By: Jan Woetzel

2003-07-31 08:55  andy

	* Source/WXDialog/CMakeLists.txt: ENH: Fix wx test

2003-07-31 08:50  andy

	* Tests/Wrapping/CMakeLists.txt: ERR: Attempt to fix wrapping on
	Windows

2003-07-31 08:33  andy

	* Tests/Wrapping/Wrap.c: ENH: Fix problem on HP. Whay should K&R be
	default?

2003-07-30 15:38  andy

	* Modules/FindQt.cmake: ENH: when linking in QT, we should also
	link DL, since QT uses them

2003-07-30 13:39  andy

	* Modules/FindQt.cmake: ENH: QT if it is multi threaded should link
	in threads

2003-07-30 13:28  andy

	* Tests/Wrapping/: CMakeLists.txt, foo.ui.in: ENH: Really test uic
	and perform configured uic test

2003-07-30 13:27  andy

	* Source/cmQTWrapUICommand.cxx: ENH: Allow qt ui files being it the
	binary dir. Bug #110 - QT_WRAP_UI problem on out-of-source builds

2003-07-30 13:14  andy

	* Source/WXDialog/CMakeLists.txt: ENH: Revert back

2003-07-30 13:11  andy

	* Source/: cmaketest.cxx, WXDialog/CMakeLists.txt: ENH: Also fail
	when make failsSource/cmaketest.cxx

2003-07-30 13:10  andy

	* Tests/Wrapping/: CMakeLists.txt, Wrap.c: ENH: Add executable for
	wrapping test, so that make stage actually passes

2003-07-29 18:06  andy

	* Source/cmGlob.cxx: ENH: Speedup globbing and attempt to fix
	cygwin problem

2003-07-29 17:15  andy

	* Modules/FindQt.cmake: ENH: Use FindX11 when doing Qt on unix

2003-07-29 13:36  andy

	* Modules/Use_wxWindows.cmake: ENH: Add Use file for wxWindows.
	Thanks Jan Woetzel

2003-07-29 07:41  andy

	* Modules/FindwxWindows.cmake: ENH: Improved find module. Thank you
	Jan Woetzel

2003-07-29 07:01  andy

	* Source/cmAddCustomCommandCommand.cxx: ENH: Fix typo: Bug #100 -
	Spelling correction to an error message

2003-07-28 18:12  hoffman

	* Source/: cmLocalUnixMakefileGenerator.cxx, cmMakeDepend.cxx,
	cmMakeDepend.h: ENH: performance fixes for network depends

2003-07-28 14:43  hoffman

	* Source/: cmSourceGroupCommand.cxx, cmSourceGroupCommand.h: ENH:
	put back old style call to SOURCE_GROUP, no need to break things
	for this

2003-07-28 13:40  hoffman

	* Source/cmake.cxx: BUG: make sure initial cache file read only
	reads one file, and does not look for CMakeLists.txt files on the
	entire disk

2003-07-25 13:39  hoffman

	* Source/cmake.cxx: add a better message for the GUI if no
	CMakeLists.txt file is found.

2003-07-25 12:50  hoffman

	* Tests/Wrapping/CMakeLists.txt: for unix add x11 and pthreads for
	qt

2003-07-24 11:53  andy

	* Source/cmGlob.cxx: ENH: Remove warning

2003-07-24 11:51  andy

	* Source/CTest/Curl/curl.copyright: ENH: Fix legal issues.

2003-07-24 11:37  martink

	* Source/cmLocalUnixMakefileGenerator.cxx: fix for utility depends
	bug#76

2003-07-24 11:33  king

	* Source/CMakeLists.txt, Tests/FindPackageTest/CMakeLists.txt,
	Tests/FindPackageTest/FindPackageTest.cxx: ENH: Added
	FindPackageTest to improve coverage.

2003-07-24 11:32  king

	* Source/: cmFindPackageCommand.cxx, cmFindPackageCommand.h: ENH:
	Implemented QUIET argument propagation to FOO_FIND_QUIETLY setting
	in FindFOO.cmake module that is found.

2003-07-24 11:24  king

	* Source/MFCDialog/CMakeCommandLineInfo.cpp: BUG: Fix for network
	path argument parsing.

2003-07-24 11:12  andy

	* Source/cmGlob.cxx: ENH: On windows handle network paths

2003-07-24 11:06  king

	* Modules/FindVTK.cmake: ENH: Improved error message for VTK_DIR
	not found to refer to it as a cache entry.  Some users thought this
	was supposed to be an environment variable.

2003-07-24 10:58  king

	* Source/CMakeLists.txt, Source/cmDumpDocumentation.cxx,
	Tests/CommandLineTest/CMakeLists.txt,
	Tests/CommandLineTest/CommandLineTest.cxx,
	Tests/StringFileTest/CMakeLists.txt: ENH: Added CommandLineTest to
	add coverage for command line arguments to cmake executables.  This
	replaces the old DumpDocumentation test.

2003-07-23 18:01  andy

	* Tests/StringFileTest/CMakeLists.txt: ENH: More coverage

2003-07-23 17:59  king

	* Utilities/CMakeLists.txt: ENH: Added build of documentation for
	CMakeSetup.

2003-07-23 17:40  king

	* Source/MFCDialog/CMakeSetup.cpp: ENH: Added support for
	documentation options.

2003-07-23 17:31  king

	* Source/MFCDialog/: CMakeCommandLineInfo.cpp,
	CMakeCommandLineInfo.h: ENH: Added construction of original command
	line in argc/argv style.

2003-07-23 17:28  king

	* Source/MFCDialog/: CMakeSetupDialog.cpp, CMakeSetupDialog.h: ENH:
	Improved behavior when run with arguments from the command line.

2003-07-23 17:27  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH:
	CheckOptions now takes const argv.

2003-07-23 15:45  king

	* Source/cmSourceGroupCommand.cxx: ENH: Added backwards
	compatability.

2003-07-23 15:32  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx, cmMakefile.cxx,
	cmSourceGroup.cxx, cmSourceGroup.h, cmSourceGroupCommand.cxx,
	cmSourceGroupCommand.h: ENH: Fully implemented SOURCE_GROUP
	command.

2003-07-23 14:31  andy

	* Source/: cmCPluginAPI.cxx, cmCPluginAPI.h: ENH: Fix compatibility

2003-07-23 10:39  king

	* Source/cmSourceGroupCommand.cxx: BUG: Fixed off-by-one error in
	file list loop.  Fix submitted by David A. Karr.

2003-07-23 10:26  andy

	* Source/cmGlob.cxx: ENH: On windows and apple handle
	lowercase/upercase file name problem

2003-07-23 09:10  king

	* Tests/StringFileTest/CMakeLists.txt: ENH: Added more verbose
	output of what globbing results.

2003-07-23 08:58  king

	* Utilities/CMakeLists.txt: BUG: Don't install ccmake documentation
	if no ccmake was built.

2003-07-23 08:37  king

	* bootstrap: ENH: Adding forced settings for prefix, docdir,
	mandir, and datadir.

2003-07-22 17:09  andy

	* DartConfig.cmake: ENH: Direct link to cmake bugs

2003-07-22 13:53  andy

	* Source/cmCPluginAPI.cxx: ERR: Fix error on bad C++ compiler that
	do not handle return void

2003-07-22 13:15  andy

	* Source/cmTarget.cxx: BUG: Fix copy/paste typo

2003-07-22 13:14  andy

	* Source/: cmCPluginAPI.cxx, cmCPluginAPI.h: ENH: Add DisplayStatus

2003-07-22 12:21  andy

	* Tests/: LoadCommand/LoadedCommand.cxx,
	LoadCommand/CMakeCommands/cmTestCommand.c,
	LoadCommandOneConfig/LoadedCommand.cxx,
	LoadCommandOneConfig/CMakeCommands/cmTestCommand.c: ENH: More
	coverage

2003-07-22 11:17  andy

	* Tests/StringFileTest/CMakeLists.txt: ENH: More coverage

2003-07-22 10:45  andy

	* Tests/StringFileTest/CMakeLists.txt: ENH: Increase coverage

2003-07-21 17:14  king

	* Utilities/CMakeLists.txt: ENH: Added generation of ccmake
	documentation on UNIX.

2003-07-21 17:13  king

	* Source/CursesDialog/ccmake.cxx: ENH: Added introduction paragraph
	to documentation.

2003-07-21 16:38  king

	* CMakeLists.txt, bootstrap, Modules/CMakeLists.txt,
	Modules/Platform/CMakeLists.txt, Source/CMakeLists.txt,
	Source/cmCommands.cxx, Source/cmConfigure.cmake.h.in,
	Source/cmake.cxx, Templates/CMakeLists.txt,
	Utilities/CMakeLists.txt: ENH: Added optional configuration of
	data/doc/man dirs.  This will be useful for package maintainers.

2003-07-21 16:37  king

	* Source/: InitialConfigureFlags.cmake.in, cmConfigure.h.in:
	Removing old file.  This was used by old configure script which has
	been removed.

2003-07-21 15:29  andy

	* Source/cmGlob.cxx, Tests/StringFileTest/CMakeLists.txt: ENH: fix
	glob on windows and add glob recurse test

2003-07-21 15:02  king

	* Source/CMakeLists.txt: ENH: Added generation of cmake
	documentation during build preocess.

2003-07-21 14:58  king

	* Source/cmDocumentation.cxx: BUG: Text dump of documentation
	should be in ascii mode.

2003-07-21 14:57  king

	* Source/cmAddCustomTargetCommand.h: BUG: Fixed documentation
	formatting.

2003-07-21 14:44  andy

	* Source/: cmSourceFilesCommand.cxx, cmSourceFilesCommand.h: ENH:
	Use new deprecation mechanism

2003-07-21 14:43  andy

	* Source/cmFileCommand.h: ENH: Fix comment

2003-07-21 14:42  andy

	* Source/: cmCommand.h, cmMakefile.cxx: ENH: Initial framework for
	deprecated commands

2003-07-21 13:48  andy

	* Tests/StringFileTest/CMakeLists.txt: ENH: add more coverage tests

2003-07-21 13:46  andy

	* Source/cmGlob.cxx: ENH: Handle ^ as [^fu]

2003-07-17 14:56  andy

	* Tests/StringFileTest/CMakeLists.txt: ENH: Add additional new line
	after the string to match the change in file command

2003-07-17 14:56  andy

	* Source/cmFileCommand.cxx: ENH: Remove extra new line after the
	written string

2003-07-17 14:54  andy

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake,
	CheckFunctionExists.cmake, CheckIncludeFile.cmake,
	CheckIncludeFileCXX.cmake, CheckIncludeFiles.cmake,
	CheckLibraryExists.cmake, CheckSymbolExists.cmake,
	CheckTypeSize.cmake, CheckVariableExists.cmake,
	TestBigEndian.cmake, TestCXXAcceptsFlag.cmake: ENH: Extra new line
	after output

2003-07-16 15:38  hoffman

	* Modules/CMakeDetermineSystem.cmake, Source/cmGlobalGenerator.cxx:
	ENH: set CMAKE_SYSTEM_VERSION for windows

2003-07-16 14:52  king

	* Source/: cmFindPackageCommand.cxx, cmFindPackageCommand.h: ENH:
	Added QUIET optional argument to block error message when _DIR
	variable is not set.  Also removed upper-casing of package name.

2003-07-16 11:38  king

	* Tests/SystemInformation/: DumpInformation.cxx,
	DumpInformation.h.in: ENH: Added dump of more files.  Improved
	robustness of dump.

2003-07-15 12:52  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: remove local broken
	implementation of convert to windows path

2003-07-15 12:52  hoffman

	* Source/cmAddCustomCommandCommand.cxx: ENH: better error checking

2003-07-14 10:33  king

	* Source/cmMakefile.cxx: BUG: Custom commands should have variables
	expanded before comparing with previously added custom commands.

2003-07-14 10:13  martink

	* Source/cmFLTKWrapUICommand.cxx: some updates

2003-07-14 09:44  martink

	* Source/cmFLTKWrapUICommand.cxx: some updates

2003-07-14 09:31  martink

	* Source/: cmFLTKWrapUICommand.cxx, cmFLTKWrapUICommand.h: some
	updates

2003-07-14 09:15  andy

	* Source/: cmFileCommand.cxx, cmFileCommand.h, cmGlob.cxx,
	cmGlob.h: ENH: Recurse subdirectories

2003-07-11 17:21  king

	* bootstrap: ENH: Removed cmsys include directory from bootstrap
	build of kwsys.  It is no longer needed.

2003-07-11 16:29  king

	* Utilities/Release/cmake_release.sh: BUG: Update of release
	utilities must maintain tag.

2003-07-11 14:14  andy

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake,
	CheckFunctionExists.cmake, CheckIncludeFile.cmake,
	CheckIncludeFileCXX.cmake, CheckIncludeFiles.cmake,
	CheckLibraryExists.cmake, CheckSymbolExists.cmake,
	CheckTypeSize.cmake, CheckVariableExists.cmake, Dart.cmake,
	TestBigEndian.cmake, TestCXXAcceptsFlag.cmake: ENH: Replace
	WRITE_FILE with FILE(WRITE and FILE(APPEND. Replace MAKE_DIRECTORY
	with FILE(MAKE_DIRECTORY, replace STRING(ASCII things

2003-07-10 23:22  king

	* Source/cmake.h: ERR: Removed duplicate generator documentation.e

2003-07-10 23:15  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h, cmakemain.cxx:
	ENH: Added SEE ALSO section to generated man page.  Minor
	formatting improvements for generated text-only documentation.

2003-07-10 23:14  king

	* Source/cmake.h: ENH: Added CMAKE_STANDARD_INTRODUCTION macro
	defining standard documentation for inclusion in every binary's
	documentation.

2003-07-10 23:14  king

	* Source/cmGlobalUnixMakefileGenerator.cxx: ENH: Wrote basic
	description in full documentation block.

2003-07-10 14:48  andy

	* Tests/StringFileTest/StringFile.cxx: ENH: Add missing include

2003-07-10 14:46  king

	* Source/kwsys/CMakeLists.txt: ERR: Generated source files need
	access to kwsysPrivate.h.  Just copy it to the build tree.

2003-07-10 14:35  andy

	* Source/cmStringCommand.cxx: ERR: Remove unused variable

2003-07-10 14:32  king

	* Source/kwsys/: Base64.c, CMakeLists.txt, Directory.cxx,
	EncodeExecutable.c, ProcessUNIX.c, ProcessWin32.c,
	RegularExpression.cxx, SystemTools.cxx, kwsysPrivate.h: ENH: Added
	use of KWSYS_HEADER macro in c and cxx files to include kwsys
	headers through their configured namespace.

2003-07-10 14:29  andy

	* Tests/StringFileTest/CMakeLists.txt,
	Tests/StringFileTest/InputFile.h.in,
	Tests/StringFileTest/StringFile.cxx, Source/CMakeLists.txt: ENH:
	Add test for string and file commands

2003-07-10 13:25  andy

	* Source/: cmStringCommand.cxx, cmStringCommand.h: ENH: Add upper
	and lower case support. Close Bug #79 - STRING TOUPPER and TOLOWER

2003-07-09 17:25  king

	* Source/cmSystemTools.cxx: ENH: Added escape support for ( and ).

2003-07-09 17:17  king

	* Source/: cmListFileCache.cxx, cmSystemTools.cxx: ENH: Added
	support for # characters inside quoted arguments and for escaping #
	in a non-quoted argument.  Improved parsing speed by not compiling
	regular expressions on blank lines.

2003-07-09 16:18  king

	* Source/kwsys/ProcessUNIX.c: ERR: Using strncpy instead of
	snprintf for portability.

2003-07-08 16:33  andy

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: Add
	MAKE_DIRECTORY and modify documentation

2003-07-08 16:27  andy

	* Source/cmGlob.cxx: ENH: Remove commented code

2003-07-08 15:54  andy

	* Source/CTest/Curl/Platforms/WindowsCache.cmake: ENH: More speedup

2003-07-08 15:47  andy

	* Source/CTest/Curl/: CMakeLists.txt, Platforms/WindowsCache.cmake:
	ENH: Attempt to speedup cmake of cmake on Windows

2003-07-08 14:18  andy

	* bootstrap, Source/CMakeLists.txt, Source/cmFileCommand.cxx,
	Source/cmFileCommand.h, Source/cmGlob.cxx, Source/cmGlob.h: ENH:
	Add globbing to FILE command

2003-07-08 13:27  king

	* Source/cmMakefile.cxx: BUG#65: Fixed inheritance of
	CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR.

2003-07-08 13:12  hoffman

	* Source/MFCDialog/: CMakeSetupDialog.cpp, CMakeSetupDialog.h: ENH:
	allow cancel and display of progress during cpu intensive configure
	steps

2003-07-08 09:21  andy

	* Source/kwsys/CMakeLists.txt: ENH: Fix example

2003-07-08 00:28  king

	* Source/cmDocumentation.cxx: ERR: Added missing std::.

2003-07-07 23:20  king

	* CMakeLists.txt, Source/cmDocumentation.cxx,
	Source/cmDumpDocumentation.cxx, Source/cmStandardIncludes.h: ENH:
	Improved name of cmake version variables.  They are now
	CMake_VERSION (major.minor) and CMake_VERSION_FULL
	(major.minor.patch).

2003-07-07 22:54  king

	* Source/cmStringCommand.h: BUG: Removed extra newlines from help
	text.

2003-07-07 22:44  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h, cmakemain.cxx,
	CursesDialog/ccmake.cxx: ENH: Added support to write multiple help
	options with one command line.	Output files can now also be
	specified for the help options.

2003-07-07 22:41  king

	* Source/kwsys/CMakeLists.txt: ERR: Removed useless set.

2003-07-07 22:41  king

	* Source/cmCommands.cxx: ENH: Made ADD_DEPENDENCIES available from
	bootstrapped cmake.  It will be needed to build cmake.

2003-07-07 21:52  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h,
	cmGlobalBorlandMakefileGenerator.cxx,
	cmGlobalBorlandMakefileGenerator.h,
	cmGlobalCodeWarriorGenerator.cxx, cmGlobalCodeWarriorGenerator.h,
	cmGlobalGenerator.cxx, cmGlobalGenerator.h,
	cmGlobalNMakeMakefileGenerator.cxx,
	cmGlobalNMakeMakefileGenerator.h,
	cmGlobalUnixMakefileGenerator.cxx, cmGlobalUnixMakefileGenerator.h,
	cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio6Generator.h,
	cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio71Generator.h,
	cmGlobalVisualStudio7Generator.cxx,
	cmGlobalVisualStudio7Generator.h, cmake.cxx, cmake.h,
	cmakemain.cxx: ENH: Registered global generators are now kept in a
	table in the cmake instance.  Added support for documentation with
	a Generators section.

2003-07-07 18:27  king

	* Source/cmSystemTools.cxx: BUG: Parsing of arguments from string
	by RunCommand before passing to Process execution does not work
	with backslashes in path names.  Until this is fixed, we cannot use
	Process execution from kwsys.

2003-07-07 17:52  andy

	* bootstrap: ENH: Fix bootstrap to include ProcessUNIX.c

2003-07-07 17:47  andy

	* Source/: cmCommands.cxx, cmFileCommand.cxx, cmFileCommand.h: ENH:
	Start working on a general file manipulation command

2003-07-07 17:45  andy

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: Add
	optional argument to GetLineFromStream which can let the caller
	know whether there was a new line character at the end of the line
	that was just read

2003-07-07 13:36  andy

	* Docs/cmake-syntax.vim: Initial import of VIM syntax highlighting
	file

2003-07-07 09:38  king

	* Source/kwsys/ProcessWin32.c: ENH: Made call to FormatMessage more
	robust.

2003-07-07 09:16  king

	* Source/cmSystemTools.cxx: ENH: Using new Process
	SetWorkingDirectory method instead of manually implementing it.

2003-07-07 09:12  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c: ENH: Implemented
	SetWorkingDirectory method.

2003-07-07 09:10  king

	* Source/kwsys/ProcessWin32.c: ENH: Implemented SetWorkingDirectory
	method on Windows.

2003-07-07 08:41  king

	* Source/cmSystemTools.cxx: ENH: Using kwsys Process implementation
	to implement RunCommand.

2003-07-07 08:36  andy

	* Source/kwsys/: Process.h.in, ProcessUNIX.c: ENH: Start working on
	Working Directory support

2003-07-06 20:40  king

	* Source/kwsys/ProcessWin32.c: ENH: Using GetTempPath instead of
	TEMP environment variable to get a location to write the Win9x
	forwarding executable.

2003-07-03 18:33  king

	* Source/kwsys/ProcessWin32.c: BUG: Argument parsers do not always
	remove double quotes from around an argument that has no spaces.

2003-07-03 12:50  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: ENH: add linker flags

2003-07-03 11:39  hoffman

	* Source/cmCreateTestSourceList.cxx: ENH: null terminate at the end
	of the list

2003-07-03 07:58  king

	* Source/kwsys/CMakeLists.txt: BUG: Install target for standard
	header wrappers must point at the std subdirectory in the
	installation.

2003-07-02 10:48  andy

	* DartConfig.cmake: ENH: Add proper links to bugtracker

2003-07-02 10:37  andy

	* DartConfig.cmake: ENH: Add links to bugtracker

2003-07-02 08:35  king

	* Source/kwsys/ProcessWin32.c: ERR: Added cast to remove warning. 
	We know the length of the string will not be beyond 2^31.

2003-07-01 13:32  king

	* Source/kwsys/Base64.c: ERR: Added casts to remove type conversion
	warnings.  Pointer differences can be 64-bit, but unsigned long is
	32-bit on many platforms.  We know we are not traversing more data
	than can be handled by an unsigned long, though, because the length
	argument is an unsigned long.

2003-07-01 13:27  king

	* Source/kwsys/: ProcessFwd9x.c, ProcessWin32.c: ERR: Should use %p
	to pass HANDLE values on a command line, not %d.

2003-07-01 13:27  king

	* Source/kwsys/SystemTools.cxx: ERR: Removed unreachable code.

2003-07-01 11:40  king

	* Source/kwsys/: Base64.h.in, Process.h.in: ERR: Reduced
	requirements on preprocessor for export macro due to limitations of
	Mac preprocessor.  The preprocessor can be fixed by using
	-no-cpp-precomp, but we don't want to require that option for every
	source file that includes our headers.

2003-07-01 08:54  king

	* Source/kwsys/EncodeExecutable.c: ERR: Added explicit cast from
	size_t to int.	We know that the data will not be out of range.

2003-06-30 10:50  andy

	* bootstrap: ERR: Fix changes in kwsys for Configure.h and
	StandardIncludes.hxx

2003-06-30 10:44  andy

	* Source/kwsys/: Base64.c, ProcessFwd9x.c, ProcessWin32.c: ERR:
	Remove warnings on Windows

2003-06-30 10:30  king

	* Source/kwsys/: Base64.h.in, CMakeLists.txt, Configure.h.in,
	Directory.cxx, Directory.hxx.in, EncodeExecutable.c, Process.h.in,
	ProcessWin32.c, RegularExpression.cxx, RegularExpression.hxx.in,
	SystemTools.hxx.in: ENH: Added DLL support.

2003-06-30 10:12  martink

	* Tests/CustomCommand/CMakeLists.txt: modified code to match cmake
	mode

2003-06-30 10:07  king

	* Source/kwsys/StandardIncludes.hxx.in: Removing old file.

2003-06-30 09:56  andy

	* bootstrap: ENH: Fix checking for C++ compiler on Mac, remove
	cmConfigure.h.tmp, so that nothing bad can happen if configure is
	interrupted, reports kwsys sources in cmConfigure.h

2003-06-30 08:49  king

	* Source/kwsys/Base64.h.in: ENH: Updated comments for doxygen.

2003-06-30 08:48  king

	* Source/kwsys/Base64.c: BUG: Should define KWSYS_IN_BASE64_C, not
	KWSYS_IN_PROCESS_C.

2003-06-30 08:48  king

	* Source/kwsys/CMakeLists.txt: ENH: Using FOREACH to shorten
	enabling of C components.

2003-06-29 21:42  andy

	* CMakeLists.txt, Source/kwsys/Base64.c, Source/kwsys/Base64.h.in,
	Source/kwsys/CMakeLists.txt: ENH: Initial import of Base64

2003-06-29 20:30  king

	* CMakeLists.txt: ENH: Enabling build of kwsys's Process class. 
	This will be needed for ctest.

2003-06-29 20:20  king

	* Docs/cmake-mode.el: ENH: Added comment-region support.

2003-06-27 09:48  king

	* CMakeLists.txt: ERR: Disabling multiply defined symbols warning
	for linking executables on IRIX.  The compiler's prelinker does not
	add weak symbols, so template instantiations are duplicated.

2003-06-27 08:46  martink

	* Source/: cmAuxSourceDirectoryCommand.cxx,
	cmTryCompileCommand.cxx: fix compiler warnings

2003-06-26 13:39  king

	* Source/kwsys/CMakeLists.txt: ENH: Updated documentation to
	describe enabling of classes.

2003-06-26 09:44  andy

	* bootstrap: ENH: Attempt to handle OSF compiler flags

2003-06-25 09:32  king

	* Source/kwsys/testProcess.c: ERR: Fixed use of non-constant
	initializer.

2003-06-25 08:29  king

	* Source/kwsys/Directory.cxx: ERR: Fixed conversion warning.

2003-06-24 21:37  lorensen

	* Source/kwsys/SystemTools.cxx: ERR: portability.

2003-06-24 16:35  martink

	* Source/kwsys/SystemTools.cxx: compiler fix

2003-06-24 15:24  martink

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: moved depend code into cmTarget

2003-06-24 15:21  martink

	* Source/: cmMakefile.cxx, cmMakefile.h, kwsys/SystemTools.cxx:
	performance improvements

2003-06-24 15:11  martink

	* Source/cmMacroCommand.cxx: performance improvements

2003-06-24 15:10  martink

	* Source/: cmTarget.cxx, cmTarget.h: moved function into cmTarget

2003-06-24 10:16  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ERR: Renamed
	superclass typedef from SystemTools to Superclass to avoid conflict
	across platforms.

2003-06-24 09:02  king

	* Source/kwsys/SystemTools.cxx: ERR: std->kwsys_std.

2003-06-24 08:19  king

	* Source/cmSystemTools.h: ERR: Typedefs are not inherited on SGI
	and Borland.

2003-06-23 16:26  martink

	* Source/: cmForEachCommand.cxx, cmMacroCommand.cxx: perf
	improvement

2003-06-23 16:25  martink

	* Source/cmCustomCommand.h: performance improvement

2003-06-23 14:10  king

	* CMakeLists.txt, bootstrap, Source/CMakeLists.txt,
	Source/cmBuildNameCommand.cxx, Source/cmCTest.cxx,
	Source/cmCacheManager.cxx, Source/cmConfigureFileCommand.cxx,
	Source/cmIfCommand.cxx, Source/cmListFileCache.cxx,
	Source/cmLoadCacheCommand.cxx,
	Source/cmLocalCodeWarriorGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalVisualStudio6Generator.cxx, Source/cmMakeDepend.cxx,
	Source/cmMakeDepend.h, Source/cmMakefile.cxx,
	Source/cmRegularExpression.cxx, Source/cmRegularExpression.h,
	Source/cmSiteNameCommand.cxx, Source/cmSourceGroup.h,
	Source/cmStringCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmUseMangledMesaCommand.cxx, Source/cmaketest.cxx: ENH:
	Merged use of the kwsys RegularExpression class instead of
	cmRegularExpression.

2003-06-23 14:05  king

	* Source/kwsys/RegularExpression.hxx.in: ERR: Fixed documentation
	to read RegularExpression instead of cmRegularExpression.

2003-06-23 11:16  martink

	* Source/cmTarget.cxx: removed some no longer required code

2003-06-23 08:58  king

	* CMakeLists.txt, bootstrap, Source/CMakeLists.txt,
	Source/cmAuxSourceDirectoryCommand.cxx, Source/cmDirectory.cxx,
	Source/cmDirectory.h, Source/cmMakeDirectoryCommand.cxx,
	Source/cmMakefile.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmTryCompileCommand.cxx,
	Source/CursesDialog/cmCursesPathWidget.cxx,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/ComplexOneConfig/Executable/CMakeLists.txt,
	Tests/ComplexRelativePaths/Executable/CMakeLists.txt: ENH: Merged
	use of kwsys library.

2003-06-23 08:58  king

	* Makefile.in, configure, configure.in, Source/Makefile.in: ENH:
	Configure script now just invokes bootstrap script.

2003-06-23 08:56  king

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: Removed
	cmake-specific functions.

2003-06-23 08:56  king

	* Source/kwsys/CMakeLists.txt: BUG: Need include regular expression
	to match all files.

2003-06-21 11:57  andy

	* bootstrap: ENH: Add copyright, cmConfigure.h is now touched only
	when it is modified, remove some spaces from output, add procedure
	that copies file and replaces atstring with another string

2003-06-20 20:33  martink

	* Source/cmMakefile.cxx: fix to expand variables in custom command
	outputs and main dependencies

2003-06-20 14:10  king

	* Source/kwsys/CMakeLists.txt: ENH: Changed configuration of header
	directory to specify it without the namespace.

2003-06-20 14:10  hoffman

	* Docs/cmake-mode.el: BUG: fix highlight for comments in multiple
	buffers

2003-06-20 13:56  martink

	* Source/cmMakefile.cxx: bug in not expanding variables for custom
	commands in targets

2003-06-20 11:23  martink

	* Source/cmMakefile.cxx: minor perf improvement

2003-06-19 18:57  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in,
	RegularExpression.hxx.in, SystemTools.hxx.in,
	kwsys_std_fstream.h.in, kwsys_std_iosfwd.h.in,
	kwsys_std_iostream.h.in, kwsys_std_sstream.h.in: ENH: Added full
	configuration of namespace even for Configure.hxx macro
	definitions.

2003-06-19 16:23  hoffman

	* Docs/cmake-mode.el: add a comment

2003-06-19 15:05  king

	* Docs/: cmake-indent.vim, cmake-mode.el: Added copyright.

2003-06-19 14:37  andy

	* Docs/cmake-indent.vim: Initial import: indentation file for vim

2003-06-19 14:30  king

	* Docs/cmake-mode.el: Minor tweaks for anal cases of indentation.

2003-06-19 14:27  martink

	* Source/cmMakefile.cxx: bug fix for finding source files

2003-06-19 14:27  martink

	* Source/: cmSystemTools.cxx, cmSystemTools.h: new function

2003-06-19 14:17  king

	* Docs/cmake-mode.el: BUG: Don't open a block if a command starts
	with IF in its name.

2003-06-19 13:38  martink

	* Docs/cmake-mode.el: fix to use function-name

2003-06-19 13:23  king

	* Docs/cmake-mode.el: Fixed slow regex for indentation.

2003-06-19 11:11  king

	* Docs/cmake-mode.el: ENH: Wrote more robust regular expressions
	for indenting.

2003-06-19 11:07  martink

	* Docs/cmake-mode.el: emacs mode

2003-06-18 17:28  king

	* Source/kwsys/kwsysHeaderDump.pl: Tool to dump macros for
	redefining C header namespaces.

2003-06-18 17:27  king

	* Source/kwsys/: CMakeLists.txt, testProcess.c: ENH: Added test for
	Process implementation.

2003-06-18 17:27  king

	* Source/kwsys/ProcessWin32.c: BUG: Must return Exception status
	correctly.

2003-06-18 17:19  king

	* Source/kwsys/ProcessUNIX.c: Removed Exception_Abort because there
	is no windows version.	Also made ExitValue consistent with windows
	when a signal kills the process.

2003-06-18 17:19  king

	* Source/kwsys/Process.h.in: Removed Exception_Abort because there
	is no windows version.	Also removed stray typedef keywords.

2003-06-18 17:06  king

	* Source/kwsys/: Process.h.in, ProcessUNIX.c, ProcessWin32.c,
	test1.cxx: ENH: Added documentation to interface.  Finished process
	exit code interpretation implementation prototype.

2003-06-18 11:43  hoffman

	* Source/cmStringCommand.h: remove non-html safe stuff

2003-06-18 09:13  hoffman

	* Source/cmMakefile.cxx: BUG: fix not being able to find generated
	files in the binary tree

2003-06-17 17:13  martink

	* Source/cmLocalVisualStudio7Generator.cxx: fix for bad assumption
	on custom rules

2003-06-17 16:54  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fix for bad assumption

2003-06-17 15:13  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fix for bad assumption

2003-06-16 10:20  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fix for vs6 rule files

2003-06-13 16:59  king

	* Source/cmMakefile.cxx: BUG: Fixed translation of relative path
	names to full path names.

2003-06-13 16:47  king

	* Source/cmSetSourceFilesPropertiesCommand.cxx: BUG: Fixed crash
	when source file cannot be looked up correctly.

2003-06-13 14:15  king

	* Source/cmake.cxx: BUG: Fixed check for existence of
	CMakeLists.txt file in top-level source directory before first
	configure.

2003-06-12 16:43  king

	* Modules/Platform/Windows-bcc32.cmake: BUG: Stack size in
	generated programs should be 10 meg, not 256.

2003-06-12 16:18  king

	* Source/kwsys/ProcessWin32.c: ERR: Added error check for malloc of
	process control structure.

2003-06-12 15:58  king

	* Source/kwsys/ProcessWin32.c: ERR: Using GetCurrentProcessId
	instead of _getpid so we don't need to include the system process.h
	header.  Also creating pipe threads with 1K stacks to save memory.

2003-06-11 11:00  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Uninitialized
	std::string returns bad pointers from c_str() on some platforms.

2003-06-11 10:21  king

	* Source/kwsys/CMakeLists.txt: ENH: EXECUTABLE_OUTPUT_PATH is now
	always set to get around cmake 1.6.7 dependency problems.  Moved
	default header directory inside the build tree instead of up one
	level.	User projects can now set the header directory.

2003-06-11 10:11  hoffman

	* Modules/CMakeDetermineSystem.cmake: ENH: add processor type of
	win32

2003-06-11 10:07  hoffman

	* Modules/: CMakeDetermineSystem.cmake, CMakeSystem.cmake.in: ENH:
	add CMAKE_SYSTEM_PROCESSOR

2003-06-11 09:45  king

	* Source/kwsys/CMakeLists.txt: ERR: Added custom command that takes
	advantage of new syntax.

2003-06-11 09:44  king

	* Source/kwsys/ProcessWin32.c: ERR: Removed unused variables.

2003-06-11 09:44  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: When executable
	output path is not set, we still need to generate the full path to
	the executable target.

2003-06-10 17:39  king

	* Source/kwsys/CMakeLists.txt: ERR: Added work-around for cmake
	1.6.7 bug in borland makefile generator.

2003-06-10 16:56  king

	* Source/kwsys/CMakeLists.txt: BUG: Need to add ANSI C flags for
	some platforms.

2003-06-10 16:55  king

	* Source/kwsys/ProcessUNIX.c: ERR: Added static specifier to static
	function definitions to quiet warnings on HP compiler.

2003-06-10 16:15  king

	* Source/kwsys/ProcessWin32.c: BUG: Don't show a console
	application's window.

2003-06-10 15:50  king

	* Source/kwsys/test1.cxx: ENH: Added use of process execution.

2003-06-10 15:46  king

	* Source/kwsys/: CMakeLists.txt, EncodeExecutable.c, Process.h.in,
	ProcessFwd9x.c, ProcessUNIX.c, ProcessWin32.c: ENH: Added Process
	execution implementation.

2003-06-10 15:45  king

	* Source/kwsys/SystemTools.cxx: ENH: Moved disabling of warnings to
	after kwsys includes.

2003-06-10 15:44  king

	* Source/kwsys/kwsys_std.h.in: ENH: Disabled warning 4786.

2003-06-06 09:58  andy

	* Modules/FindVTK.cmake: BUG: When VTK is not found, it should be
	fatal error

2003-06-06 09:57  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: When only loading
	ccmake cache, do not allow generate

2003-06-06 09:06  martink

	* Source/cmCreateTestSourceList.cxx: undid change because other
	changes make it no longer neccesary

2003-06-05 16:45  martink

	* Source/: cmMakefile.cxx, cmMakefile.h: more custom command

2003-06-05 16:12  martink

	* Source/cmMakefile.cxx: more changes to support full paths

2003-06-05 15:28  martink

	* Source/cmMakefile.cxx: perf improvement

2003-06-05 15:18  martink

	* Source/cmMakefile.cxx: more changes to handle full paths
	correctly

2003-06-05 14:48  martink

	* Source/cmQTWrapUICommand.cxx: minor update for new custom
	commands

2003-06-05 14:40  martink

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx, cmMakefile.cxx, cmTarget.cxx:
	more crazt changes source files now must match with full path

2003-06-05 14:37  martink

	* Source/cmITKWrapTclCommand.cxx: updated for new custom command

2003-06-05 14:37  martink

	* Source/cmCreateTestSourceList.cxx: minor fix

2003-06-04 19:04  martink

	* Source/cmMakefile.cxx: hopeful fix for backwards compat

2003-06-04 18:50  martink

	* Source/cmLocalVisualStudio6Generator.cxx: minor fix

2003-06-04 16:06  martink

	* Source/cmMakefile.cxx: tricky fix for backwards compat

2003-06-04 14:25  hoffman

	* Tests/CustomCommand/: generator.cxx, wrapper.cxx: minor fixes

2003-06-04 14:01  hoffman

	* Source/cmMakefile.cxx: better error reporting

2003-06-04 14:00  hoffman

	* Source/cmMakefile.cxx: ENH: allow duplicate commands with the
	same output to be reduced automatically to one command

2003-06-04 13:55  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: bug fix for vs6 custom
	commands

2003-06-04 13:54  hoffman

	* Templates/UtilityHeader.dsptemplate: fix for new custom commands

2003-06-04 13:42  hoffman

	* Source/: cmCustomCommand.cxx, cmCustomCommand.h,
	cmLocalVisualStudio7Generator.cxx, cmMakefile.cxx: ENH: allow
	duplicate commands with the same output to be reduced automatically
	to one command

2003-06-04 11:46  hoffman

	* Source/cmAddCustomCommandCommand.h: command should nto be
	inherited

2003-06-04 10:46  hoffman

	* Tests/Wrapping/CMakeLists.txt: minor fix

2003-06-04 10:13  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: bug fix

2003-06-04 09:02  hoffman

	* Tests/CustomCommand/: CMakeLists.txt, generator.c, generator.cxx,
	wrapper.c, wrapper.cxx: fixes for HP

2003-06-04 09:00  king

	* bootstrap: ERR: Cannot use iostream.h for strict C++ compiler
	sanity check.  Using a small class instead.

2003-06-04 08:42  martink

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: compielr warnings

2003-06-04 08:40  martink

	* Source/cmMakefile.cxx: compielr errors on como

2003-06-03 14:55  martink

	* Source/: cmCustomCommand.cxx, cmLocalUnixMakefileGenerator.cxx,
	cmMakefile.cxx, cmSourceGroup.cxx: warning fixes

2003-06-03 14:45  hoffman

	* Modules/Dart.cmake: ENH: add all targets for dashboard build
	types

2003-06-03 10:47  martink

	* Source/: cmAddCustomCommandCommand.h,
	cmAddCustomCommandCommand.h: better docs

2003-06-03 10:33  martink

	* Tests/CustomCommand/: CMakeLists.txt, doc1.tex, foo.in,
	generator.c, wrapper.c, wrapped.h: new test

2003-06-03 10:30  martink

	* Source/: CMakeLists.txt, cmAddCustomCommandCommand.cxx,
	cmAddCustomCommandCommand.h, cmAddCustomTargetCommand.cxx,
	cmAddCustomTargetCommand.h, cmCPluginAPI.cxx, cmCPluginAPI.h,
	cmCustomCommand.cxx, cmCustomCommand.h,
	cmGlobalVisualStudio6Generator.cxx,
	cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio7Generator.cxx,
	cmLocalUnixMakefileGenerator.cxx, cmLocalUnixMakefileGenerator.h,
	cmLocalVisualStudio6Generator.cxx, cmLocalVisualStudio6Generator.h,
	cmLocalVisualStudio7Generator.cxx, cmLocalVisualStudio7Generator.h,
	cmMakefile.cxx, cmMakefile.h,
	cmSetSourceFilesPropertiesCommand.cxx, cmSourceFile.h,
	cmSourceGroup.cxx, cmSourceGroup.h, cmSystemTools.cxx,
	cmSystemTools.h, cmTarget.h: yikes added new custom command support

2003-06-02 16:37  martink

	* Docs/: CMake04.rtf, CMake12p2.rtf, CMake14.rtf, CMake16.rtf: add
	release docs to cvs

2003-05-29 15:30  martink

	* Source/: cmGetSourceFilePropertyCommand.cxx,
	cmGetTargetPropertyCommand.cxx: minor bug fix

2003-05-29 11:14  andy

	* Source/CursesDialog/: ccmake.cxx, cmCursesMainForm.cxx,
	cmCursesMainForm.h: ENH: On envocation of ccmake check if
	directories are correct, but do not rerun configure

2003-05-29 11:14  andy

	* Source/: cmake.cxx, cmake.h: ENH: Abstract pre configure check in
	a separate method

2003-05-29 09:34  hoffman

	* Source/: cmCTest.cxx, cmRegularExpression.cxx,
	cmSetSourceFilesPropertiesCommand.cxx, cmTarget.cxx: ENH: remove
	warnings from borland 6 compiler

2003-05-28 15:52  andy

	* Source/CursesDialog/ccmake.cxx: ENH: Do not do configure first
	time. This way ccmake loads fast.

2003-05-28 09:21  hoffman

	* Source/: cmCTest.cxx, cmDynamicLoader.cxx,
	cmGlobalVisualStudio71Generator.cxx, cmSystemTools.cxx,
	CTest/cmCTestSubmit.cxx: Remove some borland 6 warnings

2003-05-28 07:53  andy

	* Modules/FindQt.cmake: ENH: More locations

2003-05-24 10:07  hoffman

	* Source/: cmAbstractFilesCommand.cxx, cmEndIfCommand.cxx,
	cmGlobalGenerator.cxx, cmIfCommand.cxx, cmSourceFilesCommand.cxx,
	cmSourceFilesRemoveCommand.cxx, cmTarget.cxx,
	cmWrapExcludeFilesCommand.cxx: ENH: add stdlib.h for portability to
	borland 6

2003-05-23 16:40  hoffman

	* Source/: cmCTest.cxx, cmMakefile.cxx, cmStringCommand.cxx,
	cmake.cxx: ENH: add some includes for borland 6

2003-05-23 09:35  hoffman

	* Modules/CMakeSystemSpecificInformation.cmake: ENH: add LDFLAGS as
	an initial value for all linker flags, good for -64

2003-05-22 10:56  andy

	* Source/CTest/Curl/: getdate.c, hostip.c, ldap.c: ERR: Attempt to
	fix more Curl warnings

2003-05-22 10:42  andy

	* Source/CTest/Curl/: connect.c, if2ip.c, url.c: ENH: Attempt to
	remove cast warnings

2003-05-19 13:41  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: fix for .def files and
	nmake and spaces in the path

2003-05-19 09:05  andy

	* Source/CTest/Curl/formdata.c: ERR: We should really copy the
	address and not the value

2003-05-16 16:33  king

	* Modules/: TestForAnsiForScope.cxx, TestForAnsiForScope.cxx: ERR:
	Removed warning for unused variable.

2003-05-16 15:20  king

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx: BUG: When building a C
	executable, we should add CMAKE_SHARED_LIBRARY_C_FLAGS, not
	CMAKE_SHARED_LIBRARY_LINK_FLAGS.  The latter is already added by
	the link line procedure.

2003-05-16 15:18  king

	* Modules/Platform/: AIX.cmake, AIX.cmake: BUG: Need -brtl when
	creating shared libraries.  Also added -bexpall (AIX equivalent to
	Linux's -rdynamic) when building executables.

2003-05-16 15:15  andy

	* Source/CTest/Curl/: CMakeLists.txt, formdata.c, getdate.c,
	multi.c, url.c: ERR: Attempt to remove more warnings

2003-05-15 15:15  king

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: Don't report an
	error of output was generated but no error was set.  Merging from
	trunk to 1.6 branch.

2003-05-15 15:05  king

	* Source/cmGlobalVisualStudio6Generator.cxx: Removed useless
	lower-casing and improved error message.  Merged from trunk to 1.6
	branch.

2003-05-15 14:58  king

	* Modules/FindFLTK.cmake: Looking in another place (merge from
	trunk).

2003-05-15 14:54  king

	* Source/CursesDialog/cmCursesStringWidget.cxx: Attempt to fix SGI
	ccmake problem (thank you Clint Miller).  Merging from trunk to 1.6
	branch.

2003-05-15 14:45  king

	* Source/cmMacroCommand.cxx: BUG: Merging fix from trunk into 1.6
	branch.  Report a missing ENDMACRO.

2003-05-15 09:35  andy

	* bootstrap: Several fixes before bootstrap is ready for
	prime-time: 1. Add --version flag to display version of CMake 2.
	Add comments to explain what is going on 3. Move CMAKE_ROOT_DIR and
	CMAKE_BOOTSTRAP to cmConfigure.h 4. Forward CC, CXX, and MAKE to
	cmake 5. Add more instructions

2003-05-14 15:38  king

	* Utilities/Release/cmake_release.sh: Updated for 1.6.7 release.

2003-05-14 14:14  king

	* Source/cmMakefile.h, Source/WXDialog/CMakeLists.txt,
	Utilities/Release/cmake_release.sh: ENH: Updated version number to
	1.6.7 from 1.6.6.

2003-05-14 12:10  king

	* Source/cmGlobalGenerator.cxx: BUG: Work-around for SGI MipsPro
	bug where #error doesn't return an error to make.  Merged onto 1.6
	branch from trunk.

2003-05-14 12:06  king

	* Source/cmGlobalGenerator.cxx: BUG: Work-around for SGI MipsPro
	bug where #error doesn't return an error to make.

2003-05-14 10:34  king

	* Source/MFCDialog/: CMakeSetupDialog.cpp, CMakeSetupDialog.cpp:
	ENH: Default generator selection for VS 7.1 added.

2003-05-14 09:27  andy

	* bootstrap: ENH: Add parallel build support, fix bug in verbose
	and clean output when adding arguments

2003-05-14 09:19  andy

	* bootstrap: ENH: Add better error reporting

2003-05-14 08:45  king

	* Source/cmake.cxx: BUG: Need to remove the MAKEFLAGS when cmake
	starts.  If cmake is run from inside make, we don't want the
	try-compiles to inherit the makeflags.

2003-05-14 08:40  king

	* Source/cmake.cxx: ERR: Fixed string literal->char* conversion
	warning.

2003-05-14 08:17  andy

	* Source/CTest/Curl/CMakeLists.txt: ERR: Search for gethostbyname
	which is the one needed

2003-05-13 16:51  king

	* Source/cmake.cxx: BUG: Need to remove the MAKEFLAGS when cmake
	starts.  If cmake is run from inside make, we don't want the
	try-compiles to inherit the makeflags.

2003-05-13 16:10  king

	* Source/: cmGlobalGenerator.cxx, cmake.cxx, cmGlobalGenerator.cxx,
	cmake.cxx: ENH: When the initially configured generator is invalid,
	allow the user to change the generator without deleting the cache
	by hand.

2003-05-13 14:26  king

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.cxx: ENH:
	Improved error message when a wrong generator is selected.

2003-05-13 14:05  king

	* Source/cmDynamicLoader.cxx: ERR: Removed unused parameter.

2003-05-13 13:54  king

	* Source/cmSystemTools.cxx: ERR: Removed unused variable from
	previous merge.

2003-05-13 13:52  king

	* Source/: cmCacheManager.cxx, cmConfigureFileCommand.cxx,
	cmListFileCache.cxx, cmLocalVisualStudio6Generator.cxx,
	cmMakeDepend.cxx, cmOutputRequiredFilesCommand.cxx,
	cmSystemTools.cxx, cmSystemTools.h, cmUseMangledMesaCommand.cxx:
	BUG: Using GetLineFromStream instead of getline due to buggy stream
	implementations on some platforms.  Merged from trunk into branch
	1.6.

2003-05-13 13:26  hoffman

	* Modules/CMakeVS71FindMake.cmake, Source/CMakeLists.txt,
	Source/cmGlobalVisualStudio71Generator.cxx,
	Source/cmGlobalVisualStudio71Generator.h,
	Source/cmGlobalVisualStudio7Generator.h,
	Source/cmLocalVisualStudio7Generator.cxx,
	Source/cmLocalVisualStudio7Generator.h, Source/cmake.cxx: ENH:
	Adding VS 7.1 generator to 1.6 branch.

2003-05-13 12:04  king

	* Modules/CheckIncludeFiles.cmake, Modules/CheckSymbolExists.cmake,
	Modules/FindCABLE.cmake, Modules/Platform/SunOS.cmake,
	Modules/Platform/Windows-bcc32.cmake,
	Modules/Platform/Windows-cl.cmake,
	Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalVisualStudio6Generator.cxx,
	Source/cmLocalVisualStudio7Generator.cxx,
	Source/cmLocalVisualStudio7Generator.h, Source/cmRemoveCommand.cxx,
	Source/cmStringCommand.h, Source/cmaketest.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Tests/Complex/Executable/complex.cxx,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Executable/complex.cxx: BUG: Merged
	fixes from main tree into 1.6 branch.

2003-05-13 11:42  hoffman

	* Source/cmGlobalVisualStudio71Generator.h: Change name of 71
	generator

2003-05-13 09:50  king

	* Source/kwsys/SystemTools.cxx: ERR: Removed use of std::string !=
	operator due to bug in SGI compiler's library.

2003-05-13 09:42  king

	* Source/kwsys/CMakeLists.txt: ERR: Test for ansi streams may need
	to use iosfwd for test because some compilers provide an iostream
	header that is old streams.

2003-05-13 08:38  king

	* Source/kwsys/SystemTools.cxx: ERR: Added forward declarations of
	system functions for como compiler.

2003-05-13 08:27  andy

	* Source/CTest/Curl/hostip.c: ERR: Fix warning

2003-05-12 17:15  andy

	* Source/CTest/Curl/: getdate.c, hostip.c, url.c: ERR: Attempt to
	remove warnings

2003-05-12 17:11  hoffman

	* Source/CTest/Curl/: content_encoding.c, file.c, http.c, telnet.c,
	transfer.c, url.c: ERR: Remove a bunch of warnings on SGI

2003-05-12 17:10  andy

	* Source/CTest/Curl/CMakeLists.txt: ERR: Do not link nsl if not
	necessary

2003-05-12 13:43  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in,
	kwsys_std_fstream.h.in, kwsys_std_iosfwd.h.in,
	kwsys_std_iostream.h.in, kwsys_std_sstream.h.in: ENH: Added
	KWSYS_FORCE_OLD_STREAMS option to force use of non-ansi stream
	headers even if they are available.

2003-05-12 13:33  king

	* Source/kwsys/: CMakeLists.txt, StandardIncludes.hxx.in: ENH:
	Removed old (unused) StandardIncludes header.

2003-05-12 13:27  king

	* Source/kwsys/kwsys_std_iosfwd.h.in: ERR: Need to move forward
	declarations of non-ansi streams into std namespace when it is
	available.

2003-05-12 13:15  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in, SystemTools.cxx,
	SystemTools.hxx.in, kwsys_std.h.in, kwsys_std_fstream.h.in,
	kwsys_std_iosfwd.h.in, kwsys_std_iostream.h.in,
	kwsys_std_sstream.h.in: ENH: Added wrappers around the std stream
	headers to make them look like ansi streams on all platforms.

2003-05-09 15:47  hoffman

	* Modules/CMakeVS71FindMake.cmake: add find make program for 71

2003-05-09 09:32  hoffman

	* Modules/Platform/Windows-bcc32.cmake: BUG: remove typo from file

2003-05-08 16:59  hoffman

	* Source/: CMakeLists.txt, cmGlobalVisualStudio71Generator.cxx,
	cmGlobalVisualStudio71Generator.h,
	cmGlobalVisualStudio7Generator.cxx,
	cmGlobalVisualStudio7Generator.h,
	cmLocalVisualStudio7Generator.cxx, cmLocalVisualStudio7Generator.h,
	cmake.cxx: add support for vs 71

2003-05-08 16:52  king

	* Source/CMakeLists.txt: ERR: Fixed arguments to kwsys's ADD_TEST
	call for msvc6.

2003-05-08 16:48  king

	* Source/kwsys/CMakeLists.txt: BUG: Need to invert test result for
	ansi string stream.

2003-05-08 14:49  king

	* Source/CMakeLists.txt: ENH: Added kwsys test.

2003-05-08 14:46  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in, Directory.cxx,
	Directory.hxx.in, RegularExpression.hxx.in,
	StandardIncludes.hxx.in, kwsys_std.h.in: ENH: Reduced header
	dependencies and cleaned up inclusion of standard headers.

2003-05-08 14:17  king

	* Source/kwsys/: CMakeLists.txt, README.itk, README.txt, test1.cxx:
	ENH: Setup for testing as a stand-alone project.

2003-05-08 09:55  hoffman

	* Modules/Platform/Windows-bcc32.cmake: BUG: fix for borland win32
	exe builds

2003-05-08 09:43  martink

	* Modules/Platform/: Windows-bcc32.cmake, Windows-bcc32.cmake: BUG:
	remove -H flags as they cause crashes on oldwww

2003-05-07 10:31  andy

	* Source/CTest/Curl/connect.c: ERR: Remove warning

2003-05-07 10:27  hoffman

	* Source/CTest/Curl/: connect.c, ftp.c, telnet.c, url.c: ERR: Fix
	some HP specific warnings

2003-05-06 16:03  andy

	* Source/CTest/Curl/ftp.c: ERR: More warnings

2003-05-06 11:26  andy

	* Source/CTest/Curl/: getdate.c, getenv.c, getpass.c, netrc.c,
	telnet.c, version.c: ERR: Remove warnings on icc

2003-05-06 11:10  hoffman

	* Source/CTest/Curl/connect.c: ERR: Remove warning on Sun

2003-05-06 10:30  andy

	* Source/CTest/Curl/ldap.c: ERR: Remove warning on Mac OSX

2003-05-06 10:16  andy

	* Source/ctest.cxx: ERR: Remove warning

2003-05-05 10:48  andy

	* Source/CTest/Curl/: dict.c, hostip.c, telnet.c, url.c, version.c:
	ERR: Remove warnings on Borland

2003-05-05 10:24  hoffman

	* Modules/Platform/Windows-bcc32.cmake: ENH: change the default
	borland stack size

2003-05-05 10:23  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: add linker flags
	for modules

2003-05-05 10:23  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: remove 64 bit
	warnings

2003-05-05 09:56  andy

	* Source/CTest/Curl/CMakeLists.txt: ERR: Search for getch instead
	of printf. Looks like printf is special so it does not work. getch
	does. Also when using -ansi, strdup is not defined. Make sure to
	use _BSD_SOURCE on all sources that use strdup

2003-05-05 09:55  andy

	* Source/CTest/Curl/CMake/CurlTests.c: ERR: Remove warning about
	unused variable i

2003-05-05 09:54  andy

	* Modules/CheckIncludeFiles.cmake: ERR: Remove warning for main
	returning void.

2003-05-05 08:42  andy

	* Source/: CMakeLists.txt, cmaketest.cxx, cmaketest.h.in: BUG: Fix
	some dependencies for location of executables

2003-05-05 08:42  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Add support for
	make test even for fresh build of cmake

2003-05-03 16:15  andy

	* Source/WXDialog/CMakeLists.txt: Fix location of test

2003-05-03 12:07  andy

	* Source/CTest/Curl/hostip.c: ERR: Attempt to remove warning on
	cygwin

2003-05-02 14:05  martink

	* Modules/Dart.cmake: fixed andy sloppy code again

2003-05-02 13:57  andy

	* Modules/Dart.cmake, Modules/DartConfiguration.tcl.in,
	Source/CMakeLists.txt, Source/ctest.cxx: ENH: Fix some dart issues.
	Now it works fine without dart.

2003-05-02 13:56  andy

	* Source/cmake.cxx: ENH: New location of cmake binaries

2003-05-02 13:54  andy

	* Source/cmaketest.cxx: ENH: New location of cmake

2003-05-02 13:54  andy

	* Source/CTest/cmCTestSubmit.cxx: ENH: Be just a bit more verbose

2003-05-02 11:29  andy

	* CMakeLists.txt, Source/CMakeLists.txt: ENH: Executables should go
	to the bin directory

2003-05-02 09:31  andy

	* Source/CTest/Curl/: base64.c, connect.c, cookie.c, formdata.c,
	ftp.c, getdate.c, hash.c, hostip.c, http.c, http_chunks.c,
	mprintf.c, sendf.c, setup.h, telnet.c, transfer.c, url.c: ERR:
	Remove warnings on Visual Studio 7

2003-05-02 08:43  andy

	* Source/CTest/Curl/Testing/curltest.c: ERR: Fix comment to C style
	comment

2003-05-01 15:19  andy

	* Source/CTest/Curl/ftp.c: ERR: Remove warning on FreeBSD

2003-05-01 14:18  andy

	* Source/CTest/Curl/Testing/curltest.c: ENH: Remove more warnings

2003-05-01 14:17  andy

	* Source/CTest/Curl/CMakeLists.txt: BUG: Make dependency checking
	work better

2003-05-01 11:55  andy

	* Source/CTest/Curl/setup.h: ENH: Ignore some warnings on Visual
	Studio

2003-05-01 11:53  andy

	* Source/CTest/Curl/: getpass.c, netrc.c, telnet.c, transfer.c,
	Testing/curltest.c: ERR: Remove warnings

2003-05-01 11:32  andy

	* Source/CTest/Curl/: mprintf.c, timeval.c, getdate.c: ERR: Remove
	warnings

2003-05-01 11:29  andy

	* Source/CTest/Curl/ldap.c: ERR: Remove warnings

2003-05-01 11:25  andy

	* Source/CTest/Curl/: base64.c, connect.c, cookie.c, escape.c,
	ftp.c, http.c, url.c: ERR: Remove warnings

2003-05-01 11:25  andy

	* Source/CTest/Curl/CMakeLists.txt: ENH: Only compile memdebug when
	CURL_MALLOC_DEBUG is on

2003-05-01 08:08  andy

	* Source/CTest/Curl/: connect.c, getinfo.c, sendf.c, ssluse.c,
	Testing/curltest.c: ERR: Remove some curl warnings

2003-05-01 07:56  andy

	* Source/CTest/cmCTestSubmit.cxx: ERR: Remove warnings

2003-04-30 14:59  andy

	* Source/CTest/Curl/CMakeLists.txt: ERR: Make OpenSSL optional
	until pkg-config works

2003-04-30 07:32  andy

	* Source/cmake.h: ERR: Run should return a value

2003-04-29 17:23  andy

	* Source/: CMakeLists.txt, CTest/CMakeLists.txt: ENH: Make Curl
	code to be built by default

2003-04-29 10:07  andy

	* Source/cmakemain.cxx: ENH: Add argument -N which prevents CMake
	from doing configure and generate. This should be improved at some
	point that it will do all the error checking such as whether the
	CMakeLists.txt exists etc. It should essentially load cache, go
	through cmake lists, but not modify cache and other files in the
	build directory. The second feature is ability to display cache
	values. You run with argument -L (or -LH /-LA / -LAH) and it will
	display all nonadvanced cached variables (-L) / all cached variable
	(-LA) / and cached variables with corresponding help string (-LH
	-LAH).

2003-04-29 10:04  andy

	* Source/: cmake.cxx, cmake.h: ENH: Add additional optional
	argument to Run. If it is true, it will only set paths and load
	cache. It will not do configure and gfenerate

2003-04-29 10:02  andy

	* Source/: cmCacheManager.cxx, cmCacheManager.h: ENH: Add method to
	convert from CacheEntryType to string

2003-04-28 21:08  andy

	* Source/CTest/Curl/: CMakeLists.txt,
	CMake/CheckSymbolExists.cmake: BUG: Need to use the new
	CheckSymbolExists because the one in CMake 1.6 can be broken

2003-04-28 13:16  martink

	* Source/cmMacroCommand.cxx: better error reporting

2003-04-25 15:16  andy

	* Source/: CTest/CMakeLists.txt, CMakeLists.txt: ENH: Enable CTest
	to be build as a part of CMake

2003-04-25 14:52  andy

	* Source/ctest.cxx: ENH: Rename option -D to -C because we will use
	-D later

2003-04-25 14:51  andy

	* Source/cmCommands.cxx: ERR: Set source files properties is needed
	for Curl build

2003-04-25 14:50  andy

	* Source/CTest/cmCTestSubmit.cxx: ERR: Remove warning because SCP
	not implemented

2003-04-25 14:49  andy

	* Source/CTest/Curl/CMakeLists.txt: ENH: Do not build tests by
	default

2003-04-24 13:25  berk

	* Source/: cmSystemTools.cxx, cmSystemTools.cxx: minor fix

2003-04-23 17:24  jjomier

	* Source/kwsys/Directory.hxx.in: FIX: warnings, disabling 4786

2003-04-23 13:58  martink

	* Source/CTest/CMakeLists.txt: fix some incldue paths

2003-04-22 16:10  king

	* Modules/FindCABLE.cmake: ENH: Updated search paths to newest
	values from Cable.

2003-04-22 14:32  andy

	* bootstrap: ENH: Add SGI -LANG:std support

2003-04-18 10:01  andy

	* Source/cmCTest.cxx: ENH: Cleanup

2003-04-18 10:00  andy

	* Source/cmCTest.cxx: Even better error detection on AIX

2003-04-18 09:48  andy

	* Source/cmCTest.cxx: Better AIX detection

2003-04-17 15:20  andy

	* Source/cmCTest.cxx: This is really an error

2003-04-17 13:13  andy

	* bootstrap: Support LDFLAGS

2003-04-17 13:13  andy

	* Source/cmCTest.cxx: ENH: Add AIX warerr

2003-04-17 11:59  martink

	* Source/cmLocalCodeWarriorGenerator.cxx: warning fix hopefully

2003-04-17 11:17  andy

	* DartConfig.cmake: More attempt to make continuous email work

2003-04-17 08:47  martink

	* Source/cmDynamicLoader.cxx: fix one warning

2003-04-17 08:23  andy

	* DartConfig.cmake: Attempt to enable sending of e-mails from
	continuous

2003-04-17 08:03  hoffman

	* Source/cmCommands.cxx: BUG: fix compile error on windows because
	of windows.h

2003-04-17 08:02  andy

	* CMakeLists.txt, bootstrap, configure, configure.in: BUG: Rename
	Bootstrap directory to Bootstrap.cmk, so that on platforms such as
	Windows and Mac OSX it will break during in-source build

2003-04-16 17:06  andy

	* DartConfig.cmake: ENH: cleanup

2003-04-16 16:20  martink

	* Source/cmDynamicLoader.cxx: fix one warning

2003-04-16 16:17  martink

	* Source/cmCommands.cxx: streamline bootstrap

2003-04-16 15:40  martink

	* Source/cmake.cxx: minor fix

2003-04-16 14:47  martink

	* Source/: CMakeLists.txt, cmLocalCodeWarriorGenerator.cxx,
	cmLocalCodeWarriorGenerator.h, cmake.cxx: add COdeWarrior back in
	for testing

2003-04-16 14:13  andy

	* Source/cmDynamicLoader.cxx: Attempt to make unloading work on OSX

2003-04-16 13:41  andy

	* Source/cmCTest.cxx: Fix update output

2003-04-16 13:33  hoffman

	* Tests/: LoadCommand/CMakeLists.txt,
	LoadCommandOneConfig/CMakeLists.txt: ENH: add a double try compile
	to fix crazy make on hp

2003-04-11 18:05  kentwilliams

	* Source/kwsys/SystemTools.cxx: took out an orphan endif

2003-04-11 16:22  kentwilliams

	* Source/kwsys/: SystemTools.hxx.in, SystemTools.cxx: remove
	redundant function and eliminate need for strcasecmp

2003-04-11 13:36  king

	* Source/kwsys/README.itk: ENH: Added documentation for ITK.

2003-04-11 07:27  lorensen

	* Source/kwsys/SystemTools.cxx: ERR: Borland fix for stricmp. ERR:
	removed itk dependencies.

2003-04-10 13:41  kentwilliams

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: Removed
	platform-specific functions from Code/IO/itkIOCommon, fixed code to
	use kwsys/SystemTools

2003-04-10 09:07  andy

	* Source/cmCTest.cxx: Do safe division instead of fixing result

2003-04-10 09:03  king

	* Source/kwsys/SystemTools.cxx: ERR: Removed unused parameter and
	truncated debug symbol warnings.

2003-04-09 08:08  andy

	* Source/cmCTest.cxx: Attempt to fix FIXNUM

2003-04-08 13:14  king

	* Source/kwsys/SystemTools.cxx: ERR: Fixed typo. 
	cmRegularExpression -> RegularExpression.

2003-04-08 13:10  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in, Directory.cxx,
	Directory.hxx.in, RegularExpression.cxx, RegularExpression.hxx.in,
	StandardIncludes.hxx.in, SystemTools.cxx, SystemTools.hxx.in: ENH:
	Added kwsys library for platform-independent system tools.

2003-04-08 10:57  andy

	* Source/: cmCTest.cxx, cmCTest.h: Remove nan and inf, use
	iostreams to set precision, fix file name, and remove bogus files

2003-04-08 07:16  andy

	* Source/cmCTest.cxx: Remove push_back on string. Why can't STL be
	standard?

2003-04-07 18:21  andy

	* Source/: cmCTest.cxx, cmCTest.h: Some cov improvements and better
	esc

2003-04-07 12:20  andy

	* Source/cmaketest.cxx: We should really just call make and not
	make all

2003-04-04 10:56  king

	* Source/cmSetCommand.h: ENH: Added CACHE entry types to
	documentation string.

2003-04-04 10:05  king

	* Modules/FindFLTK.cmake: ENH: Added /usr/local/lib/fltk

2003-04-03 18:40  andy

	* bootstrap: Better support for spaces in paths

2003-04-03 08:44  andy

	* Source/cmSystemTools.cxx: Try differentiating extensions

2003-04-02 22:48  king

	* Source/: cmake.cxx, cmake.h, cmakemain.cxx,
	CursesDialog/ccmake.cxx: ENH: Improved documentation.  Also
	modified behavior of "cmake" to not configure a project in the
	current directory unless . is given.

2003-04-02 22:44  king

	* Source/cmDocumentation.cxx: ENH: Running with zero arguments now
	produces usage.

2003-04-02 09:19  andy

	* Source/: cmCTest.cxx, cmCTest.h: Url escape password

2003-04-02 09:19  andy

	* Source/CTest/cmCTestSubmit.cxx: On verbose, be more verbose

2003-04-02 09:01  andy

	* Tests/Wrapping/qtwrappingmain.cxx: If display is not set, do not
	attempt to run application

2003-04-02 08:45  andy

	* Modules/FindQt.cmake: Add QT on debian

2003-04-01 15:31  andy

	* Source/cmCTest.cxx: Fix cov. problems, ignore nonascii char.
	Propagate verbosity

2003-04-01 15:30  andy

	* Source/CTest/: cmCTestSubmit.cxx, cmCTestSubmit.h: Controle
	verbosity

2003-04-01 13:29  king

	* Source/cmSystemTools.cxx: BUG: strlen(buffer) from getline may be
	2 less than gcount on windows because both the CR and LF characters
	may be removed.

2003-03-28 13:43  andy

	* Source/CTest/Curl/CMakeLists.txt: Stop using
	check_function_exists. Use check_symbol_exists

2003-03-28 13:42  andy

	* Modules/CheckSymbolExists.cmake: New design of CheckSymbolExists
	pretty much replaces all other ones.
	
	For example:
	
	CHECK_HEADER_EXISTS("type.h" HAVE_TYPE_H) is:
	CHECK_SYMBOL_EXISTS(main "type.h" HAVE_TYPE_H)
	
	CHECK_LIBRARY_EXISTS("nsl"    gethostname  HAVE_LIBNSL) would be
	SET(CMAKE_REQUIRED_LIBRARIES "nsl") CHECK_SYMBOL_EXISTS(gethostname
	"netdb.h" HAVE_LIBNSL)
	
	...

2003-03-28 13:35  andy

	* Source/CTest/Curl/strequal.c: Fix windows problem in curl

2003-03-27 15:52  andy

	* Source/: cmLocalVisualStudio6Generator.cxx, cmSystemTools.cxx,
	cmUseMangledMesaCommand.cxx: Remove warnings

2003-03-27 15:29  andy

	* bootstrap: Initial import of bootstrap for CMake

2003-03-27 13:03  hoffman

	* Modules/Platform/SunOS.cmake: Fix gnu c and Sun CC mix

2003-03-27 12:49  andy

	* CMakeLists.txt: Some more preparations for new bootstrap system

2003-03-27 12:24  andy

	* Source/: cmCacheManager.cxx, cmConfigureFileCommand.cxx,
	cmListFileCache.cxx, cmLocalVisualStudio6Generator.cxx,
	cmMakeDepend.cxx, cmOutputRequiredFilesCommand.cxx,
	cmSystemTools.cxx, cmSystemTools.h, cmUseMangledMesaCommand.cxx:
	Implement GetLineFromStream that actually works and use it instead
	of getline

2003-03-26 10:45  andy

	* Source/cmStandardIncludes.h, Tests/Complex/CMakeLists.txt,
	Tests/ComplexOneConfig/CMakeLists.txt,
	Tests/ComplexRelativePaths/CMakeLists.txt: Remove bogus flags from
	cmStandardIncludes and make complex test pass

2003-03-21 11:33  hoffman

	* Tests/: Complex/Executable/complex.cxx,
	ComplexOneConfig/Executable/complex.cxx,
	ComplexRelativePaths/Executable/complex.cxx: BUG: fix REMOVE test

2003-03-21 11:24  hoffman

	* Source/cmRemoveCommand.cxx: BUG: fix broken command

2003-03-20 11:27  andy

	* Source/cmCTest.cxx: Fix problem with network paths

2003-03-20 10:12  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Support cmake in
	directory with space

2003-03-20 09:47  andy

	* Source/cmCTest.cxx: BUG: used wrong counters

2003-03-19 18:28  andy

	* Source/cmCTest.cxx: More regex

2003-03-19 16:35  andy

	* Source/: cmCTest.cxx, cmCTest.h: Add start

2003-03-19 16:25  andy

	* Source/cmCTest.cxx: Move files to different location and fix time

2003-03-19 16:11  andy

	* Source/: cmCTest.cxx, cmCTest.h: Fix for visual studio

2003-03-19 10:16  king

	* Source/cmStringCommand.h: BUG: Command should be inherited.

2003-03-18 13:40  king

	* Source/CTest/Curl/: CMakeLists.txt, CMake/CurlTests.c: BUG: Fixed
	test for gethostbyname_r and gethostbyaddr_r for ansi support.

2003-03-18 11:47  king

	* Utilities/Release/: config_Linux, config_Linux: ENH: Updated to
	do release build on ringworld.	Needed for old glibc support.

2003-03-17 14:29  andy

	* Tests/Simple/: CMakeLists.txt, simple.cxx, simpleCLib.c,
	simpleWe.cpp: Improve test

2003-03-17 13:26  andy

	* Tests/Simple/: CMakeLists.txt, simpleCLib.c: Add testing for when
	C sources are compiled with C++ compiler

2003-03-17 11:21  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: If there was no error,
	do not say that there was one

2003-03-17 10:00  king

	* Modules/FindGTK.cmake: BUG: Fixed ENDIF ordering.

2003-03-17 09:57  king

	* Modules/CheckSymbolExists.cmake: BUG: Fixed syntax of file
	generated for test.

2003-03-17 09:29  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: BUG: fix crash with force cxx
	type

2003-03-17 09:15  hoffman

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: force cxx compiler for cxx files

2003-03-17 08:25  andy

	* Tests/SystemInformation/: CMakeLists.txt, DumpInformation.cxx,
	DumpInformation.h.in: Display Cache and all variables

2003-03-16 20:33  andy

	* Modules/CheckSymbolExists.cmake: Prevent CMake from putting ; in
	the file

2003-03-16 20:25  andy

	* Modules/FindGTK.cmake: More variables advanced

2003-03-16 20:23  andy

	* Modules/FindGTK.cmake: Add gthread library

2003-03-15 10:04  hoffman

	* Source/cmTarget.cxx: BUG: HasCXX did not use GetFileFormat and
	was broken

2003-03-14 15:44  hoffman

	* Modules/FindGTK.cmake: BUG: bad if statement order

2003-03-14 15:06  hoffman

	* Source/cmGlobalVisualStudio6Generator.cxx: better error message

2003-03-14 12:00  hoffman

	* Modules/Platform/Windows-cl.cmake: force c++ for c++ files

2003-03-14 12:00  hoffman

	* Source/cmLocalVisualStudio6Generator.cxx: use c flags with c and
	not cxx flags, also force c++ for c files

2003-03-14 11:59  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: Force c++ builds for
	c++ files

2003-03-14 11:58  hoffman

	* Source/cmMakefile.cxx: make sure M is after m

2003-03-14 10:54  king

	* Source/cmMakefile.cxx: BUG: c extension must come before C.

2003-03-14 10:38  king

	* Source/cmMakefile.cxx: BUG: c must precede C.

2003-03-13 16:31  king

	* Utilities/Release/config_Linux: Merging from 1.6 again.

2003-03-13 16:30  king

	* Utilities/Release/config_Linux: BUG: Need to link statically
	against curses.

2003-03-13 15:59  king

	* Utilities/Release/: cmake_release.sh, config_Linux: Merging from
	1.6 release branch.

2003-03-13 15:58  king

	* Utilities/Release/cmake_release.sh: BUG: Need to checkout
	ReleaseUtilities with same tag.

2003-03-13 15:47  king

	* Utilities/Release/: cmake_release.sh, cmake_release.sh: ENH:
	Updated for 1.6.6 release.

2003-03-13 15:46  king

	* Modules/Platform/: SunOS.cmake, SunOS.cmake: BUG: Don't use
	-nostdlib option to link shared libraries.  Just use gcc -shared,
	even for C++ libraries.

2003-03-13 13:28  king

	* Source/cmMakefile.cxx: BUG: Added missing cc extension for Source
	Files group.

2003-03-13 13:03  king

	* Source/cmMakefile.cxx: BUG: Don't duplicate SUBDIRS.

2003-03-13 13:01  king

	* Source/cmMakefile.cxx: ENH: Added header file extensions.

2003-03-13 12:59  martink

	* Source/cmMakefile.cxx: allow the same subdir to be added twice

2003-03-13 12:48  andy

	* Source/cmMakefile.cxx: Fix regular expressions

2003-03-13 12:24  andy

	* Source/: cmMakefile.cxx, cmSystemTools.cxx: Synchronize extension
	lists

2003-03-13 11:53  king

	* Source/CursesDialog/form/fld_attr.c: BUG: Fixed forms for HP.

2003-03-13 11:51  king

	* Modules/TestForSTDNamespace.cmake: BUG: Don't repeat test.

2003-03-13 11:49  king

	* Modules/CheckTypeSize.cmake: BUG: Don't test type size more than
	once.

2003-03-13 11:48  king

	* Source/cmSystemTools.cxx: BUG: FindLibrary should not accept a
	directory even if the exact specified name exists.

2003-03-13 11:46  king

	* Source/cmake.cxx: BUG: Fixed crash when
	CMAKE_BACKWARDS_COMPATIBILITY is deleted.

2003-03-13 11:34  king

	* Source/MFCDialog/CMakeSetup.rc: BUG: Fixed tab ordering in
	dialog.

2003-03-13 11:33  king

	* Source/: cmMakefile.h, WXDialog/CMakeLists.txt: ENH: Updated
	version for 1.6.6 release.

2003-03-13 11:31  king

	* Utilities/Release/config_Linux: ERR: Need to do shared libc link
	with static C++ library to have safe dl loading on linux.

2003-03-13 08:44  king

	* Source/cmSystemTools.cxx: BUG: FindLibrary should not accept a
	directory even if the exact specified name exists.

2003-03-11 17:35  hoffman

	* Modules/TestForSTDNamespace.cmake: BUG: fix test not to run every
	time

2003-03-11 15:25  hoffman

	* Source/cmDynamicLoader.cxx, Source/CTest/CMakeLists.txt,
	Source/CursesDialog/form/fld_attr.c,
	Tests/LoadCommand/CMakeLists.txt,
	Tests/LoadCommandOneConfig/CMakeLists.txt: BUG: fixes for hp

2003-03-09 18:16  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: Remove warnings

2003-03-07 15:30  andy

	* Source/cmCTest.cxx: More XML

2003-03-07 11:53  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: Remove warning

2003-03-07 11:45  andy

	* Source/cmCTest.cxx: Fix xml

2003-03-07 11:27  andy

	* Source/CursesDialog/: cmCursesMainForm.cxx, cmCursesMainForm.h:
	Add searching of variables

2003-03-06 15:32  andy

	* Modules/Dart.cmake: On borland and cygwin remove .EXE

2003-03-06 12:31  andy

	* Source/cmGetCMakePropertyCommand.cxx: Remove warning

2003-03-06 11:20  andy

	* Source/cmCommands.cxx, Source/cmGetCMakePropertyCommand.cxx,
	Source/cmGetCMakePropertyCommand.h,
	Tests/SystemInformation/CMakeLists.txt: Add command for accessing
	cmake properties. At this point the only properties are VARIABLES
	and CACHE_VARIABLES. Also add test for this feature

2003-03-06 11:19  andy

	* Source/: cmMakefile.cxx, cmMakefile.h: Add method which returns a
	list of all variables

2003-03-06 11:18  andy

	* Source/cmCacheManager.h: Cache manager should be able to take no
	arguments

2003-03-06 10:32  king

	* Modules/CheckTypeSize.cmake: BUG: Should test HAVE_<VARIABLE>
	before repeating test, not just whether <VARIABLE> is set.

2003-03-05 17:08  andy

	* Source/cmCTest.cxx: oops... Forgot the main step

2003-03-03 13:58  andy

	* Modules/Dart.cmake: Add Update and configure steps where missing

2003-03-03 13:57  andy

	* Source/cmCTest.cxx: Fix typo

2003-03-03 09:32  andy

	* Modules/Dart.cmake: Start cleaning global namespace

2003-03-03 09:29  andy

	* CMakeLists.txt: BUG: Should be use the host CMake's dart file

2003-02-28 13:00  andy

	* Source/cmCTest.cxx: Ifdef code that is missing

2003-02-28 12:42  andy

	* Modules/CheckSymbolExists.cmake, Source/cmCTest.cxx: Fix update
	date and cleanup

2003-02-28 11:31  andy

	* Source/cmCTest.cxx: Add configure step

2003-02-27 14:48  andy

	* Modules/Dart.cmake: On windows but not on borland, look at
	cmake_build_tool instead of compiler to determine build name.
	Otherwise they will all be cl

2003-02-27 11:54  andy

	* Modules/Dart.cmake: Use more condense buildname. If this works
	fine we can make cmBuildName command deprecated

2003-02-27 10:53  king

	* Source/WXDialog/cmWXMainFrame.cxx: Remove warning about shadowing
	variable (merging andy's change to head)

2003-02-25 12:36  andy

	* Source/WXDialog/cmWXMainFrame.cxx: Remove warning about shadowing
	variable

2003-02-24 11:02  king

	* Source/cmake.cxx: BUG: Fixed crash when
	CMAKE_BACKWARDS_COMPATIBILITY is deleted between configures.

2003-02-21 15:52  king

	* Source/MFCDialog/CMakeSetup.rc: BUG: Fixed tab ordering of gui
	components.

2003-02-20 17:38  andy

	* Modules/Dart.cmake: Use simple defaults if DartConfig does not
	exist. This way you can use dart to build any project

2003-02-20 10:46  king

	* Modules/CMakeVS6FindMake.cmake: BUG: Fix registry entry name.

2003-02-20 10:44  hoffman

	* Modules/CMakeVS6FindMake.cmake: BUG: look for msdev in the right
	place

2003-02-20 09:40  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp: better default generator
	choice

2003-02-20 09:40  king

	* Utilities/Release/cmake_release.sh: ENH: Updated for 1.6.5
	release.

2003-02-20 08:55  king

	* Source/cmLocalUnixMakefileGenerator.cxx: fix for correct path
	style in depend file

2003-02-20 08:52  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: fix for correct path
	style in depend file

2003-02-20 08:47  king

	* Modules/TestForANSIForScope.cmake: BUG: Don't test every time for
	"for" scope.

2003-02-20 08:42  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Fix problem with
	lib in the name of library. If there was lib in the name of
	library, then on Windows (where there is not lib prefix), cmake
	split the name wrongly. This only manifested when full path to the
	library is specified.

2003-02-20 08:41  hoffman

	* Modules/TestForANSIForScope.cmake: remove commented code

2003-02-20 08:38  king

	* Modules/CheckSymbolExists.cmake: BUG: Fixed return 0 through void
	type.

2003-02-20 08:37  king

	* Modules/: CMakeDetermineCCompiler.cmake,
	CMakeDetermineCXXCompiler.cmake: ENH: Removed creation of extra
	CMAKE_C_COMPILER_FULLPATH and CMAKE_CXX_COMPILER_FULLPATH cache
	entries.

2003-02-20 08:34  king

	* Source/cmGlobalVisualStudio7Generator.cxx: BUG: Added missing
	paren to generated file.

2003-02-20 08:32  king

	* Source/cmaketest.cxx: BUG: Fix lower-casing of compiler for
	win98.

2003-02-20 08:30  king

	* Source/cmMakefile.h, Source/WXDialog/CMakeLists.txt,
	Utilities/Release/cmake_release.sh: ENH: Updated for version 1.6.5.

2003-02-20 08:28  king

	* Source/cmFindPackageCommand.h: BUG: This command must be
	inherited.

2003-02-20 08:23  king

	* Modules/FindFLTK.cmake: BUG: Removed reference to CMake 1.4
	compatability variable.

2003-02-20 07:55  king

	* Source/cmDumpDocumentation.cxx: ERR: Added missing return.

2003-02-19 17:37  king

	* Source/CMakeLists.txt: ENH: Using new --all-for-coverage of
	DumpDocumentation to improve coverage.

2003-02-19 17:36  king

	* Source/cmDumpDocumentation.cxx: ENH: Added option to dump all
	documentation (coverage).

2003-02-19 17:10  king

	* Modules/FindFLTK.cmake: BUG: Removed use of cmake 1.4
	compatability variable.

2003-02-19 12:54  andy

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: Fix problem with
	lib in the name of library. If there was lib in the name of
	library, then on Windows (where there is not lib prefix), cmake
	split the name wrongly. This only manifested when full path to the
	library is specified.

2003-02-19 08:52  king

	* Source/cmDocumentation.cxx: ERR: Fixed signed/unsigned warning.

2003-02-18 20:54  king

	* Source/cmDumpDocumentation.cxx: ENH: Updated to use
	cmDocumentation class.

2003-02-18 20:42  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h, cmakemain.cxx,
	CursesDialog/ccmake.cxx: ENH: Re-implemented document generation
	class to be more organized and more robust.

2003-02-18 20:40  king

	* Source/cmAddCustomCommandCommand.h: Fix to documentation
	formatting: removed extra newline.

2003-02-18 16:24  hoffman

	* Source/cmGlobalVisualStudio7Generator.cxx: ENH: fix for vs 7
	beta1

2003-02-17 15:47  king

	* Source/cmFindPackageCommand.h: BUG: This command must be
	inherited.

2003-02-17 10:30  andy

	* Modules/CheckSymbolExists.cmake: Fix return value problem

2003-02-17 09:59  andy

	* Source/CursesDialog/cmCursesStringWidget.cxx: Attempt to fix SGI
	ccmake problem (thank you Clint Miller)

2003-02-17 09:56  andy

	* Source/cmDocumentation.cxx: Minor documentation fixes

2003-02-17 09:42  king

	* Source/cmakemain.cxx: ENH: Added executable-specific command-line
	options.

2003-02-17 09:42  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Added
	header before list of commands in generated docs.  Made options
	more intuitive.

2003-02-16 11:57  king

	* Source/cmDocumentation.cxx: ERR: Use of stream format flags is
	hard to make portable.	Manually implementing justification.

2003-02-15 22:36  king

	* Source/cmDocumentation.cxx: ERR: Use of std::ios::fmtflags is not
	portable to older compilers.

2003-02-14 18:47  king

	* Source/: cmAbstractFilesCommand.h, cmAddCustomCommandCommand.h,
	cmAddCustomTargetCommand.h, cmAddDefinitionsCommand.h,
	cmAddDependenciesCommand.h, cmAddExecutableCommand.h,
	cmAddLibraryCommand.h, cmAddTestCommand.h,
	cmAuxSourceDirectoryCommand.h, cmBuildCommand.h,
	cmBuildNameCommand.h, cmConfigureFileCommand.h,
	cmCreateTestSourceList.h, cmElseCommand.h,
	cmEnableTestingCommand.h, cmEndForEachCommand.h, cmEndIfCommand.h,
	cmExecProgramCommand.h, cmExportLibraryDependencies.h,
	cmFLTKWrapUICommand.h, cmFindFileCommand.h, cmFindLibraryCommand.h,
	cmFindPackageCommand.h, cmFindPathCommand.h,
	cmFindProgramCommand.h, cmForEachCommand.h,
	cmGetFilenameComponentCommand.h, cmGetSourceFilePropertyCommand.h,
	cmGetTargetPropertyCommand.h, cmITKWrapTclCommand.h, cmIfCommand.h,
	cmIncludeCommand.h, cmIncludeDirectoryCommand.h,
	cmIncludeExternalMSProjectCommand.h,
	cmIncludeRegularExpressionCommand.h, cmInstallFilesCommand.h,
	cmInstallProgramsCommand.h, cmInstallTargetsCommand.h,
	cmLinkDirectoriesCommand.h, cmLinkLibrariesCommand.h,
	cmLoadCacheCommand.h, cmLoadCommandCommand.h, cmMacroCommand.h,
	cmMakeDirectoryCommand.h, cmMarkAsAdvancedCommand.h,
	cmMessageCommand.h, cmOptionCommand.h,
	cmOutputRequiredFilesCommand.h, cmProjectCommand.h,
	cmQTWrapCPPCommand.h, cmQTWrapUICommand.h, cmRemoveCommand.h,
	cmSeparateArgumentsCommand.h, cmSetCommand.h,
	cmSetSourceFilesPropertiesCommand.h,
	cmSetTargetPropertiesCommand.h, cmSiteNameCommand.h,
	cmSourceFilesCommand.h, cmSourceFilesRemoveCommand.h,
	cmSourceGroupCommand.h, cmStringCommand.h, cmSubdirCommand.h,
	cmSubdirDependsCommand.h, cmTargetLinkLibrariesCommand.h,
	cmTryCompileCommand.h, cmTryRunCommand.h,
	cmUseMangledMesaCommand.h, cmUtilitySourceCommand.h,
	cmVTKMakeInstantiatorCommand.h, cmVTKWrapJavaCommand.h,
	cmVTKWrapPythonCommand.h, cmVTKWrapTclCommand.h,
	cmVariableRequiresCommand.h, cmWrapExcludeFilesCommand.h,
	cmWriteFileCommand.h: ENH: Cleaned up documentation and formatted
	it for use by cmDocumentation.

2003-02-14 16:16  king

	* Source/cmDocumentation.cxx: ENH: Improved formatting of
	plain-text help to add a blank line before the beginning of a
	preformatted section.

2003-02-14 13:28  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Further
	improved formatting.  HTML/man/help now all have a consistent
	appearance.

2003-02-14 13:06  king

	* Source/: cmDocumentation.cxx, cmDocumentation.h: ENH: Improved
	formatting of documentation.

2003-02-14 11:13  martink

	* Source/cmaketest.cxx: Lowercase has a bad signiture, so I have to
	live with it

2003-02-14 10:56  king

	* Source/cmSystemTools.cxx: ERR: Added missing include for msvc.

2003-02-14 10:53  king

	* Source/: CMakeLists.txt, Makefile.in, cmDocumentation.cxx,
	cmDocumentation.h, cmStandardIncludes.h, cmSystemTools.cxx,
	cmSystemTools.h, cmake.cxx, cmake.h, cmakemain.cxx,
	CursesDialog/ccmake.cxx: ENH: Added cmDocumentation class to
	generate various forms of documentation.  Each executable will be
	able to generate its own documentation.

2003-02-14 10:40  hoffman

	* Modules/: CMakeDetermineCCompiler.cmake,
	CMakeDetermineCXXCompiler.cmake: ENH: move full path compiler to
	internal and not just advanced

2003-02-14 09:54  hoffman

	* Modules/TestForANSIForScope.cmake, Source/cmCacheManager.cxx,
	Source/cmConfigureFileCommand.cxx, Source/cmConfigureFileCommand.h,
	Source/cmIncludeCommand.h, Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmMakefile.h, Source/cmMarkAsAdvancedCommand.h,
	Source/cmUseMangledMesaCommand.cxx,
	Source/cmVariableRequiresCommand.cxx,
	Source/cmVariableRequiresCommand.h: spelling errors

2003-02-14 09:25  hoffman

	* CMake.rtf: fix spelling errors

2003-02-13 21:57  king

	* CMakeLists.txt, configure, configure.in, Source/CMakeLists.txt,
	Source/cmConfigure.cmake.h.in, Source/cmConfigure.h.in,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmStandardIncludes.h, Source/WXDialog/CMakeLists.txt: ENH:
	Centralized setting of CMake version number to top-level CMake
	listfile.

2003-02-13 12:03  king

	* Utilities/Release/cmake_release.sh: ENH: Merged updates for 1.6.4
	release.

2003-02-13 11:57  king

	* Modules/FindJNI.cmake: BUG: Fix find of JNI on Mac OSX 10.2.

2003-02-13 11:54  king

	* Source/cmMakefile.h, Source/WXDialog/CMakeLists.txt,
	Utilities/Release/cmake_release.sh: ENH: Updated for 1.6.4 release.

2003-02-13 11:52  king

	* Modules/UseVTKConfig40.cmake: BUG: Copy of _LIB_DEPENDS variables
	needs to be double-quoted.

2003-02-13 11:50  king

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix for spaces in
	paths in library path

2003-02-13 11:47  king

	* Source/cmFindLibraryCommand.cxx: BUG: Use
	cmSystemTools::IsNOTFOUND.

2003-02-12 13:43  andy

	* Source/: cmCTest.cxx, cmakemain.cxx: Try to fix update

2003-02-12 09:26  andy

	* Source/cmCTest.cxx: Write individual too

2003-02-11 14:49  andy

	* Modules/FindJNI.cmake: Ok, now it finds JNI on Mac OSX 10.2

2003-02-11 13:56  andy

	* Modules/FindJNI.cmake: Fix typo

2003-02-11 13:53  andy

	* Modules/FindJNI.cmake: Add missing location

2003-02-11 13:37  andy

	* Modules/FindJNI.cmake: Improve searching for java files on OSX

2003-02-11 13:34  andy

	* Source/cmSetTargetPropertiesCommand.h: Fix comment

2003-02-11 09:50  king

	* Modules/: FindMangledMesa.cmake, FindOSMesa.cmake: Moving this
	very specific module to VTK.

2003-02-11 09:19  andy

	* Source/: cmCTest.cxx, cmCTest.h: Fix cont and remove comments

2003-02-10 23:19  andy

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: Start working on cont

2003-02-10 22:00  hoffman

	* Tests/TryCompile/CMakeLists.txt: ENH: add more testing for ansi
	for scopes

2003-02-10 21:56  hoffman

	* Modules/TestForANSIForScope.cmake:  clean up check for for scope
	test

2003-02-10 21:52  andy

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx: Fix date issues with
	different models

2003-02-10 16:20  hoffman

	* Source/CMakeLists.txt, Tests/TryCompile/CMakeLists.txt: ENH: add
	a new test for TRY_COMPILE

2003-02-10 13:19  hoffman

	* Tests/TryCompile/: CMakeLists.txt, fail.c, pass.c: ENH: add a new
	test to test try compile

2003-02-10 11:08  king

	* Source/cmLocalUnixMakefileGenerator.cxx: ENH: Running "make test"
	can now have ARGS specified on the command line.  These ARGS are
	passed to ctest.

2003-02-09 16:11  king

	* Utilities/Release/cmake_release.sh: ERR: Removed extra &&.

2003-02-08 10:24  hoffman

	* Source/: cmSystemTools.cxx, cmSystemTools.h: Fix for include
	optional

2003-02-08 10:23  hoffman

	* Source/cmLocalUnixMakefileGenerator.cxx: BUG: fix for spaces in
	paths in library path

2003-02-07 16:29  king

	* Modules/UseVTKConfig40.cmake: BUG: Copying _LIB_DEPENDS variables
	requires double-quoted argument.

2003-02-07 14:04  king

	* Source/: cmGetFilenameComponentCommand.cxx,
	cmGetFilenameComponentCommand.h, cmLocalUnixMakefileGenerator.cxx,
	cmLocalVisualStudio6Generator.cxx, cmLocalVisualStudio6Generator.h,
	cmLocalVisualStudio7Generator.cxx, cmLocalVisualStudio7Generator.h,
	cmMakefile.cxx, cmSetSourceFilesPropertiesCommand.h,
	cmSetTargetPropertiesCommand.h, cmSystemTools.cxx, cmSystemTools.h:
	Several fixes/improvements:
	
	  - Fixed CollapseFullPath to work on relative paths with base
	paths
	    not in the current working directory.
	  - INCLUDE command now supports relative paths (using above fix).
	  - Added ABSOLUTE option to GET_FILENAME_COMPONENT command to
	    unwind symlinks and relative paths.
	  - Fixed libName_EXPORTS macro definition to be valid C
	identifier.
	  - Added DEFINE_SYMBOL target propterty for customizing the export
	symbol.
	  - Implemented LINK_FLAGS target propterty for libraries in VC6
	and VC7.
	
	Several of these fixes were contributed by Gareth Jones.

2003-02-07 11:47  hoffman

	* Source/CTest/CMakeLists.txt: Remove warnings on AIX

2003-02-07 11:03  andy

	* Source/CTest/cmCTestSubmit.cxx: Do not reuse connection as that
	feature seems to be broken

2003-02-07 11:03  andy

	* Source/cmCTest.cxx: Fix update return status

2003-02-07 10:34  hoffman

	* Source/cmSystemTools.cxx: ENH: spelling error fix

2003-02-07 10:18  hoffman

	* Source/cmFindLibraryCommand.cxx: BUG: use IsNOTFOUND

2003-02-07 10:05  king

	* Utilities/Release/cmake_release.sh: ERR: Removed stray && from
	end of line.

2003-02-07 00:09  andy

	* Source/: cmCTest.cxx, cmCTest.h: Add updating support

2003-02-06 17:48  hoffman

	* CMakeLists.txt: tell the aix linker not to give warnings with
	-bhalt:5

2003-02-06 15:18  martink

	* Source/: cmLocalVisualStudio6Generator.cxx,
	cmLocalVisualStudio7Generator.cxx: added option to shut off
	automatic rebuilding

2003-02-06 10:49  king

	* Source/CMakeLists.txt: ENH: Comeau C++ has been added for nightly
	testing.  It does not support shared libraries, so we cannot run
	the complex tests.

2003-02-06 08:45  king

	* Source/WXDialog/CMakeLists.txt: BUG: We want AppleInfo.plist from
	our source tree, not the version of CMake running the build.

2003-02-05 22:26  hoffman

	* Source/: cmSystemTools.cxx, cmSystemTools.h,
	cmTryCompileCommand.cxx:  add better testing for unlink

2003-02-05 18:05  king

	* Source/cmCreateTestSourceList.cxx: BUG: Generate 0 into test
	driver instead of NULL.

2003-02-05 17:52  king

	* Source/CTest/Curl/CMake/CurlTests.c: BUG: Don't include prototype
	in test for gethostbyname_r.

2003-02-05 16:56  king

	* Utilities/Release/cmake_release.sh: ENH: Added win32_zipfile and
	win32_upload commands.

2003-02-05 16:53  king

	* Utilities/Release/cmake_release.sh: ENH: Added win32_zipfile and
	win32_upload commands.

2003-02-05 16:17  king

	* Source/WXDialog/CMakeLists.txt: BUG: AppleInfo.plist should come
	from build tree.

2003-02-05 15:14  king

	* Utilities/Release/cmake_release.sh: BUG: Updated release tag for
	1.6.3.

2003-02-05 15:07  king

	* Source/cmMakefile.h, Source/WXDialog/CMakeLists.txt,
	Utilities/Release/cmake_release.sh: ENH: Updated to version 1.6.3.

2003-02-05 15:05  king

	* Modules/CMakeSystemSpecificInformation.cmake: ENH:
	CMAKE_INSTALL_PREFIX should not be advanced on UNIX.

2003-02-05 15:02  king

	* Modules/Platform/HP-UX.cmake: BUG: Optimization flags use +
	prefix, not -.

2003-02-05 15:01  king

	* Source/CursesDialog/cmCursesLongMessageForm.cxx: BUG: Fixed crash
	when messages are too long.

2003-02-05 15:00  king

	* Source/MFCDialog/PropertyList.cpp: BUG: Fixed GUI for new
	NOTFOUND checks.

2003-02-05 14:58  king

	* Source/cmGlobalGenerator.cxx: BUG: Bug in NOTFOUND error
	reporting logic.

2003-02-05 14:55  hoffman

	* Modules/Platform/HP-UX.cmake: fix default release flags for hp

2003-02-05 14:55  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h: ENH: Better error
	checking for cache iterator.

2003-02-05 13:24  hoffman

	* Source/MFCDialog/PropertyList.cpp: ENH: add a check for -NOTFOUND

2003-02-04 15:37  hoffman

	* Modules/CMakeSystemSpecificInformation.cmake: move cmake install
	out of advanced

2003-02-04 15:37  hoffman

	* Source/cmGlobalGenerator.cxx: BUG: add better testing for
	notfound

2003-02-04 14:37  berk

	* Modules/: FindMangledMesa.cmake, FindOSMesa.cmake: Created
	modules for Mesa headers and libraries.

2003-02-04 14:31  hoffman

	* Source/CursesDialog/cmCursesLongMessageForm.cxx: BUG: don't let
	the messages get too big

2003-02-04 14:01  martink

	* Source/: cmCacheManager.h, cmCacheManager.cxx: safer operation of
	iterators

2003-02-04 09:50  andy

	* Source/cmVTKWrapJavaCommand.cxx: Oops, std namespace

2003-02-04 09:48  andy

	* Source/cmVTKWrapJavaCommand.cxx: Generate java dependency files

2003-02-03 23:08  king

	* Utilities/Release/: cmake_release.sh, cmake_release.sh: ENH:
	Improved robustness of remote invocation.  Added more
	documentation.

2003-02-03 22:46  king

	* Utilities/Release/: cmake_release.sh, cmake_release.sh: ENH:
	Added documentation and usage.

2003-02-03 13:31  hoffman

	* Tests/: Complex/CMakeLists.txt, ComplexOneConfig/CMakeLists.txt,
	ComplexRelativePaths/CMakeLists.txt: ENH: add a better test for lib
	deps

2003-02-03 12:02  king

	* Utilities/Release/cmake_release.sh: ENH: Updated version to
	1.6.2.

2003-02-03 12:01  king

	* Source/: cmFindFileCommand.cxx, cmFindFileCommand.h,
	cmFindLibraryCommand.cxx, cmFindPackageCommand.cxx,
	cmFindPathCommand.cxx, cmFindProgramCommand.cxx,
	cmFindProgramCommand.h, cmGetFilenameComponentCommand.cxx,
	cmGlobalGenerator.cxx, cmITKWrapTclCommand.cxx, cmSourceFile.cxx,
	cmSystemTools.cxx, cmSystemTools.h: ENH: Added new NOTFOUND
	notification feature.

2003-02-03 11:50  king

	* Source/: cmMakefile.h, WXDialog/CMakeLists.txt: ENH: Updated from
	version 1.6.1 to 1.6.2.

2003-02-03 11:49  king

	* Source/cmExportLibraryDependencies.cxx: BUG: Removed generation
	of stray paren.

2003-02-03 09:53  king

	* Source/cmExportLibraryDependencies.cxx: BUG: Removed generation
	of stray paren.

2003-02-02 22:32  king

	* Source/CursesDialog/cmCursesStandardIncludes.h: ENH: Cleaned up
	sgi unreferenced warning hack.

2003-02-02 11:45  hoffman

	* Source/cmGlobalGenerator.cxx: fix warning

2003-02-01 16:39  hoffman

	* Source/cmMakefile.cxx: ENH: fix warning

2003-02-01 16:39  hoffman

	* Source/cmAddLibraryCommand.h: ENH: fix doc line

2003-02-01 16:27  hoffman

	* Source/CursesDialog/cmCursesStandardIncludes.h: BUG: add missing
	;

2003-01-31 15:01  hoffman

	* Modules/FindOpenGL.cmake: ENH: add checking for NOTFOUND

2003-01-31 14:39  hoffman

	* Modules/FindOpenGL.cmake, Source/cmGlobalGenerator.cxx: ENH: add
	checking for NOTFOUND

2003-01-31 13:50  hoffman

	* Source/: cmFindFileCommand.cxx, cmFindFileCommand.h,
	cmFindLibraryCommand.cxx, cmFindPackageCommand.cxx,
	cmFindPathCommand.cxx, cmFindProgramCommand.cxx,
	cmFindProgramCommand.h, cmGetFilenameComponentCommand.cxx,
	cmGlobalGenerator.cxx, cmITKWrapTclCommand.cxx,
	cmIncludeDirectoryCommand.cxx, cmLinkLibrariesCommand.cxx,
	cmMakefile.cxx, cmSourceFile.cxx, cmSystemTools.cxx,
	cmSystemTools.h, cmTargetLinkLibrariesCommand.cxx: ENH: add
	checking for NOTFOUND

2003-01-31 13:24  king

	* Source/cmMakefile.h, Source/WXDialog/CMakeLists.txt,
	Utilities/Release/cmake_release.sh: ENH: Updated to version 1.6.1
	from 1.6.0.

2003-01-31 13:18  king

	* Source/cmWin32ProcessExecution.cxx: Merge from HEAD.	Use process
	output for error reporting instead of stdout.

2003-01-31 13:04  king

	* Modules/FindLATEX.cmake: ENH: Changes to work on windows.  Merged
	from HEAD.

2003-01-31 11:52  king

	* Modules/FindFLTK.cmake: BUG: Need FIND_PROGRAM instead of
	FIND_FILE to find fluid.exe.

2003-01-31 11:49  king

	* Modules/FindPerl.cmake: ENH: Added ActivePerl/804 as a search
	path.

2003-01-31 11:44  king

	* Modules/CMakeSystemSpecificInformation.cmake: ERR: Removed stray
	double quote.

2003-01-31 11:41  king

	* Utilities/Release/cmake_release.sh: ENH: Another merge from
	branch 1.6.

2003-01-31 11:40  king

	* Modules/FindX11.cmake: BUG: Fix for cygwin's X11.

2003-01-31 11:36  king

	* Source/cmakewizard.cxx: ENH: cmake -i on HP needs printf instead
	of cout.

2003-01-31 11:35  king

	* Source/: CMakeLists.txt, CMakeLists.txt: BUG: Change install
	location of cmCPluginAPI header.

2003-01-31 08:47  martink

	* Source/CursesDialog/cmCursesStandardIncludes.h: fixed warnings

2003-01-30 14:34  andy

	* Source/: cmIncludeDirectoryCommand.cxx,
	cmLinkLibrariesCommand.cxx, cmTargetLinkLibrariesCommand.cxx: Add
	some error checking for missing include directories and link
	libraries

2003-01-30 14:34  andy

	* Modules/CMakeSystemSpecificInformation.cmake: Remove extra quote

2003-01-30 13:19  hoffman

	* Source/cmakewizard.cxx: BUG: can not mix cout and fgets on hp

2003-01-30 11:50  king

	* Source/CursesDialog/cmCursesStandardIncludes.h: ERR: Fixing
	attempt to remove warnings.

2003-01-29 14:20  king

	* Source/CursesDialog/cmCursesStandardIncludes.h: ERR: Another
	attempt to get rid of unreferenced inline function warnings on SGI.

2003-01-29 13:56  king

	* Utilities/Release/cmake_release.sh: ENH: Use * instead of
	directory list for installation tarball.

2003-01-29 13:46  king

	* Utilities/Release/cmake_release.sh: BUG: Need to include the
	include directory from the installation.

2003-01-29 09:06  andy

	* Modules/FindX11.cmake: Attempt to fix build problem on some
	platforms

2003-01-28 15:48  hoffman

	* Source/cmFindFileCommand.h: ENH: better docs

2003-01-28 15:44  hoffman

	* Modules/: FindFLTK.cmake, FindQt.cmake: ENH: change FIND_FILE to
	FIND_PROGRAM

2003-01-28 08:53  andy

	* Modules/FindLATEX.cmake: Make things work on unix and add DVIPDF

2003-01-27 12:25  andy

	* Source/cmWin32ProcessExecution.cxx: Fix output variable and
	remove this->m_ to be only m_

2003-01-27 12:18  andy

	* Source/cmWin32ProcessExecution.cxx: Move errors to output
	variable

2003-01-24 17:40  king

	* Utilities/Release/cygwin-package.sh.in: ENH: Merged more changes
	from 1.6 branch.

2003-01-24 17:34  king

	* Utilities/Release/cygwin-package.sh.in: ENH: Added testing to
	packaging script.

2003-01-24 15:48  king

	* Utilities/Release/cmake_release.sh: ENH: Merged more changes from
	1.6 branch.

2003-01-24 15:02  king

	* Utilities/Release/cmake_release.sh: ENH: Added cygwin_upload
	function.

2003-01-24 14:40  king

	* Utilities/Release/: cmake_release.sh, config_AIX, config_Darwin,
	config_IRIX64, config_Linux, config_OSF1, config_SunOS: ENH: Merged
	1.6-branch changes to release scripts.

2003-01-24 14:29  king

	* Utilities/Release/: config_AIX, config_Darwin, config_IRIX64,
	config_Linux, config_OSF1, config_SunOS: ENH: Use verbose makefile
	during release build.

2003-01-24 13:55  king

	* Utilities/Release/cmake_release.sh: ENH: Updated checkout
	revision to Release-1-6-0 tag.

2003-01-24 13:53  king

	* Modules/Platform/: HP-UX.cmake, HP-UX.cmake: BUG: Added missing
	link flag to export symbols from an executable.

2003-01-24 11:50  king

	* Source/WXDialog/CMakeLists.txt: ENH: Updated for cmake 1.6.0
	release.

2003-01-24 11:49  king

	* Utilities/Release/cmake_release.sh: ENH: Updated for 1.6.0
	release over 1.6.beta2.

2003-01-24 11:45  king

	* Utilities/: cmake_release_config_darwin,
	cmake_release_config_hpux, cmake_release_config_irix,
	cmake_release_config_linux, cmake_release_config_osf,
	cmake_release_config_sun, cmake_release_cygwin.sh,
	cmake_release_unix_config.sh, cmake_release_version.sh: ENH:
	Removing old release scripts.  CMake 1.6 now has its own copy of
	the release scripts.

2003-01-24 11:45  king

	* Utilities/: cmake-cygwin-package.sh, cmake_release_unix_build.sh,
	cmake_release_unix_package.sh, Release/cmake_release.sh,
	Release/config_AIX, Release/config_CYGWIN_NT-5.1,
	Release/config_Darwin, Release/config_HP-UX, Release/config_IRIX64,
	Release/config_Linux, Release/config_OSF1, Release/config_SunOS,
	Release/cygwin-package.sh.in: ENH: Release branch should contain
	its own release scripts.

2003-01-24 11:41  king

	* Utilities/Release/: cmake_release.sh, config_AIX, config_Darwin,
	config_HP-UX, config_Linux, config_OSF1, config_SunOS: ENH: Enabled
	testing during release build.

2003-01-24 10:33  king

	* Source/CursesDialog/cmCursesStandardIncludes.h: ERR: Fixed
	unreferenced termios declaration warning.

2003-01-23 10:42  barre

	* Modules/FindLATEX.cmake: no message

2003-01-23 10:37  barre

	* Modules/FindLATEX.cmake: FIX: - rename some entries (COMPILE ->
	COMPILER, and the converters -> _CONVERTER) - make sure that Window
	system are given a chance to find Latex and the converters if
	MikTex and GhostScript are installed (but not in the PATH)

2003-01-23 10:36  barre

	* Modules/FindPerl.cmake: FIX: the current version of Perl is 5.8

2003-01-23 10:35  barre

	* Source/cmGetFilenameComponentCommand.cxx: FIX: this command was
	not processing	its arg to expand registery values

2003-01-22 15:00  martink

	* Modules/Platform/gcc.cmake: joins from the main tree

2003-01-22 14:59  martink

	* Modules/Platform/gcc.cmake: minor change to default compile flags

2003-01-22 14:49  martink

	* Modules/: FindMPEG2.cmake, FindSDL.cmake: merge from branch

2003-01-22 14:33  hoffman

	* Source/cmGlobalGenerator.h: ENH: merge from branch

2003-01-22 14:21  hoffman

	* Tests/X11/CMakeLists.txt: ENH: merge from head

2003-01-22 14:20  hoffman

	* Utilities/Doxygen/doc_makeall.sh.in: merge from main tree

2003-01-22 14:20  hoffman

	* Source/cmGlobalGenerator.cxx: merge from main tree, test for
	working c and c++ compilers

2003-01-22 14:17  hoffman

	* Templates/: cconfigure, cconfigure.in, cxxconfigure,
	cxxconfigure.in: merge with main branch and remove unused scripts

2003-01-22 14:13  hoffman

	* Modules/FindAndImportCMakeProject.cmake: moved to c++ command

2003-01-22 12:38  martink

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	joins from the main tree

2003-01-22 12:31  martink

	* Source/: cmCommands.cxx, cmFindPathCommand.cxx,
	cmGlobalUnixMakefileGenerator.cxx,
	cmGlobalVisualStudio6Generator.cxx, cmMakefile.cxx, cmMakefile.h,
	cmake.cxx: joins from the main tree

2003-01-22 12:29  hoffman

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	ENH: only run test for working c and cxx compiler once

2003-01-22 12:28  martink

	* Modules/CMakeDetermineCCompiler.cmake,
	Modules/CMakeDetermineCXXCompiler.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake,
	Modules/CheckIncludeFiles.cmake, Modules/FindFLTK.cmake,
	Modules/FindImageMagick.cmake, Modules/FindTclsh.cmake,
	Modules/FindVTK.cmake, Modules/FindX11.cmake,
	Modules/Platform/CYGWIN.cmake, Source/cmMessageCommand.cxx,
	Source/cmMessageCommand.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/CursesDialog/ccmake.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/cmExportLibraryDependencies.cxx,
	Source/cmExportLibraryDependencies.h,
	Source/cmFindPackageCommand.cxx, Source/cmFindPackageCommand.h:
	joins from the main tree

2003-01-22 11:44  martink

	* Source/cmLocalVisualStudio6Generator.cxx: fixed spelling mistake

2003-01-22 11:27  martink

	* Source/CursesDialog/ccmake.cxx: spelling fix

2003-01-22 11:21  martink

	* Modules/FindOpenGL.cmake: merge from branch

2003-01-22 11:16  martink

	* Modules/LinkQT.cmake: removed since no longer used

2003-01-22 11:11  martink

	* Modules/FindLATEX.cmake: merge branch change into main tree

2003-01-22 10:40  king

	* Source/cmFindPackageCommand.cxx: ENH: Added support for looking
	through CMAKE_MODULE_PATH to locate Find<name>.cmake modules.

2003-01-22 10:33  king

	* Source/: cmake.cxx, CursesDialog/ccmake.cxx,
	CursesDialog/cmCursesMainForm.cxx, CursesDialog/cmCursesMainForm.h:
	BUG: Fixed crash when CMAKE_ROOT cannot be found.

2003-01-22 09:34  hoffman

	* Source/cmake.cxx: BUG: fix command line to take -G only

2003-01-22 09:28  king

	* Source/cmGlobalVisualStudio6Generator.cxx: BUG: CMake 1.4
	configured projects did not build with new CMake.

2003-01-21 17:15  king

	* Source/: cmCommands.cxx, cmFindPackageCommand.cxx,
	cmFindPackageCommand.h: ENH: Added FIND_PACKAGE command prototyp.

2003-01-21 16:46  king

	* Source/cmake.cxx: BUG: Use CMakeDefaultMakeRuleVariables.cmake to
	locate modules directory instead of FindVTK.cmake.

2003-01-21 15:03  king

	* Modules/FindVTK.cmake: ENH: Updated documentation.

2003-01-21 14:10  andy

	* Source/CTest/Curl/CMakeLists.txt: Attempt to cleanup CMake and
	try to fix build on some systems

2003-01-21 14:01  andy

	* Modules/CheckIncludeFiles.cmake: This list can be really long.
	Only display the variable name

2003-01-21 12:50  hoffman

	* Modules/CMakeDetermineCCompiler.cmake,
	Modules/CMakeDetermineCXXCompiler.cmake,
	Modules/CMakeTestCCompiler.cmake,
	Modules/CMakeTestCXXCompiler.cmake, Source/cmGlobalGenerator.cxx,
	Source/cmGlobalUnixMakefileGenerator.cxx, Source/cmMakefile.cxx,
	Source/cmMessageCommand.cxx, Source/cmMessageCommand.h,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h: add a fatal
	error, and make sure c and c++ compilers work before using them

2003-01-21 12:41  hoffman

	* Modules/Platform/CYGWIN.cmake: use export all symbols on cygwin

2003-01-21 10:59  barre

	* Modules/FindImageMagick.cmake: IMPORTANT FIX: be extra-careful
	here on WIN32, we do NOT want CMake to look in the system's PATH
	env var to search for ImageMagick's convert.exe, otherwise it is
	going to pick Microsoft Window's own convert.exe, which is used to
	convert FAT partitions to NTFS format ! Depending on the options
	passed to convert.exe, there is a good chance you would kiss your
	hard-disk good-bye.

2003-01-20 21:15  ibanez

	* Modules/FindLATEX.cmake: ENH: PS2PDF_COMPILE added. It looks for
	ps2pdf.

2003-01-20 19:17  king

	* Source/cmMakefile.cxx: BUG: Fix for custom commands with spaces
	in paths.  The arguments were not having spaces escaped.

2003-01-20 18:54  king

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx: BUG: Fixed typo in previous fix.

2003-01-20 18:52  king

	* Source/: cmLocalUnixMakefileGenerator.cxx,
	cmLocalUnixMakefileGenerator.cxx: BUG: Fixed directory creation for
	spaces in install path.

2003-01-20 16:59  hoffman

	* Source/cmCommands.cxx, Source/cmExportLibraryDependencies.cxx,
	Source/cmExportLibraryDependencies.h, Source/cmGlobalGenerator.h,
	Source/cmMakefile.h, Tests/Complex/CMakeLists.txt,
	Tests/ComplexOneConfig/CMakeLists.txt,
	Tests/ComplexRelativePaths/CMakeLists.txt: ENH: add a new command
	that allows exports of library dependencies from a project to a
	file

2003-01-20 14:39  will

	* Modules/FindX11.cmake: BUG: fix missed CMAKE to X11 variable name

2003-01-19 11:42  king

	* Source/cmSystemTools.cxx: ENH: Improved CopyFile error messages.

2003-01-18 11:34  king

	* Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.h, Templates/install-sh: BUG:
	Fixed make install to handle library prefix/suffix settings.  Also
	fixed support for spaces in paths during make install.

2003-01-17 18:14  king

	* Modules/: FindVTK.cmake, FindVTK.cmake: BUG: Fix for application
	of expand-list-variables.

2003-01-17 18:01  king

	* Source/cmLocalUnixMakefileGenerator.cxx,
	Source/cmLocalUnixMakefileGenerator.h, Templates/install-sh: ENH:
	Support for spaces in paths during make install.

2003-01-17 17:19  king

	* Modules/FindAndImportCMakeProject.cmake: ENH: Adding
	FIND_AND_IMPORT_CMAKE_PROJECT macro.

2003-01-17 15:15  king

	* Utilities/Release/cmake_release.sh: ENH: Added sanity check for
	setting of WX_RESOURCES by config_Darwin for osx_install.

2003-01-17 13:35  king

	* Utilities/Release/: cmake_release.sh, config_Darwin: ENH:
	Prototype for OSX packaging.

2003-01-17 13:35  king

	* Utilities/Release/cmake_release.sh: ENH: Cygwin package is now
	created in a Cygwin subdirectory.

2003-01-17 13:14  king

	* Source/WXDialog/CMakeLists.txt: ENH: Updated version number for
	1.6.beta2 release.

2003-01-17 12:51  andy

	* Source/WXDialog/CMakeLists.txt: Fix version

2003-01-17 12:27  hoffman

	* Source/CTest/Curl/Testing/curltest.c: Fix proxy code and fix
	comments to be C comments

2003-01-17 11:57  king

	* Utilities/Release/: cmake-cygwin-package.sh, cmake_release.sh,
	cygwin-package.sh.in: ENH: Renamed cmake-cygwin-package.sh to
	cygwin-package.sh.in and removed executable permission so it cannot
	be run accidentally.  It must be run after being renamed to
	cmake-${VERSION}-${RELEASE}.

2003-01-17 11:55  king

	* Utilities/Release/cmake_release.sh: ENH: clean now removes the
	entire release root directory.

2003-01-17 11:51  king

	* Utilities/: cmake-cygwin-package.sh, cmake_release_config_aix,
	cmake_release_config_darwin, cmake_release_config_hpux,
	cmake_release_config_irix, cmake_release_config_linux,
	cmake_release_config_osf, cmake_release_config_sun,
	cmake_release_cygwin.sh, cmake_release_unix_build.sh,
	cmake_release_unix_config.sh, cmake_release_unix_package.sh,
	cmake_release_version.sh: ENH: Removing old release scripts and
	config files.

2003-01-17 11:42  king

	* Utilities/Release/config_OSF1: ENH: Adding OSF release
	configuration.

2003-01-17 11:05  king

	* Utilities/Release/cmake_release.sh: ENH: Added cygwin release
	support.

2003-01-17 10:30  king

	* Utilities/Release/cmake-cygwin-package.sh: ENH: Adding cygwin
	packaging script to release directory.

2003-01-17 10:28  hoffman

	* Source/cmFindPathCommand.cxx,
	Tests/Complex/Executable/complex.cxx,
	Tests/ComplexOneConfig/Executable/complex.cxx,
	Tests/ComplexRelativePaths/Executable/complex.cxx: remove trailing
	slash from findpath command

2003-01-17 10:28  hoffman

	* Tests/SystemInformation/: DumpInformation.cxx,
	SystemInformation.in: add some more prints

2003-01-17 10:21  king

	* Utilities/Release/config_Linux: ENH: Removed old setting.

2003-01-17 10:21  king

	* Utilities/Release/config_CYGWIN_NT-5.1: ENH: Cygwin release
	configuration.

2003-01-17 10:15  andy

